import{S as iv,i as lv,s as dv,e as a,k as m,w as T,t as o,M as cv,c as r,d as t,m as p,a as i,x as w,h as n,b as g,G as e,g as _,y as C,q as $,o as F,B as E,v as mv,L as Xe}from"../../chunks/vendor-hf-doc-builder.js";import{T as Je}from"../../chunks/Tip-hf-doc-builder.js";import{D as se}from"../../chunks/Docstring-hf-doc-builder.js";import{C as Ye}from"../../chunks/CodeBlock-hf-doc-builder.js";import{I as et}from"../../chunks/IconCopyLink-hf-doc-builder.js";import{E as Ge}from"../../chunks/ExampleCodeBlock-hf-doc-builder.js";function pv(x){let d,b,h,u,y;return u=new Ye({props:{code:`from transformers import CamembertConfig, CamembertModel

# Initializing a Camembert camembert-base style configuration
configuration = CamembertConfig()

# Initializing a model (with random weights) from the camembert-base style configuration
model = CamembertModel(configuration)

# Accessing the model configuration
configuration = model.config`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> CamembertConfig, CamembertModel

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a Camembert camembert-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = CamembertConfig()

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Initializing a model (with random weights) from the camembert-base style configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CamembertModel(configuration)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Accessing the model configuration</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>configuration = model.config`}}),{c(){d=a("p"),b=o("Example:"),h=m(),T(u.$$.fragment)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),h=p(l),w(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,h,c),C(u,l,c),y=!0},p:Xe,i(l){y||($(u.$$.fragment,l),y=!0)},o(l){F(u.$$.fragment,l),y=!1},d(l){l&&t(d),l&&t(h),E(u,l)}}}function hv(x){let d,b,h,u,y;return{c(){d=a("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a("code"),u=o("Module"),y=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(c,"CODE",{});var q=i(h);u=n(q,"Module"),q.forEach(t),y=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,b),e(d,h),e(h,u),e(d,y)},d(l){l&&t(d)}}}function uv(x){let d,b,h,u,y;return u=new Ye({props:{code:`from transformers import AutoTokenizer, CamembertModel
import torch

tokenizer = AutoTokenizer.from_pretrained("camembert-base")
model = CamembertModel.from_pretrained("camembert-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, CamembertModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;camembert-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CamembertModel.from_pretrained(<span class="hljs-string">&quot;camembert-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=a("p"),b=o("Example:"),h=m(),T(u.$$.fragment)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),h=p(l),w(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,h,c),C(u,l,c),y=!0},p:Xe,i(l){y||($(u.$$.fragment,l),y=!0)},o(l){F(u.$$.fragment,l),y=!1},d(l){l&&t(d),l&&t(h),E(u,l)}}}function fv(x){let d,b,h,u,y;return{c(){d=a("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a("code"),u=o("Module"),y=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(c,"CODE",{});var q=i(h);u=n(q,"Module"),q.forEach(t),y=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,b),e(d,h),e(h,u),e(d,y)},d(l){l&&t(d)}}}function gv(x){let d,b,h,u,y;return u=new Ye({props:{code:`from transformers import AutoTokenizer, CamembertForCausalLM, AutoConfig
import torch

tokenizer = AutoTokenizer.from_pretrained("camembert-base")
config = AutoConfig.from_pretrained("camembert-base")
config.is_decoder = True
model = CamembertForCausalLM.from_pretrained("camembert-base", config=config)

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")
outputs = model(**inputs)

prediction_logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, CamembertForCausalLM, AutoConfig
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;camembert-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>config = AutoConfig.from_pretrained(<span class="hljs-string">&quot;camembert-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>config.is_decoder = <span class="hljs-literal">True</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CamembertForCausalLM.from_pretrained(<span class="hljs-string">&quot;camembert-base&quot;</span>, config=config)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>prediction_logits = outputs.logits`}}),{c(){d=a("p"),b=o("Example:"),h=m(),T(u.$$.fragment)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),h=p(l),w(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,h,c),C(u,l,c),y=!0},p:Xe,i(l){y||($(u.$$.fragment,l),y=!0)},o(l){F(u.$$.fragment,l),y=!1},d(l){l&&t(d),l&&t(h),E(u,l)}}}function _v(x){let d,b,h,u,y;return{c(){d=a("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a("code"),u=o("Module"),y=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(c,"CODE",{});var q=i(h);u=n(q,"Module"),q.forEach(t),y=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,b),e(d,h),e(h,u),e(d,y)},d(l){l&&t(d)}}}function bv(x){let d,b,h,u,y;return u=new Ye({props:{code:`from transformers import AutoTokenizer, CamembertForMaskedLM
import torch

tokenizer = AutoTokenizer.from_pretrained("camembert-base")
model = CamembertForMaskedLM.from_pretrained("camembert-base")

inputs = tokenizer("The capital of France is <mask>.", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

# retrieve index of <mask>
mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[0].nonzero(as_tuple=True)[0]

predicted_token_id = logits[0, mask_token_index].argmax(axis=-1)
tokenizer.decode(predicted_token_id)

labels = tokenizer("The capital of France is Paris.", return_tensors="pt")["input_ids"]
# mask labels of non-<mask> tokens
labels = torch.where(inputs.input_ids == tokenizer.mask_token_id, labels, -100)

outputs = model(**inputs, labels=labels)
round(outputs.loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, CamembertForMaskedLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;camembert-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CamembertForMaskedLM.from_pretrained(<span class="hljs-string">&quot;camembert-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is &lt;mask&gt;.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve index of &lt;mask&gt;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_token_index = (inputs.input_ids == tokenizer.mask_token_id)[<span class="hljs-number">0</span>].nonzero(as_tuple=<span class="hljs-literal">True</span>)[<span class="hljs-number">0</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_id = logits[<span class="hljs-number">0</span>, mask_token_index].argmax(axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predicted_token_id)
<span class="hljs-string">&#x27; Paris&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;The capital of France is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># mask labels of non-&lt;mask&gt; tokens</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.where(inputs.input_ids == tokenizer.mask_token_id, labels, -<span class="hljs-number">100</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(outputs.loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.1</span>`}}),{c(){d=a("p"),b=o("Example:"),h=m(),T(u.$$.fragment)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),h=p(l),w(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,h,c),C(u,l,c),y=!0},p:Xe,i(l){y||($(u.$$.fragment,l),y=!0)},o(l){F(u.$$.fragment,l),y=!1},d(l){l&&t(d),l&&t(h),E(u,l)}}}function kv(x){let d,b,h,u,y;return{c(){d=a("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a("code"),u=o("Module"),y=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(c,"CODE",{});var q=i(h);u=n(q,"Module"),q.forEach(t),y=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,b),e(d,h),e(h,u),e(d,y)},d(l){l&&t(d)}}}function yv(x){let d,b,h,u,y;return u=new Ye({props:{code:`import torch
from transformers import AutoTokenizer, CamembertForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")
model = CamembertForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_id = logits.argmax().item()
model.config.id2label[predicted_class_id]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = CamembertForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion", num_labels=num_labels)

labels = torch.tensor([1])
loss = model(**inputs, labels=labels).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, CamembertForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CamembertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = logits.argmax().item()
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;optimism&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CamembertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor([<span class="hljs-number">1</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.08</span>`}}),{c(){d=a("p"),b=o("Example of single-label classification:"),h=m(),T(u.$$.fragment)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Example of single-label classification:"),c.forEach(t),h=p(l),w(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,h,c),C(u,l,c),y=!0},p:Xe,i(l){y||($(u.$$.fragment,l),y=!0)},o(l){F(u.$$.fragment,l),y=!1},d(l){l&&t(d),l&&t(h),E(u,l)}}}function vv(x){let d,b,h,u,y;return u=new Ye({props:{code:`import torch
from transformers import AutoTokenizer, CamembertForSequenceClassification

tokenizer = AutoTokenizer.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")
model = CamembertForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion", problem_type="multi_label_classification")

inputs = tokenizer("Hello, my dog is cute", return_tensors="pt")

with torch.no_grad():
    logits = model(**inputs).logits

predicted_class_ids = torch.arange(0, logits.shape[-1])[torch.sigmoid(logits).squeeze(dim=0) > 0.5]

# To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`
num_labels = len(model.config.id2label)
model = CamembertForSequenceClassification.from_pretrained(
    "cardiffnlp/twitter-roberta-base-emotion", num_labels=num_labels, problem_type="multi_label_classification"
)

labels = torch.sum(
    torch.nn.functional.one_hot(predicted_class_ids[None, :].clone(), num_classes=num_labels), dim=1
).to(torch.float)
loss = model(**inputs, labels=labels).loss`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, CamembertForSequenceClassification

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CamembertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_ids = torch.arange(<span class="hljs-number">0</span>, logits.shape[-<span class="hljs-number">1</span>])[torch.sigmoid(logits).squeeze(dim=<span class="hljs-number">0</span>) &gt; <span class="hljs-number">0.5</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CamembertForSequenceClassification.from_pretrained(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, num_labels=num_labels, problem_type=<span class="hljs-string">&quot;multi_label_classification&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.<span class="hljs-built_in">sum</span>(
<span class="hljs-meta">... </span>    torch.nn.functional.one_hot(predicted_class_ids[<span class="hljs-literal">None</span>, :].clone(), num_classes=num_labels), dim=<span class="hljs-number">1</span>
<span class="hljs-meta">... </span>).to(torch.<span class="hljs-built_in">float</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss`}}),{c(){d=a("p"),b=o("Example of multi-label classification:"),h=m(),T(u.$$.fragment)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Example of multi-label classification:"),c.forEach(t),h=p(l),w(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,h,c),C(u,l,c),y=!0},p:Xe,i(l){y||($(u.$$.fragment,l),y=!0)},o(l){F(u.$$.fragment,l),y=!1},d(l){l&&t(d),l&&t(h),E(u,l)}}}function Tv(x){let d,b,h,u,y;return{c(){d=a("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a("code"),u=o("Module"),y=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(c,"CODE",{});var q=i(h);u=n(q,"Module"),q.forEach(t),y=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,b),e(d,h),e(h,u),e(d,y)},d(l){l&&t(d)}}}function wv(x){let d,b,h,u,y;return u=new Ye({props:{code:`from transformers import AutoTokenizer, CamembertForMultipleChoice
import torch

tokenizer = AutoTokenizer.from_pretrained("camembert-base")
model = CamembertForMultipleChoice.from_pretrained("camembert-base")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."
labels = torch.tensor(0).unsqueeze(0)  # choice0 is correct (according to Wikipedia ;)), batch size 1

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="pt", padding=True)
outputs = model(**{k: v.unsqueeze(0) for k, v in encoding.items()}, labels=labels)  # batch size is 1

# the linear classifier still needs to be trained
loss = outputs.loss
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, CamembertForMultipleChoice
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;camembert-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CamembertForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;camembert-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = torch.tensor(<span class="hljs-number">0</span>).unsqueeze(<span class="hljs-number">0</span>)  <span class="hljs-comment"># choice0 is correct (according to Wikipedia ;)), batch size 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;pt&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**{k: v.unsqueeze(<span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()}, labels=labels)  <span class="hljs-comment"># batch size is 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the linear classifier still needs to be trained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=a("p"),b=o("Example:"),h=m(),T(u.$$.fragment)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),h=p(l),w(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,h,c),C(u,l,c),y=!0},p:Xe,i(l){y||($(u.$$.fragment,l),y=!0)},o(l){F(u.$$.fragment,l),y=!1},d(l){l&&t(d),l&&t(h),E(u,l)}}}function Cv(x){let d,b,h,u,y;return{c(){d=a("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a("code"),u=o("Module"),y=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(c,"CODE",{});var q=i(h);u=n(q,"Module"),q.forEach(t),y=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,b),e(d,h),e(h,u),e(d,y)},d(l){l&&t(d)}}}function $v(x){let d,b,h,u,y;return u=new Ye({props:{code:`from transformers import AutoTokenizer, CamembertForTokenClassification
import torch

tokenizer = AutoTokenizer.from_pretrained("Jean-Baptiste/roberta-large-ner-english")
model = CamembertForTokenClassification.from_pretrained("Jean-Baptiste/roberta-large-ner-english")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="pt"
)

with torch.no_grad():
    logits = model(**inputs).logits

predicted_token_class_ids = logits.argmax(-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t.item()] for t in predicted_token_class_ids[0]]
predicted_tokens_classes

labels = predicted_token_class_ids
loss = model(**inputs, labels=labels).loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, CamembertForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;Jean-Baptiste/roberta-large-ner-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CamembertForTokenClassification.from_pretrained(<span class="hljs-string">&quot;Jean-Baptiste/roberta-large-ner-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = logits.argmax(-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t.item()] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>]]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes
[<span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>]

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.01</span>`}}),{c(){d=a("p"),b=o("Example:"),h=m(),T(u.$$.fragment)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),h=p(l),w(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,h,c),C(u,l,c),y=!0},p:Xe,i(l){y||($(u.$$.fragment,l),y=!0)},o(l){F(u.$$.fragment,l),y=!1},d(l){l&&t(d),l&&t(h),E(u,l)}}}function Fv(x){let d,b,h,u,y;return{c(){d=a("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a("code"),u=o("Module"),y=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(c,"CODE",{});var q=i(h);u=n(q,"Module"),q.forEach(t),y=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,b),e(d,h),e(h,u),e(d,y)},d(l){l&&t(d)}}}function Ev(x){let d,b,h,u,y;return u=new Ye({props:{code:`from transformers import AutoTokenizer, CamembertForQuestionAnswering
import torch

tokenizer = AutoTokenizer.from_pretrained("deepset/roberta-base-squad2")
model = CamembertForQuestionAnswering.from_pretrained("deepset/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="pt")
with torch.no_grad():
    outputs = model(**inputs)

answer_start_index = outputs.start_logits.argmax()
answer_end_index = outputs.end_logits.argmax()

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]
tokenizer.decode(predict_answer_tokens, skip_special_tokens=True)

# target is "nice puppet"
target_start_index = torch.tensor([14])
target_end_index = torch.tensor([15])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = outputs.loss
round(loss.item(), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, CamembertForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> torch

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;deepset/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = CamembertForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;deepset/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;pt&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">with</span> torch.no_grad():
<span class="hljs-meta">... </span>    outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = outputs.start_logits.argmax()
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = outputs.end_logits.argmax()

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predict_answer_tokens, skip_special_tokens=<span class="hljs-literal">True</span>)
<span class="hljs-string">&#x27; puppet&#x27;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = torch.tensor([<span class="hljs-number">14</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = torch.tensor([<span class="hljs-number">15</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = outputs.loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(loss.item(), <span class="hljs-number">2</span>)
<span class="hljs-number">0.86</span>`}}),{c(){d=a("p"),b=o("Example:"),h=m(),T(u.$$.fragment)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),h=p(l),w(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,h,c),C(u,l,c),y=!0},p:Xe,i(l){y||($(u.$$.fragment,l),y=!0)},o(l){F(u.$$.fragment,l),y=!1},d(l){l&&t(d),l&&t(h),E(u,l)}}}function Mv(x){let d,b,h,u,y,l,c,q,ke,pe,I,ae,Z,v,ye,H,ve,he,B,Te,ie,V,we,ue,W,Ce,fe,R,me,$e,te,j,L,ge,U,le,Fe,K,Ee,Me,P,oe,J,de,ze,G,ce,qe,N,_e,S,re,ee,A,xe,O,je,be;return{c(){d=a("p"),b=o("TensorFlow models and layers in "),h=a("code"),u=o("transformers"),y=o(" accept two formats as input:"),l=m(),c=a("ul"),q=a("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),pe=m(),I=a("li"),ae=o("having all inputs as a list, tuple or dict in the first positional argument."),Z=m(),v=a("p"),ye=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=a("code"),ve=o("model.fit()"),he=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),B=a("code"),Te=o("model.fit()"),ie=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),V=a("code"),we=o("fit()"),ue=o(" and "),W=a("code"),Ce=o("predict()"),fe=o(`, such as when creating your own layers or models with
the Keras `),R=a("code"),me=o("Functional"),$e=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),te=m(),j=a("ul"),L=a("li"),ge=o("a single Tensor with "),U=a("code"),le=o("input_ids"),Fe=o(" only and nothing else: "),K=a("code"),Ee=o("model(input_ids)"),Me=m(),P=a("li"),oe=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),J=a("code"),de=o("model([input_ids, attention_mask])"),ze=o(" or "),G=a("code"),ce=o("model([input_ids, attention_mask, token_type_ids])"),qe=m(),N=a("li"),_e=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),S=a("code"),re=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ee=m(),A=a("p"),xe=o(`Note that when creating models and layers with
`),O=a("a"),je=o("subclassing"),be=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(f){d=r(f,"P",{});var M=i(d);b=n(M,"TensorFlow models and layers in "),h=r(M,"CODE",{});var Se=i(h);u=n(Se,"transformers"),Se.forEach(t),y=n(M," accept two formats as input:"),M.forEach(t),l=p(f),c=r(f,"UL",{});var Q=i(c);q=r(Q,"LI",{});var Be=i(q);ke=n(Be,"having all inputs as keyword arguments (like PyTorch models), or"),Be.forEach(t),pe=p(Q),I=r(Q,"LI",{});var Oe=i(I);ae=n(Oe,"having all inputs as a list, tuple or dict in the first positional argument."),Oe.forEach(t),Q.forEach(t),Z=p(f),v=r(f,"P",{});var z=i(v);ye=n(z,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=r(z,"CODE",{});var We=i(H);ve=n(We,"model.fit()"),We.forEach(t),he=n(z,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),B=r(z,"CODE",{});var Ne=i(B);Te=n(Ne,"model.fit()"),Ne.forEach(t),ie=n(z,` supports! If, however, you want to use the second
format outside of Keras methods like `),V=r(z,"CODE",{});var Re=i(V);we=n(Re,"fit()"),Re.forEach(t),ue=n(z," and "),W=r(z,"CODE",{});var Ue=i(W);Ce=n(Ue,"predict()"),Ue.forEach(t),fe=n(z,`, such as when creating your own layers or models with
the Keras `),R=r(z,"CODE",{});var Le=i(R);me=n(Le,"Functional"),Le.forEach(t),$e=n(z,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),z.forEach(t),te=p(f),j=r(f,"UL",{});var D=i(j);L=r(D,"LI",{});var X=i(L);ge=n(X,"a single Tensor with "),U=r(X,"CODE",{});var Ke=i(U);le=n(Ke,"input_ids"),Ke.forEach(t),Fe=n(X," only and nothing else: "),K=r(X,"CODE",{});var Pe=i(K);Ee=n(Pe,"model(input_ids)"),Pe.forEach(t),X.forEach(t),Me=p(D),P=r(D,"LI",{});var Y=i(P);oe=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),J=r(Y,"CODE",{});var De=i(J);de=n(De,"model([input_ids, attention_mask])"),De.forEach(t),ze=n(Y," or "),G=r(Y,"CODE",{});var He=i(G);ce=n(He,"model([input_ids, attention_mask, token_type_ids])"),He.forEach(t),Y.forEach(t),qe=p(D),N=r(D,"LI",{});var Ae=i(N);_e=n(Ae,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),S=r(Ae,"CODE",{});var Ie=i(S);re=n(Ie,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ie.forEach(t),Ae.forEach(t),D.forEach(t),ee=p(f),A=r(f,"P",{});var ne=i(A);xe=n(ne,`Note that when creating models and layers with
`),O=r(ne,"A",{href:!0,rel:!0});var Qe=i(O);je=n(Qe,"subclassing"),Qe.forEach(t),be=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){g(O,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),g(O,"rel","nofollow")},m(f,M){_(f,d,M),e(d,b),e(d,h),e(h,u),e(d,y),_(f,l,M),_(f,c,M),e(c,q),e(q,ke),e(c,pe),e(c,I),e(I,ae),_(f,Z,M),_(f,v,M),e(v,ye),e(v,H),e(H,ve),e(v,he),e(v,B),e(B,Te),e(v,ie),e(v,V),e(V,we),e(v,ue),e(v,W),e(W,Ce),e(v,fe),e(v,R),e(R,me),e(v,$e),_(f,te,M),_(f,j,M),e(j,L),e(L,ge),e(L,U),e(U,le),e(L,Fe),e(L,K),e(K,Ee),e(j,Me),e(j,P),e(P,oe),e(P,J),e(J,de),e(P,ze),e(P,G),e(G,ce),e(j,qe),e(j,N),e(N,_e),e(N,S),e(S,re),_(f,ee,M),_(f,A,M),e(A,xe),e(A,O),e(O,je),e(A,be)},d(f){f&&t(d),f&&t(l),f&&t(c),f&&t(Z),f&&t(v),f&&t(te),f&&t(j),f&&t(ee),f&&t(A)}}}function zv(x){let d,b,h,u,y;return{c(){d=a("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a("code"),u=o("Module"),y=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(c,"CODE",{});var q=i(h);u=n(q,"Module"),q.forEach(t),y=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,b),e(d,h),e(h,u),e(d,y)},d(l){l&&t(d)}}}function qv(x){let d,b,h,u,y;return u=new Ye({props:{code:`from transformers import AutoTokenizer, TFCamembertModel
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("camembert-base")
model = TFCamembertModel.from_pretrained("camembert-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)

last_hidden_states = outputs.last_hidden_state`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFCamembertModel
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;camembert-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFCamembertModel.from_pretrained(<span class="hljs-string">&quot;camembert-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>last_hidden_states = outputs.last_hidden_state`}}),{c(){d=a("p"),b=o("Example:"),h=m(),T(u.$$.fragment)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),h=p(l),w(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,h,c),C(u,l,c),y=!0},p:Xe,i(l){y||($(u.$$.fragment,l),y=!0)},o(l){F(u.$$.fragment,l),y=!1},d(l){l&&t(d),l&&t(h),E(u,l)}}}function xv(x){let d,b,h,u,y,l,c,q,ke,pe,I,ae,Z,v,ye,H,ve,he,B,Te,ie,V,we,ue,W,Ce,fe,R,me,$e,te,j,L,ge,U,le,Fe,K,Ee,Me,P,oe,J,de,ze,G,ce,qe,N,_e,S,re,ee,A,xe,O,je,be;return{c(){d=a("p"),b=o("TensorFlow models and layers in "),h=a("code"),u=o("transformers"),y=o(" accept two formats as input:"),l=m(),c=a("ul"),q=a("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),pe=m(),I=a("li"),ae=o("having all inputs as a list, tuple or dict in the first positional argument."),Z=m(),v=a("p"),ye=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=a("code"),ve=o("model.fit()"),he=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),B=a("code"),Te=o("model.fit()"),ie=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),V=a("code"),we=o("fit()"),ue=o(" and "),W=a("code"),Ce=o("predict()"),fe=o(`, such as when creating your own layers or models with
the Keras `),R=a("code"),me=o("Functional"),$e=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),te=m(),j=a("ul"),L=a("li"),ge=o("a single Tensor with "),U=a("code"),le=o("input_ids"),Fe=o(" only and nothing else: "),K=a("code"),Ee=o("model(input_ids)"),Me=m(),P=a("li"),oe=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),J=a("code"),de=o("model([input_ids, attention_mask])"),ze=o(" or "),G=a("code"),ce=o("model([input_ids, attention_mask, token_type_ids])"),qe=m(),N=a("li"),_e=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),S=a("code"),re=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ee=m(),A=a("p"),xe=o(`Note that when creating models and layers with
`),O=a("a"),je=o("subclassing"),be=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(f){d=r(f,"P",{});var M=i(d);b=n(M,"TensorFlow models and layers in "),h=r(M,"CODE",{});var Se=i(h);u=n(Se,"transformers"),Se.forEach(t),y=n(M," accept two formats as input:"),M.forEach(t),l=p(f),c=r(f,"UL",{});var Q=i(c);q=r(Q,"LI",{});var Be=i(q);ke=n(Be,"having all inputs as keyword arguments (like PyTorch models), or"),Be.forEach(t),pe=p(Q),I=r(Q,"LI",{});var Oe=i(I);ae=n(Oe,"having all inputs as a list, tuple or dict in the first positional argument."),Oe.forEach(t),Q.forEach(t),Z=p(f),v=r(f,"P",{});var z=i(v);ye=n(z,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=r(z,"CODE",{});var We=i(H);ve=n(We,"model.fit()"),We.forEach(t),he=n(z,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),B=r(z,"CODE",{});var Ne=i(B);Te=n(Ne,"model.fit()"),Ne.forEach(t),ie=n(z,` supports! If, however, you want to use the second
format outside of Keras methods like `),V=r(z,"CODE",{});var Re=i(V);we=n(Re,"fit()"),Re.forEach(t),ue=n(z," and "),W=r(z,"CODE",{});var Ue=i(W);Ce=n(Ue,"predict()"),Ue.forEach(t),fe=n(z,`, such as when creating your own layers or models with
the Keras `),R=r(z,"CODE",{});var Le=i(R);me=n(Le,"Functional"),Le.forEach(t),$e=n(z,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),z.forEach(t),te=p(f),j=r(f,"UL",{});var D=i(j);L=r(D,"LI",{});var X=i(L);ge=n(X,"a single Tensor with "),U=r(X,"CODE",{});var Ke=i(U);le=n(Ke,"input_ids"),Ke.forEach(t),Fe=n(X," only and nothing else: "),K=r(X,"CODE",{});var Pe=i(K);Ee=n(Pe,"model(input_ids)"),Pe.forEach(t),X.forEach(t),Me=p(D),P=r(D,"LI",{});var Y=i(P);oe=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),J=r(Y,"CODE",{});var De=i(J);de=n(De,"model([input_ids, attention_mask])"),De.forEach(t),ze=n(Y," or "),G=r(Y,"CODE",{});var He=i(G);ce=n(He,"model([input_ids, attention_mask, token_type_ids])"),He.forEach(t),Y.forEach(t),qe=p(D),N=r(D,"LI",{});var Ae=i(N);_e=n(Ae,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),S=r(Ae,"CODE",{});var Ie=i(S);re=n(Ie,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ie.forEach(t),Ae.forEach(t),D.forEach(t),ee=p(f),A=r(f,"P",{});var ne=i(A);xe=n(ne,`Note that when creating models and layers with
`),O=r(ne,"A",{href:!0,rel:!0});var Qe=i(O);je=n(Qe,"subclassing"),Qe.forEach(t),be=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){g(O,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),g(O,"rel","nofollow")},m(f,M){_(f,d,M),e(d,b),e(d,h),e(h,u),e(d,y),_(f,l,M),_(f,c,M),e(c,q),e(q,ke),e(c,pe),e(c,I),e(I,ae),_(f,Z,M),_(f,v,M),e(v,ye),e(v,H),e(H,ve),e(v,he),e(v,B),e(B,Te),e(v,ie),e(v,V),e(V,we),e(v,ue),e(v,W),e(W,Ce),e(v,fe),e(v,R),e(R,me),e(v,$e),_(f,te,M),_(f,j,M),e(j,L),e(L,ge),e(L,U),e(U,le),e(L,Fe),e(L,K),e(K,Ee),e(j,Me),e(j,P),e(P,oe),e(P,J),e(J,de),e(P,ze),e(P,G),e(G,ce),e(j,qe),e(j,N),e(N,_e),e(N,S),e(S,re),_(f,ee,M),_(f,A,M),e(A,xe),e(A,O),e(O,je),e(A,be)},d(f){f&&t(d),f&&t(l),f&&t(c),f&&t(Z),f&&t(v),f&&t(te),f&&t(j),f&&t(ee),f&&t(A)}}}function jv(x){let d,b,h,u,y;return{c(){d=a("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a("code"),u=o("Module"),y=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(c,"CODE",{});var q=i(h);u=n(q,"Module"),q.forEach(t),y=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,b),e(d,h),e(h,u),e(d,y)},d(l){l&&t(d)}}}function Av(x){let d,b,h,u,y;return u=new Ye({props:{code:`from transformers import AutoTokenizer, TFCamembertForCausalLM
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("camembert-base")
model = TFCamembertForCausalLM.from_pretrained("camembert-base")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")
outputs = model(inputs)
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFCamembertForCausalLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;camembert-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFCamembertForCausalLM.from_pretrained(<span class="hljs-string">&quot;camembert-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=a("p"),b=o("Example:"),h=m(),T(u.$$.fragment)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),h=p(l),w(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,h,c),C(u,l,c),y=!0},p:Xe,i(l){y||($(u.$$.fragment,l),y=!0)},o(l){F(u.$$.fragment,l),y=!1},d(l){l&&t(d),l&&t(h),E(u,l)}}}function Pv(x){let d,b,h,u,y,l,c,q,ke,pe,I,ae,Z,v,ye,H,ve,he,B,Te,ie,V,we,ue,W,Ce,fe,R,me,$e,te,j,L,ge,U,le,Fe,K,Ee,Me,P,oe,J,de,ze,G,ce,qe,N,_e,S,re,ee,A,xe,O,je,be;return{c(){d=a("p"),b=o("TensorFlow models and layers in "),h=a("code"),u=o("transformers"),y=o(" accept two formats as input:"),l=m(),c=a("ul"),q=a("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),pe=m(),I=a("li"),ae=o("having all inputs as a list, tuple or dict in the first positional argument."),Z=m(),v=a("p"),ye=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=a("code"),ve=o("model.fit()"),he=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),B=a("code"),Te=o("model.fit()"),ie=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),V=a("code"),we=o("fit()"),ue=o(" and "),W=a("code"),Ce=o("predict()"),fe=o(`, such as when creating your own layers or models with
the Keras `),R=a("code"),me=o("Functional"),$e=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),te=m(),j=a("ul"),L=a("li"),ge=o("a single Tensor with "),U=a("code"),le=o("input_ids"),Fe=o(" only and nothing else: "),K=a("code"),Ee=o("model(input_ids)"),Me=m(),P=a("li"),oe=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),J=a("code"),de=o("model([input_ids, attention_mask])"),ze=o(" or "),G=a("code"),ce=o("model([input_ids, attention_mask, token_type_ids])"),qe=m(),N=a("li"),_e=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),S=a("code"),re=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ee=m(),A=a("p"),xe=o(`Note that when creating models and layers with
`),O=a("a"),je=o("subclassing"),be=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(f){d=r(f,"P",{});var M=i(d);b=n(M,"TensorFlow models and layers in "),h=r(M,"CODE",{});var Se=i(h);u=n(Se,"transformers"),Se.forEach(t),y=n(M," accept two formats as input:"),M.forEach(t),l=p(f),c=r(f,"UL",{});var Q=i(c);q=r(Q,"LI",{});var Be=i(q);ke=n(Be,"having all inputs as keyword arguments (like PyTorch models), or"),Be.forEach(t),pe=p(Q),I=r(Q,"LI",{});var Oe=i(I);ae=n(Oe,"having all inputs as a list, tuple or dict in the first positional argument."),Oe.forEach(t),Q.forEach(t),Z=p(f),v=r(f,"P",{});var z=i(v);ye=n(z,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=r(z,"CODE",{});var We=i(H);ve=n(We,"model.fit()"),We.forEach(t),he=n(z,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),B=r(z,"CODE",{});var Ne=i(B);Te=n(Ne,"model.fit()"),Ne.forEach(t),ie=n(z,` supports! If, however, you want to use the second
format outside of Keras methods like `),V=r(z,"CODE",{});var Re=i(V);we=n(Re,"fit()"),Re.forEach(t),ue=n(z," and "),W=r(z,"CODE",{});var Ue=i(W);Ce=n(Ue,"predict()"),Ue.forEach(t),fe=n(z,`, such as when creating your own layers or models with
the Keras `),R=r(z,"CODE",{});var Le=i(R);me=n(Le,"Functional"),Le.forEach(t),$e=n(z,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),z.forEach(t),te=p(f),j=r(f,"UL",{});var D=i(j);L=r(D,"LI",{});var X=i(L);ge=n(X,"a single Tensor with "),U=r(X,"CODE",{});var Ke=i(U);le=n(Ke,"input_ids"),Ke.forEach(t),Fe=n(X," only and nothing else: "),K=r(X,"CODE",{});var Pe=i(K);Ee=n(Pe,"model(input_ids)"),Pe.forEach(t),X.forEach(t),Me=p(D),P=r(D,"LI",{});var Y=i(P);oe=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),J=r(Y,"CODE",{});var De=i(J);de=n(De,"model([input_ids, attention_mask])"),De.forEach(t),ze=n(Y," or "),G=r(Y,"CODE",{});var He=i(G);ce=n(He,"model([input_ids, attention_mask, token_type_ids])"),He.forEach(t),Y.forEach(t),qe=p(D),N=r(D,"LI",{});var Ae=i(N);_e=n(Ae,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),S=r(Ae,"CODE",{});var Ie=i(S);re=n(Ie,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ie.forEach(t),Ae.forEach(t),D.forEach(t),ee=p(f),A=r(f,"P",{});var ne=i(A);xe=n(ne,`Note that when creating models and layers with
`),O=r(ne,"A",{href:!0,rel:!0});var Qe=i(O);je=n(Qe,"subclassing"),Qe.forEach(t),be=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){g(O,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),g(O,"rel","nofollow")},m(f,M){_(f,d,M),e(d,b),e(d,h),e(h,u),e(d,y),_(f,l,M),_(f,c,M),e(c,q),e(q,ke),e(c,pe),e(c,I),e(I,ae),_(f,Z,M),_(f,v,M),e(v,ye),e(v,H),e(H,ve),e(v,he),e(v,B),e(B,Te),e(v,ie),e(v,V),e(V,we),e(v,ue),e(v,W),e(W,Ce),e(v,fe),e(v,R),e(R,me),e(v,$e),_(f,te,M),_(f,j,M),e(j,L),e(L,ge),e(L,U),e(U,le),e(L,Fe),e(L,K),e(K,Ee),e(j,Me),e(j,P),e(P,oe),e(P,J),e(J,de),e(P,ze),e(P,G),e(G,ce),e(j,qe),e(j,N),e(N,_e),e(N,S),e(S,re),_(f,ee,M),_(f,A,M),e(A,xe),e(A,O),e(O,je),e(A,be)},d(f){f&&t(d),f&&t(l),f&&t(c),f&&t(Z),f&&t(v),f&&t(te),f&&t(j),f&&t(ee),f&&t(A)}}}function Lv(x){let d,b,h,u,y;return{c(){d=a("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a("code"),u=o("Module"),y=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(c,"CODE",{});var q=i(h);u=n(q,"Module"),q.forEach(t),y=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,b),e(d,h),e(h,u),e(d,y)},d(l){l&&t(d)}}}function Ov(x){let d,b,h,u,y;return u=new Ye({props:{code:`from transformers import AutoTokenizer, TFCamembertForMaskedLM
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("camembert-base")
model = TFCamembertForMaskedLM.from_pretrained("camembert-base")

inputs = tokenizer("The capital of France is <mask>.", return_tensors="tf")
logits = model(**inputs).logits

# retrieve index of <mask>
mask_token_index = tf.where((inputs.input_ids == tokenizer.mask_token_id)[0])
selected_logits = tf.gather_nd(logits[0], indices=mask_token_index)

predicted_token_id = tf.math.argmax(selected_logits, axis=-1)
tokenizer.decode(predicted_token_id)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFCamembertForMaskedLM
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;camembert-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFCamembertForMaskedLM.from_pretrained(<span class="hljs-string">&quot;camembert-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;The capital of France is &lt;mask&gt;.&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># retrieve index of &lt;mask&gt;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>mask_token_index = tf.where((inputs.input_ids == tokenizer.mask_token_id)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>selected_logits = tf.gather_nd(logits[<span class="hljs-number">0</span>], indices=mask_token_index)

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_id = tf.math.argmax(selected_logits, axis=-<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predicted_token_id)
<span class="hljs-string">&#x27; Paris&#x27;</span>`}}),{c(){d=a("p"),b=o("Example:"),h=m(),T(u.$$.fragment)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),h=p(l),w(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,h,c),C(u,l,c),y=!0},p:Xe,i(l){y||($(u.$$.fragment,l),y=!0)},o(l){F(u.$$.fragment,l),y=!1},d(l){l&&t(d),l&&t(h),E(u,l)}}}function Nv(x){let d,b;return d=new Ye({props:{code:`labels = tokenizer("The capital of France is Paris.", return_tensors="tf")["input_ids"]
# mask labels of non-<mask> tokens
labels = tf.where(inputs.input_ids == tokenizer.mask_token_id, labels, -100)

outputs = model(**inputs, labels=labels)
round(float(outputs.loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tokenizer(<span class="hljs-string">&quot;The capital of France is Paris.&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)[<span class="hljs-string">&quot;input_ids&quot;</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># mask labels of non-&lt;mask&gt; tokens</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.where(inputs.input_ids == tokenizer.mask_token_id, labels, -<span class="hljs-number">100</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, labels=labels)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(outputs.loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.1</span>`}}),{c(){T(d.$$.fragment)},l(h){w(d.$$.fragment,h)},m(h,u){C(d,h,u),b=!0},p:Xe,i(h){b||($(d.$$.fragment,h),b=!0)},o(h){F(d.$$.fragment,h),b=!1},d(h){E(d,h)}}}function Dv(x){let d,b,h,u,y,l,c,q,ke,pe,I,ae,Z,v,ye,H,ve,he,B,Te,ie,V,we,ue,W,Ce,fe,R,me,$e,te,j,L,ge,U,le,Fe,K,Ee,Me,P,oe,J,de,ze,G,ce,qe,N,_e,S,re,ee,A,xe,O,je,be;return{c(){d=a("p"),b=o("TensorFlow models and layers in "),h=a("code"),u=o("transformers"),y=o(" accept two formats as input:"),l=m(),c=a("ul"),q=a("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),pe=m(),I=a("li"),ae=o("having all inputs as a list, tuple or dict in the first positional argument."),Z=m(),v=a("p"),ye=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=a("code"),ve=o("model.fit()"),he=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),B=a("code"),Te=o("model.fit()"),ie=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),V=a("code"),we=o("fit()"),ue=o(" and "),W=a("code"),Ce=o("predict()"),fe=o(`, such as when creating your own layers or models with
the Keras `),R=a("code"),me=o("Functional"),$e=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),te=m(),j=a("ul"),L=a("li"),ge=o("a single Tensor with "),U=a("code"),le=o("input_ids"),Fe=o(" only and nothing else: "),K=a("code"),Ee=o("model(input_ids)"),Me=m(),P=a("li"),oe=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),J=a("code"),de=o("model([input_ids, attention_mask])"),ze=o(" or "),G=a("code"),ce=o("model([input_ids, attention_mask, token_type_ids])"),qe=m(),N=a("li"),_e=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),S=a("code"),re=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ee=m(),A=a("p"),xe=o(`Note that when creating models and layers with
`),O=a("a"),je=o("subclassing"),be=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(f){d=r(f,"P",{});var M=i(d);b=n(M,"TensorFlow models and layers in "),h=r(M,"CODE",{});var Se=i(h);u=n(Se,"transformers"),Se.forEach(t),y=n(M," accept two formats as input:"),M.forEach(t),l=p(f),c=r(f,"UL",{});var Q=i(c);q=r(Q,"LI",{});var Be=i(q);ke=n(Be,"having all inputs as keyword arguments (like PyTorch models), or"),Be.forEach(t),pe=p(Q),I=r(Q,"LI",{});var Oe=i(I);ae=n(Oe,"having all inputs as a list, tuple or dict in the first positional argument."),Oe.forEach(t),Q.forEach(t),Z=p(f),v=r(f,"P",{});var z=i(v);ye=n(z,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=r(z,"CODE",{});var We=i(H);ve=n(We,"model.fit()"),We.forEach(t),he=n(z,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),B=r(z,"CODE",{});var Ne=i(B);Te=n(Ne,"model.fit()"),Ne.forEach(t),ie=n(z,` supports! If, however, you want to use the second
format outside of Keras methods like `),V=r(z,"CODE",{});var Re=i(V);we=n(Re,"fit()"),Re.forEach(t),ue=n(z," and "),W=r(z,"CODE",{});var Ue=i(W);Ce=n(Ue,"predict()"),Ue.forEach(t),fe=n(z,`, such as when creating your own layers or models with
the Keras `),R=r(z,"CODE",{});var Le=i(R);me=n(Le,"Functional"),Le.forEach(t),$e=n(z,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),z.forEach(t),te=p(f),j=r(f,"UL",{});var D=i(j);L=r(D,"LI",{});var X=i(L);ge=n(X,"a single Tensor with "),U=r(X,"CODE",{});var Ke=i(U);le=n(Ke,"input_ids"),Ke.forEach(t),Fe=n(X," only and nothing else: "),K=r(X,"CODE",{});var Pe=i(K);Ee=n(Pe,"model(input_ids)"),Pe.forEach(t),X.forEach(t),Me=p(D),P=r(D,"LI",{});var Y=i(P);oe=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),J=r(Y,"CODE",{});var De=i(J);de=n(De,"model([input_ids, attention_mask])"),De.forEach(t),ze=n(Y," or "),G=r(Y,"CODE",{});var He=i(G);ce=n(He,"model([input_ids, attention_mask, token_type_ids])"),He.forEach(t),Y.forEach(t),qe=p(D),N=r(D,"LI",{});var Ae=i(N);_e=n(Ae,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),S=r(Ae,"CODE",{});var Ie=i(S);re=n(Ie,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ie.forEach(t),Ae.forEach(t),D.forEach(t),ee=p(f),A=r(f,"P",{});var ne=i(A);xe=n(ne,`Note that when creating models and layers with
`),O=r(ne,"A",{href:!0,rel:!0});var Qe=i(O);je=n(Qe,"subclassing"),Qe.forEach(t),be=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){g(O,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),g(O,"rel","nofollow")},m(f,M){_(f,d,M),e(d,b),e(d,h),e(h,u),e(d,y),_(f,l,M),_(f,c,M),e(c,q),e(q,ke),e(c,pe),e(c,I),e(I,ae),_(f,Z,M),_(f,v,M),e(v,ye),e(v,H),e(H,ve),e(v,he),e(v,B),e(B,Te),e(v,ie),e(v,V),e(V,we),e(v,ue),e(v,W),e(W,Ce),e(v,fe),e(v,R),e(R,me),e(v,$e),_(f,te,M),_(f,j,M),e(j,L),e(L,ge),e(L,U),e(U,le),e(L,Fe),e(L,K),e(K,Ee),e(j,Me),e(j,P),e(P,oe),e(P,J),e(J,de),e(P,ze),e(P,G),e(G,ce),e(j,qe),e(j,N),e(N,_e),e(N,S),e(S,re),_(f,ee,M),_(f,A,M),e(A,xe),e(A,O),e(O,je),e(A,be)},d(f){f&&t(d),f&&t(l),f&&t(c),f&&t(Z),f&&t(v),f&&t(te),f&&t(j),f&&t(ee),f&&t(A)}}}function Iv(x){let d,b,h,u,y;return{c(){d=a("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a("code"),u=o("Module"),y=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(c,"CODE",{});var q=i(h);u=n(q,"Module"),q.forEach(t),y=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,b),e(d,h),e(h,u),e(d,y)},d(l){l&&t(d)}}}function Sv(x){let d,b,h,u,y;return u=new Ye({props:{code:`from transformers import AutoTokenizer, TFCamembertForSequenceClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")
model = TFCamembertForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion")

inputs = tokenizer("Hello, my dog is cute", return_tensors="tf")

logits = model(**inputs).logits

predicted_class_id = int(tf.math.argmax(logits, axis=-1)[0])
model.config.id2label[predicted_class_id]`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFCamembertForSequenceClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFCamembertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(<span class="hljs-string">&quot;Hello, my dog is cute&quot;</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits

<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_class_id = <span class="hljs-built_in">int</span>(tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>model.config.id2label[predicted_class_id]
<span class="hljs-string">&#x27;optimism&#x27;</span>`}}),{c(){d=a("p"),b=o("Example:"),h=m(),T(u.$$.fragment)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),h=p(l),w(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,h,c),C(u,l,c),y=!0},p:Xe,i(l){y||($(u.$$.fragment,l),y=!0)},o(l){F(u.$$.fragment,l),y=!1},d(l){l&&t(d),l&&t(h),E(u,l)}}}function Bv(x){let d,b;return d=new Ye({props:{code:'# To train a model on `num_labels` classes, you can pass `num_labels=num_labels` to `.from_pretrained(...)`\nnum_labels = len(model.config.id2label)\nmodel = TFCamembertForSequenceClassification.from_pretrained("cardiffnlp/twitter-roberta-base-emotion", num_labels=num_labels)\n\nlabels = tf.constant(1)\nloss = model(**inputs, labels=labels).loss\nround(float(loss), 2)',highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># To train a model on \`num_labels\` classes, you can pass \`num_labels=num_labels\` to \`.from_pretrained(...)\`</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>num_labels = <span class="hljs-built_in">len</span>(model.config.id2label)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFCamembertForSequenceClassification.from_pretrained(<span class="hljs-string">&quot;cardiffnlp/twitter-roberta-base-emotion&quot;</span>, num_labels=num_labels)

<span class="hljs-meta">&gt;&gt;&gt; </span>labels = tf.constant(<span class="hljs-number">1</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = model(**inputs, labels=labels).loss
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.08</span>`}}),{c(){T(d.$$.fragment)},l(h){w(d.$$.fragment,h)},m(h,u){C(d,h,u),b=!0},p:Xe,i(h){b||($(d.$$.fragment,h),b=!0)},o(h){F(d.$$.fragment,h),b=!1},d(h){E(d,h)}}}function Wv(x){let d,b,h,u,y,l,c,q,ke,pe,I,ae,Z,v,ye,H,ve,he,B,Te,ie,V,we,ue,W,Ce,fe,R,me,$e,te,j,L,ge,U,le,Fe,K,Ee,Me,P,oe,J,de,ze,G,ce,qe,N,_e,S,re,ee,A,xe,O,je,be;return{c(){d=a("p"),b=o("TensorFlow models and layers in "),h=a("code"),u=o("transformers"),y=o(" accept two formats as input:"),l=m(),c=a("ul"),q=a("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),pe=m(),I=a("li"),ae=o("having all inputs as a list, tuple or dict in the first positional argument."),Z=m(),v=a("p"),ye=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=a("code"),ve=o("model.fit()"),he=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),B=a("code"),Te=o("model.fit()"),ie=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),V=a("code"),we=o("fit()"),ue=o(" and "),W=a("code"),Ce=o("predict()"),fe=o(`, such as when creating your own layers or models with
the Keras `),R=a("code"),me=o("Functional"),$e=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),te=m(),j=a("ul"),L=a("li"),ge=o("a single Tensor with "),U=a("code"),le=o("input_ids"),Fe=o(" only and nothing else: "),K=a("code"),Ee=o("model(input_ids)"),Me=m(),P=a("li"),oe=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),J=a("code"),de=o("model([input_ids, attention_mask])"),ze=o(" or "),G=a("code"),ce=o("model([input_ids, attention_mask, token_type_ids])"),qe=m(),N=a("li"),_e=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),S=a("code"),re=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ee=m(),A=a("p"),xe=o(`Note that when creating models and layers with
`),O=a("a"),je=o("subclassing"),be=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(f){d=r(f,"P",{});var M=i(d);b=n(M,"TensorFlow models and layers in "),h=r(M,"CODE",{});var Se=i(h);u=n(Se,"transformers"),Se.forEach(t),y=n(M," accept two formats as input:"),M.forEach(t),l=p(f),c=r(f,"UL",{});var Q=i(c);q=r(Q,"LI",{});var Be=i(q);ke=n(Be,"having all inputs as keyword arguments (like PyTorch models), or"),Be.forEach(t),pe=p(Q),I=r(Q,"LI",{});var Oe=i(I);ae=n(Oe,"having all inputs as a list, tuple or dict in the first positional argument."),Oe.forEach(t),Q.forEach(t),Z=p(f),v=r(f,"P",{});var z=i(v);ye=n(z,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=r(z,"CODE",{});var We=i(H);ve=n(We,"model.fit()"),We.forEach(t),he=n(z,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),B=r(z,"CODE",{});var Ne=i(B);Te=n(Ne,"model.fit()"),Ne.forEach(t),ie=n(z,` supports! If, however, you want to use the second
format outside of Keras methods like `),V=r(z,"CODE",{});var Re=i(V);we=n(Re,"fit()"),Re.forEach(t),ue=n(z," and "),W=r(z,"CODE",{});var Ue=i(W);Ce=n(Ue,"predict()"),Ue.forEach(t),fe=n(z,`, such as when creating your own layers or models with
the Keras `),R=r(z,"CODE",{});var Le=i(R);me=n(Le,"Functional"),Le.forEach(t),$e=n(z,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),z.forEach(t),te=p(f),j=r(f,"UL",{});var D=i(j);L=r(D,"LI",{});var X=i(L);ge=n(X,"a single Tensor with "),U=r(X,"CODE",{});var Ke=i(U);le=n(Ke,"input_ids"),Ke.forEach(t),Fe=n(X," only and nothing else: "),K=r(X,"CODE",{});var Pe=i(K);Ee=n(Pe,"model(input_ids)"),Pe.forEach(t),X.forEach(t),Me=p(D),P=r(D,"LI",{});var Y=i(P);oe=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),J=r(Y,"CODE",{});var De=i(J);de=n(De,"model([input_ids, attention_mask])"),De.forEach(t),ze=n(Y," or "),G=r(Y,"CODE",{});var He=i(G);ce=n(He,"model([input_ids, attention_mask, token_type_ids])"),He.forEach(t),Y.forEach(t),qe=p(D),N=r(D,"LI",{});var Ae=i(N);_e=n(Ae,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),S=r(Ae,"CODE",{});var Ie=i(S);re=n(Ie,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ie.forEach(t),Ae.forEach(t),D.forEach(t),ee=p(f),A=r(f,"P",{});var ne=i(A);xe=n(ne,`Note that when creating models and layers with
`),O=r(ne,"A",{href:!0,rel:!0});var Qe=i(O);je=n(Qe,"subclassing"),Qe.forEach(t),be=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){g(O,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),g(O,"rel","nofollow")},m(f,M){_(f,d,M),e(d,b),e(d,h),e(h,u),e(d,y),_(f,l,M),_(f,c,M),e(c,q),e(q,ke),e(c,pe),e(c,I),e(I,ae),_(f,Z,M),_(f,v,M),e(v,ye),e(v,H),e(H,ve),e(v,he),e(v,B),e(B,Te),e(v,ie),e(v,V),e(V,we),e(v,ue),e(v,W),e(W,Ce),e(v,fe),e(v,R),e(R,me),e(v,$e),_(f,te,M),_(f,j,M),e(j,L),e(L,ge),e(L,U),e(U,le),e(L,Fe),e(L,K),e(K,Ee),e(j,Me),e(j,P),e(P,oe),e(P,J),e(J,de),e(P,ze),e(P,G),e(G,ce),e(j,qe),e(j,N),e(N,_e),e(N,S),e(S,re),_(f,ee,M),_(f,A,M),e(A,xe),e(A,O),e(O,je),e(A,be)},d(f){f&&t(d),f&&t(l),f&&t(c),f&&t(Z),f&&t(v),f&&t(te),f&&t(j),f&&t(ee),f&&t(A)}}}function Rv(x){let d,b,h,u,y;return{c(){d=a("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a("code"),u=o("Module"),y=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(c,"CODE",{});var q=i(h);u=n(q,"Module"),q.forEach(t),y=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,b),e(d,h),e(h,u),e(d,y)},d(l){l&&t(d)}}}function Uv(x){let d,b,h,u,y;return u=new Ye({props:{code:`from transformers import AutoTokenizer, TFCamembertForMultipleChoice
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("camembert-base")
model = TFCamembertForMultipleChoice.from_pretrained("camembert-base")

prompt = "In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced."
choice0 = "It is eaten with a fork and a knife."
choice1 = "It is eaten while held in the hand."

encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors="tf", padding=True)
inputs = {k: tf.expand_dims(v, 0) for k, v in encoding.items()}
outputs = model(inputs)  # batch size is 1

# the linear classifier still needs to be trained
logits = outputs.logits`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFCamembertForMultipleChoice
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;camembert-base&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFCamembertForMultipleChoice.from_pretrained(<span class="hljs-string">&quot;camembert-base&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>prompt = <span class="hljs-string">&quot;In Italy, pizza served in formal settings, such as at a restaurant, is presented unsliced.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice0 = <span class="hljs-string">&quot;It is eaten with a fork and a knife.&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>choice1 = <span class="hljs-string">&quot;It is eaten while held in the hand.&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>encoding = tokenizer([prompt, prompt], [choice0, choice1], return_tensors=<span class="hljs-string">&quot;tf&quot;</span>, padding=<span class="hljs-literal">True</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = {k: tf.expand_dims(v, <span class="hljs-number">0</span>) <span class="hljs-keyword">for</span> k, v <span class="hljs-keyword">in</span> encoding.items()}
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(inputs)  <span class="hljs-comment"># batch size is 1</span>

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># the linear classifier still needs to be trained</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>logits = outputs.logits`}}),{c(){d=a("p"),b=o("Example:"),h=m(),T(u.$$.fragment)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),h=p(l),w(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,h,c),C(u,l,c),y=!0},p:Xe,i(l){y||($(u.$$.fragment,l),y=!0)},o(l){F(u.$$.fragment,l),y=!1},d(l){l&&t(d),l&&t(h),E(u,l)}}}function Kv(x){let d,b,h,u,y,l,c,q,ke,pe,I,ae,Z,v,ye,H,ve,he,B,Te,ie,V,we,ue,W,Ce,fe,R,me,$e,te,j,L,ge,U,le,Fe,K,Ee,Me,P,oe,J,de,ze,G,ce,qe,N,_e,S,re,ee,A,xe,O,je,be;return{c(){d=a("p"),b=o("TensorFlow models and layers in "),h=a("code"),u=o("transformers"),y=o(" accept two formats as input:"),l=m(),c=a("ul"),q=a("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),pe=m(),I=a("li"),ae=o("having all inputs as a list, tuple or dict in the first positional argument."),Z=m(),v=a("p"),ye=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=a("code"),ve=o("model.fit()"),he=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),B=a("code"),Te=o("model.fit()"),ie=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),V=a("code"),we=o("fit()"),ue=o(" and "),W=a("code"),Ce=o("predict()"),fe=o(`, such as when creating your own layers or models with
the Keras `),R=a("code"),me=o("Functional"),$e=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),te=m(),j=a("ul"),L=a("li"),ge=o("a single Tensor with "),U=a("code"),le=o("input_ids"),Fe=o(" only and nothing else: "),K=a("code"),Ee=o("model(input_ids)"),Me=m(),P=a("li"),oe=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),J=a("code"),de=o("model([input_ids, attention_mask])"),ze=o(" or "),G=a("code"),ce=o("model([input_ids, attention_mask, token_type_ids])"),qe=m(),N=a("li"),_e=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),S=a("code"),re=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ee=m(),A=a("p"),xe=o(`Note that when creating models and layers with
`),O=a("a"),je=o("subclassing"),be=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(f){d=r(f,"P",{});var M=i(d);b=n(M,"TensorFlow models and layers in "),h=r(M,"CODE",{});var Se=i(h);u=n(Se,"transformers"),Se.forEach(t),y=n(M," accept two formats as input:"),M.forEach(t),l=p(f),c=r(f,"UL",{});var Q=i(c);q=r(Q,"LI",{});var Be=i(q);ke=n(Be,"having all inputs as keyword arguments (like PyTorch models), or"),Be.forEach(t),pe=p(Q),I=r(Q,"LI",{});var Oe=i(I);ae=n(Oe,"having all inputs as a list, tuple or dict in the first positional argument."),Oe.forEach(t),Q.forEach(t),Z=p(f),v=r(f,"P",{});var z=i(v);ye=n(z,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=r(z,"CODE",{});var We=i(H);ve=n(We,"model.fit()"),We.forEach(t),he=n(z,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),B=r(z,"CODE",{});var Ne=i(B);Te=n(Ne,"model.fit()"),Ne.forEach(t),ie=n(z,` supports! If, however, you want to use the second
format outside of Keras methods like `),V=r(z,"CODE",{});var Re=i(V);we=n(Re,"fit()"),Re.forEach(t),ue=n(z," and "),W=r(z,"CODE",{});var Ue=i(W);Ce=n(Ue,"predict()"),Ue.forEach(t),fe=n(z,`, such as when creating your own layers or models with
the Keras `),R=r(z,"CODE",{});var Le=i(R);me=n(Le,"Functional"),Le.forEach(t),$e=n(z,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),z.forEach(t),te=p(f),j=r(f,"UL",{});var D=i(j);L=r(D,"LI",{});var X=i(L);ge=n(X,"a single Tensor with "),U=r(X,"CODE",{});var Ke=i(U);le=n(Ke,"input_ids"),Ke.forEach(t),Fe=n(X," only and nothing else: "),K=r(X,"CODE",{});var Pe=i(K);Ee=n(Pe,"model(input_ids)"),Pe.forEach(t),X.forEach(t),Me=p(D),P=r(D,"LI",{});var Y=i(P);oe=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),J=r(Y,"CODE",{});var De=i(J);de=n(De,"model([input_ids, attention_mask])"),De.forEach(t),ze=n(Y," or "),G=r(Y,"CODE",{});var He=i(G);ce=n(He,"model([input_ids, attention_mask, token_type_ids])"),He.forEach(t),Y.forEach(t),qe=p(D),N=r(D,"LI",{});var Ae=i(N);_e=n(Ae,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),S=r(Ae,"CODE",{});var Ie=i(S);re=n(Ie,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ie.forEach(t),Ae.forEach(t),D.forEach(t),ee=p(f),A=r(f,"P",{});var ne=i(A);xe=n(ne,`Note that when creating models and layers with
`),O=r(ne,"A",{href:!0,rel:!0});var Qe=i(O);je=n(Qe,"subclassing"),Qe.forEach(t),be=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){g(O,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),g(O,"rel","nofollow")},m(f,M){_(f,d,M),e(d,b),e(d,h),e(h,u),e(d,y),_(f,l,M),_(f,c,M),e(c,q),e(q,ke),e(c,pe),e(c,I),e(I,ae),_(f,Z,M),_(f,v,M),e(v,ye),e(v,H),e(H,ve),e(v,he),e(v,B),e(B,Te),e(v,ie),e(v,V),e(V,we),e(v,ue),e(v,W),e(W,Ce),e(v,fe),e(v,R),e(R,me),e(v,$e),_(f,te,M),_(f,j,M),e(j,L),e(L,ge),e(L,U),e(U,le),e(L,Fe),e(L,K),e(K,Ee),e(j,Me),e(j,P),e(P,oe),e(P,J),e(J,de),e(P,ze),e(P,G),e(G,ce),e(j,qe),e(j,N),e(N,_e),e(N,S),e(S,re),_(f,ee,M),_(f,A,M),e(A,xe),e(A,O),e(O,je),e(A,be)},d(f){f&&t(d),f&&t(l),f&&t(c),f&&t(Z),f&&t(v),f&&t(te),f&&t(j),f&&t(ee),f&&t(A)}}}function Hv(x){let d,b,h,u,y;return{c(){d=a("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a("code"),u=o("Module"),y=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(c,"CODE",{});var q=i(h);u=n(q,"Module"),q.forEach(t),y=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,b),e(d,h),e(h,u),e(d,y)},d(l){l&&t(d)}}}function Qv(x){let d,b,h,u,y;return u=new Ye({props:{code:`from transformers import AutoTokenizer, TFCamembertForTokenClassification
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("ydshieh/roberta-large-ner-english")
model = TFCamembertForTokenClassification.from_pretrained("ydshieh/roberta-large-ner-english")

inputs = tokenizer(
    "HuggingFace is a company based in Paris and New York", add_special_tokens=False, return_tensors="tf"
)

logits = model(**inputs).logits
predicted_token_class_ids = tf.math.argmax(logits, axis=-1)

# Note that tokens are classified rather then input words which means that
# there might be more predicted token classes than words.
# Multiple token classes might account for the same word
predicted_tokens_classes = [model.config.id2label[t] for t in predicted_token_class_ids[0].numpy().tolist()]
predicted_tokens_classes`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFCamembertForTokenClassification
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-large-ner-english&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFCamembertForTokenClassification.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-large-ner-english&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(
<span class="hljs-meta">... </span>    <span class="hljs-string">&quot;HuggingFace is a company based in Paris and New York&quot;</span>, add_special_tokens=<span class="hljs-literal">False</span>, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>
<span class="hljs-meta">... </span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>logits = model(**inputs).logits
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_token_class_ids = tf.math.argmax(logits, axis=-<span class="hljs-number">1</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Note that tokens are classified rather then input words which means that</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># there might be more predicted token classes than words.</span>
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># Multiple token classes might account for the same word</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes = [model.config.id2label[t] <span class="hljs-keyword">for</span> t <span class="hljs-keyword">in</span> predicted_token_class_ids[<span class="hljs-number">0</span>].numpy().tolist()]
<span class="hljs-meta">&gt;&gt;&gt; </span>predicted_tokens_classes
[<span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;ORG&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;O&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>, <span class="hljs-string">&#x27;LOC&#x27;</span>]`}}),{c(){d=a("p"),b=o("Example:"),h=m(),T(u.$$.fragment)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),h=p(l),w(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,h,c),C(u,l,c),y=!0},p:Xe,i(l){y||($(u.$$.fragment,l),y=!0)},o(l){F(u.$$.fragment,l),y=!1},d(l){l&&t(d),l&&t(h),E(u,l)}}}function Vv(x){let d,b;return d=new Ye({props:{code:`labels = predicted_token_class_ids
loss = tf.math.reduce_mean(model(**inputs, labels=labels).loss)
round(float(loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>labels = predicted_token_class_ids
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = tf.math.reduce_mean(model(**inputs, labels=labels).loss)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.01</span>`}}),{c(){T(d.$$.fragment)},l(h){w(d.$$.fragment,h)},m(h,u){C(d,h,u),b=!0},p:Xe,i(h){b||($(d.$$.fragment,h),b=!0)},o(h){F(d.$$.fragment,h),b=!1},d(h){E(d,h)}}}function Jv(x){let d,b,h,u,y,l,c,q,ke,pe,I,ae,Z,v,ye,H,ve,he,B,Te,ie,V,we,ue,W,Ce,fe,R,me,$e,te,j,L,ge,U,le,Fe,K,Ee,Me,P,oe,J,de,ze,G,ce,qe,N,_e,S,re,ee,A,xe,O,je,be;return{c(){d=a("p"),b=o("TensorFlow models and layers in "),h=a("code"),u=o("transformers"),y=o(" accept two formats as input:"),l=m(),c=a("ul"),q=a("li"),ke=o("having all inputs as keyword arguments (like PyTorch models), or"),pe=m(),I=a("li"),ae=o("having all inputs as a list, tuple or dict in the first positional argument."),Z=m(),v=a("p"),ye=o(`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=a("code"),ve=o("model.fit()"),he=o(` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),B=a("code"),Te=o("model.fit()"),ie=o(` supports! If, however, you want to use the second
format outside of Keras methods like `),V=a("code"),we=o("fit()"),ue=o(" and "),W=a("code"),Ce=o("predict()"),fe=o(`, such as when creating your own layers or models with
the Keras `),R=a("code"),me=o("Functional"),$e=o(` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),te=m(),j=a("ul"),L=a("li"),ge=o("a single Tensor with "),U=a("code"),le=o("input_ids"),Fe=o(" only and nothing else: "),K=a("code"),Ee=o("model(input_ids)"),Me=m(),P=a("li"),oe=o(`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),J=a("code"),de=o("model([input_ids, attention_mask])"),ze=o(" or "),G=a("code"),ce=o("model([input_ids, attention_mask, token_type_ids])"),qe=m(),N=a("li"),_e=o(`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),S=a("code"),re=o('model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),ee=m(),A=a("p"),xe=o(`Note that when creating models and layers with
`),O=a("a"),je=o("subclassing"),be=o(` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),this.h()},l(f){d=r(f,"P",{});var M=i(d);b=n(M,"TensorFlow models and layers in "),h=r(M,"CODE",{});var Se=i(h);u=n(Se,"transformers"),Se.forEach(t),y=n(M," accept two formats as input:"),M.forEach(t),l=p(f),c=r(f,"UL",{});var Q=i(c);q=r(Q,"LI",{});var Be=i(q);ke=n(Be,"having all inputs as keyword arguments (like PyTorch models), or"),Be.forEach(t),pe=p(Q),I=r(Q,"LI",{});var Oe=i(I);ae=n(Oe,"having all inputs as a list, tuple or dict in the first positional argument."),Oe.forEach(t),Q.forEach(t),Z=p(f),v=r(f,"P",{});var z=i(v);ye=n(z,`The reason the second format is supported is that Keras methods prefer this format when passing inputs to models
and layers. Because of this support, when using methods like `),H=r(z,"CODE",{});var We=i(H);ve=n(We,"model.fit()"),We.forEach(t),he=n(z,` things should \u201Cjust work\u201D for you - just
pass your inputs and labels in any format that `),B=r(z,"CODE",{});var Ne=i(B);Te=n(Ne,"model.fit()"),Ne.forEach(t),ie=n(z,` supports! If, however, you want to use the second
format outside of Keras methods like `),V=r(z,"CODE",{});var Re=i(V);we=n(Re,"fit()"),Re.forEach(t),ue=n(z," and "),W=r(z,"CODE",{});var Ue=i(W);Ce=n(Ue,"predict()"),Ue.forEach(t),fe=n(z,`, such as when creating your own layers or models with
the Keras `),R=r(z,"CODE",{});var Le=i(R);me=n(Le,"Functional"),Le.forEach(t),$e=n(z,` API, there are three possibilities you can use to gather all the input Tensors in the first
positional argument:`),z.forEach(t),te=p(f),j=r(f,"UL",{});var D=i(j);L=r(D,"LI",{});var X=i(L);ge=n(X,"a single Tensor with "),U=r(X,"CODE",{});var Ke=i(U);le=n(Ke,"input_ids"),Ke.forEach(t),Fe=n(X," only and nothing else: "),K=r(X,"CODE",{});var Pe=i(K);Ee=n(Pe,"model(input_ids)"),Pe.forEach(t),X.forEach(t),Me=p(D),P=r(D,"LI",{});var Y=i(P);oe=n(Y,`a list of varying length with one or several input Tensors IN THE ORDER given in the docstring:
`),J=r(Y,"CODE",{});var De=i(J);de=n(De,"model([input_ids, attention_mask])"),De.forEach(t),ze=n(Y," or "),G=r(Y,"CODE",{});var He=i(G);ce=n(He,"model([input_ids, attention_mask, token_type_ids])"),He.forEach(t),Y.forEach(t),qe=p(D),N=r(D,"LI",{});var Ae=i(N);_e=n(Ae,`a dictionary with one or several input Tensors associated to the input names given in the docstring:
`),S=r(Ae,"CODE",{});var Ie=i(S);re=n(Ie,'model({"input_ids": input_ids, "token_type_ids": token_type_ids})'),Ie.forEach(t),Ae.forEach(t),D.forEach(t),ee=p(f),A=r(f,"P",{});var ne=i(A);xe=n(ne,`Note that when creating models and layers with
`),O=r(ne,"A",{href:!0,rel:!0});var Qe=i(O);je=n(Qe,"subclassing"),Qe.forEach(t),be=n(ne,` then you don\u2019t need to worry
about any of this, as you can just pass inputs like you would to any other Python function!`),ne.forEach(t),this.h()},h(){g(O,"href","https://keras.io/guides/making_new_layers_and_models_via_subclassing/"),g(O,"rel","nofollow")},m(f,M){_(f,d,M),e(d,b),e(d,h),e(h,u),e(d,y),_(f,l,M),_(f,c,M),e(c,q),e(q,ke),e(c,pe),e(c,I),e(I,ae),_(f,Z,M),_(f,v,M),e(v,ye),e(v,H),e(H,ve),e(v,he),e(v,B),e(B,Te),e(v,ie),e(v,V),e(V,we),e(v,ue),e(v,W),e(W,Ce),e(v,fe),e(v,R),e(R,me),e(v,$e),_(f,te,M),_(f,j,M),e(j,L),e(L,ge),e(L,U),e(U,le),e(L,Fe),e(L,K),e(K,Ee),e(j,Me),e(j,P),e(P,oe),e(P,J),e(J,de),e(P,ze),e(P,G),e(G,ce),e(j,qe),e(j,N),e(N,_e),e(N,S),e(S,re),_(f,ee,M),_(f,A,M),e(A,xe),e(A,O),e(O,je),e(A,be)},d(f){f&&t(d),f&&t(l),f&&t(c),f&&t(Z),f&&t(v),f&&t(te),f&&t(j),f&&t(ee),f&&t(A)}}}function Gv(x){let d,b,h,u,y;return{c(){d=a("p"),b=o("Although the recipe for forward pass needs to be defined within this function, one should call the "),h=a("code"),u=o("Module"),y=o(`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Although the recipe for forward pass needs to be defined within this function, one should call the "),h=r(c,"CODE",{});var q=i(h);u=n(q,"Module"),q.forEach(t),y=n(c,`
instance afterwards instead of this since the former takes care of running the pre and post processing steps while
the latter silently ignores them.`),c.forEach(t)},m(l,c){_(l,d,c),e(d,b),e(d,h),e(h,u),e(d,y)},d(l){l&&t(d)}}}function Xv(x){let d,b,h,u,y;return u=new Ye({props:{code:`from transformers import AutoTokenizer, TFCamembertForQuestionAnswering
import tensorflow as tf

tokenizer = AutoTokenizer.from_pretrained("ydshieh/roberta-base-squad2")
model = TFCamembertForQuestionAnswering.from_pretrained("ydshieh/roberta-base-squad2")

question, text = "Who was Jim Henson?", "Jim Henson was a nice puppet"

inputs = tokenizer(question, text, return_tensors="tf")
outputs = model(**inputs)

answer_start_index = int(tf.math.argmax(outputs.start_logits, axis=-1)[0])
answer_end_index = int(tf.math.argmax(outputs.end_logits, axis=-1)[0])

predict_answer_tokens = inputs.input_ids[0, answer_start_index : answer_end_index + 1]
tokenizer.decode(predict_answer_tokens)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> transformers <span class="hljs-keyword">import</span> AutoTokenizer, TFCamembertForQuestionAnswering
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> tensorflow <span class="hljs-keyword">as</span> tf

<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer = AutoTokenizer.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-base-squad2&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>model = TFCamembertForQuestionAnswering.from_pretrained(<span class="hljs-string">&quot;ydshieh/roberta-base-squad2&quot;</span>)

<span class="hljs-meta">&gt;&gt;&gt; </span>question, text = <span class="hljs-string">&quot;Who was Jim Henson?&quot;</span>, <span class="hljs-string">&quot;Jim Henson was a nice puppet&quot;</span>

<span class="hljs-meta">&gt;&gt;&gt; </span>inputs = tokenizer(question, text, return_tensors=<span class="hljs-string">&quot;tf&quot;</span>)
<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs)

<span class="hljs-meta">&gt;&gt;&gt; </span>answer_start_index = <span class="hljs-built_in">int</span>(tf.math.argmax(outputs.start_logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>answer_end_index = <span class="hljs-built_in">int</span>(tf.math.argmax(outputs.end_logits, axis=-<span class="hljs-number">1</span>)[<span class="hljs-number">0</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>predict_answer_tokens = inputs.input_ids[<span class="hljs-number">0</span>, answer_start_index : answer_end_index + <span class="hljs-number">1</span>]
<span class="hljs-meta">&gt;&gt;&gt; </span>tokenizer.decode(predict_answer_tokens)
<span class="hljs-string">&#x27; puppet&#x27;</span>`}}),{c(){d=a("p"),b=o("Example:"),h=m(),T(u.$$.fragment)},l(l){d=r(l,"P",{});var c=i(d);b=n(c,"Example:"),c.forEach(t),h=p(l),w(u.$$.fragment,l)},m(l,c){_(l,d,c),e(d,b),_(l,h,c),C(u,l,c),y=!0},p:Xe,i(l){y||($(u.$$.fragment,l),y=!0)},o(l){F(u.$$.fragment,l),y=!1},d(l){l&&t(d),l&&t(h),E(u,l)}}}function Yv(x){let d,b;return d=new Ye({props:{code:`# target is "nice puppet"
target_start_index = tf.constant([14])
target_end_index = tf.constant([15])

outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
loss = tf.math.reduce_mean(outputs.loss)
round(float(loss), 2)`,highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-comment"># target is &quot;nice puppet&quot;</span>
<span class="hljs-meta">&gt;&gt;&gt; </span>target_start_index = tf.constant([<span class="hljs-number">14</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>target_end_index = tf.constant([<span class="hljs-number">15</span>])

<span class="hljs-meta">&gt;&gt;&gt; </span>outputs = model(**inputs, start_positions=target_start_index, end_positions=target_end_index)
<span class="hljs-meta">&gt;&gt;&gt; </span>loss = tf.math.reduce_mean(outputs.loss)
<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-built_in">round</span>(<span class="hljs-built_in">float</span>(loss), <span class="hljs-number">2</span>)
<span class="hljs-number">0.86</span>`}}),{c(){T(d.$$.fragment)},l(h){w(d.$$.fragment,h)},m(h,u){C(d,h,u),b=!0},p:Xe,i(h){b||($(d.$$.fragment,h),b=!0)},o(h){F(d.$$.fragment,h),b=!1},d(h){E(d,h)}}}function Zv(x){let d,b,h,u,y,l,c,q,ke,pe,I,ae,Z,v,ye,H,ve,he,B,Te,ie,V,we,ue,W,Ce,fe,R,me,$e,te,j,L,ge,U,le,Fe,K,Ee,Me,P,oe,J,de,ze,G,ce,qe,N,_e,S,re,ee,A,xe,O,je,be,f,M,Se,Q,Be,Oe,z,We,Ne,Re,Ue,Le,D,X,Ke,Pe,Y,De,He,Ae,Ie,ne,Qe,Jc,So,ud,ro,Bo,mi,ss,Gc,pi,Xc,fd,Ze,as,Yc,Bt,Zc,dr,em,tm,cr,om,nm,rs,sm,am,rm,is,im,mr,lm,dm,cm,Kt,ls,mm,hi,pm,hm,ds,pr,um,ui,fm,gm,hr,_m,fi,bm,km,Wo,cs,ym,ms,vm,gi,Tm,wm,Cm,Ro,ps,$m,_i,Fm,Em,ur,hs,gd,io,Uo,bi,us,Mm,ki,zm,_d,mt,fs,qm,Ct,xm,yi,jm,Am,fr,Pm,Lm,gr,Om,Nm,gs,Dm,Im,Sm,_s,Bm,_r,Wm,Rm,Um,Ht,bs,Km,vi,Hm,Qm,ks,br,Vm,Ti,Jm,Gm,kr,Xm,wi,Ym,Zm,Ko,ys,ep,Ci,tp,bd,lo,Ho,$i,vs,op,Fi,np,kd,Ve,Ts,sp,Ei,ap,rp,ws,ip,yr,lp,dp,cp,Cs,mp,$s,pp,hp,up,Fs,fp,Mi,gp,_p,bp,tt,kp,zi,yp,vp,qi,Tp,wp,xi,Cp,$p,ji,Fp,Ep,Ai,Mp,zp,Pi,qp,xp,jp,Qo,Ap,Li,Pp,Lp,Es,Op,Np,$t,Ms,Dp,co,Ip,vr,Sp,Bp,Oi,Wp,Rp,Up,Vo,Kp,Jo,yd,mo,Go,Ni,zs,Hp,Di,Qp,vd,pt,qs,Vp,xs,Jp,Ii,Gp,Xp,Yp,js,Zp,Tr,eh,th,oh,As,nh,Ps,sh,ah,rh,Ft,Ls,ih,po,lh,wr,dh,ch,Si,mh,ph,hh,Xo,uh,Yo,Td,ho,Zo,Bi,Os,fh,Wi,gh,wd,ht,Ns,_h,Ds,bh,Ri,kh,yh,vh,Is,Th,Cr,wh,Ch,$h,Ss,Fh,Bs,Eh,Mh,zh,Et,Ws,qh,uo,xh,$r,jh,Ah,Ui,Ph,Lh,Oh,en,Nh,tn,Cd,fo,on,Ki,Rs,Dh,Hi,Ih,$d,ut,Us,Sh,Qi,Bh,Wh,Ks,Rh,Fr,Uh,Kh,Hh,Hs,Qh,Qs,Vh,Jh,Gh,bt,Vs,Xh,go,Yh,Er,Zh,eu,Vi,tu,ou,nu,nn,su,sn,au,an,Fd,_o,rn,Ji,Js,ru,Gi,iu,Ed,ft,Gs,lu,Xi,du,cu,Xs,mu,Mr,pu,hu,uu,Ys,fu,Zs,gu,_u,bu,Mt,ea,ku,bo,yu,zr,vu,Tu,Yi,wu,Cu,$u,ln,Fu,dn,Md,ko,cn,Zi,ta,Eu,el,Mu,zd,gt,oa,zu,tl,qu,xu,na,ju,qr,Au,Pu,Lu,sa,Ou,aa,Nu,Du,Iu,zt,ra,Su,yo,Bu,xr,Wu,Ru,ol,Uu,Ku,Hu,mn,Qu,pn,qd,vo,hn,nl,ia,Vu,sl,Ju,xd,_t,la,Gu,un,Xu,al,Yu,Zu,rl,ef,tf,da,of,jr,nf,sf,af,ca,rf,ma,lf,df,cf,qt,pa,mf,To,pf,Ar,hf,uf,il,ff,gf,_f,fn,bf,gn,jd,wo,_n,ll,ha,kf,dl,yf,Ad,ot,ua,vf,cl,Tf,wf,fa,Cf,Pr,$f,Ff,Ef,ga,Mf,_a,zf,qf,xf,bn,jf,xt,ba,Af,Co,Pf,Lr,Lf,Of,ml,Nf,Df,If,kn,Sf,yn,Pd,$o,vn,pl,ka,Bf,hl,Wf,Ld,nt,ya,Rf,va,Uf,ul,Kf,Hf,Qf,Ta,Vf,Or,Jf,Gf,Xf,wa,Yf,Ca,Zf,eg,tg,Tn,og,jt,$a,ng,Fo,sg,Nr,ag,rg,fl,ig,lg,dg,wn,cg,Cn,Od,Eo,$n,gl,Fa,mg,_l,pg,Nd,st,Ea,hg,Ma,ug,bl,fg,gg,_g,za,bg,Dr,kg,yg,vg,qa,Tg,xa,wg,Cg,$g,Fn,Fg,kt,ja,Eg,Mo,Mg,Ir,zg,qg,kl,xg,jg,Ag,En,Pg,Mn,Lg,zn,Dd,zo,qn,yl,Aa,Og,vl,Ng,Id,at,Pa,Dg,Tl,Ig,Sg,La,Bg,Sr,Wg,Rg,Ug,Oa,Kg,Na,Hg,Qg,Vg,xn,Jg,yt,Da,Gg,qo,Xg,Br,Yg,Zg,wl,e_,t_,o_,jn,n_,An,s_,Pn,Sd,xo,Ln,Cl,Ia,a_,$l,r_,Bd,rt,Sa,i_,Fl,l_,d_,Ba,c_,Wr,m_,p_,h_,Wa,u_,Ra,f_,g_,__,On,b_,At,Ua,k_,jo,y_,Rr,v_,T_,El,w_,C_,$_,Nn,F_,Dn,Wd,Ao,In,Ml,Ka,E_,zl,M_,Rd,it,Ha,z_,ql,q_,x_,Qa,j_,Ur,A_,P_,L_,Va,O_,Ja,N_,D_,I_,Sn,S_,vt,Ga,B_,Po,W_,Kr,R_,U_,xl,K_,H_,Q_,Bn,V_,Wn,J_,Rn,Ud,Lo,Un,jl,Xa,G_,Al,X_,Kd,lt,Ya,Y_,Oo,Z_,Pl,eb,tb,Ll,ob,nb,sb,Za,ab,Hr,rb,ib,lb,er,db,tr,cb,mb,pb,Kn,hb,Tt,or,ub,No,fb,Qr,gb,_b,Ol,bb,kb,yb,Hn,vb,Qn,Tb,Vn,Hd;return l=new et({}),v=new et({}),A=new et({}),M=new se({props:{name:"class transformers.CamembertConfig",anchor:"transformers.CamembertConfig",parameters:[{name:"vocab_size",val:" = 30522"},{name:"hidden_size",val:" = 768"},{name:"num_hidden_layers",val:" = 12"},{name:"num_attention_heads",val:" = 12"},{name:"intermediate_size",val:" = 3072"},{name:"hidden_act",val:" = 'gelu'"},{name:"hidden_dropout_prob",val:" = 0.1"},{name:"attention_probs_dropout_prob",val:" = 0.1"},{name:"max_position_embeddings",val:" = 512"},{name:"type_vocab_size",val:" = 2"},{name:"initializer_range",val:" = 0.02"},{name:"layer_norm_eps",val:" = 1e-12"},{name:"pad_token_id",val:" = 1"},{name:"bos_token_id",val:" = 0"},{name:"eos_token_id",val:" = 2"},{name:"position_embedding_type",val:" = 'absolute'"},{name:"use_cache",val:" = True"},{name:"classifier_dropout",val:" = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.CamembertConfig.vocab_size",description:`<strong>vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 30522) &#x2014;
Vocabulary size of the BERT model. Defines the number of different tokens that can be represented by the
<code>inputs_ids</code> passed when calling <a href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertModel">CamembertModel</a> or <a href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.TFCamembertModel">TFCamembertModel</a>.`,name:"vocab_size"},{anchor:"transformers.CamembertConfig.hidden_size",description:`<strong>hidden_size</strong> (<code>int</code>, <em>optional</em>, defaults to 768) &#x2014;
Dimensionality of the encoder layers and the pooler layer.`,name:"hidden_size"},{anchor:"transformers.CamembertConfig.num_hidden_layers",description:`<strong>num_hidden_layers</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of hidden layers in the Transformer encoder.`,name:"num_hidden_layers"},{anchor:"transformers.CamembertConfig.num_attention_heads",description:`<strong>num_attention_heads</strong> (<code>int</code>, <em>optional</em>, defaults to 12) &#x2014;
Number of attention heads for each attention layer in the Transformer encoder.`,name:"num_attention_heads"},{anchor:"transformers.CamembertConfig.intermediate_size",description:`<strong>intermediate_size</strong> (<code>int</code>, <em>optional</em>, defaults to 3072) &#x2014;
Dimensionality of the &#x201C;intermediate&#x201D; (often named feed-forward) layer in the Transformer encoder.`,name:"intermediate_size"},{anchor:"transformers.CamembertConfig.hidden_act",description:`<strong>hidden_act</strong> (<code>str</code> or <code>Callable</code>, <em>optional</em>, defaults to <code>&quot;gelu&quot;</code>) &#x2014;
The non-linear activation function (function or string) in the encoder and pooler. If string, <code>&quot;gelu&quot;</code>,
<code>&quot;relu&quot;</code>, <code>&quot;silu&quot;</code> and <code>&quot;gelu_new&quot;</code> are supported.`,name:"hidden_act"},{anchor:"transformers.CamembertConfig.hidden_dropout_prob",description:`<strong>hidden_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout probability for all fully connected layers in the embeddings, encoder, and pooler.`,name:"hidden_dropout_prob"},{anchor:"transformers.CamembertConfig.attention_probs_dropout_prob",description:`<strong>attention_probs_dropout_prob</strong> (<code>float</code>, <em>optional</em>, defaults to 0.1) &#x2014;
The dropout ratio for the attention probabilities.`,name:"attention_probs_dropout_prob"},{anchor:"transformers.CamembertConfig.max_position_embeddings",description:`<strong>max_position_embeddings</strong> (<code>int</code>, <em>optional</em>, defaults to 512) &#x2014;
The maximum sequence length that this model might ever be used with. Typically set this to something large
just in case (e.g., 512 or 1024 or 2048).`,name:"max_position_embeddings"},{anchor:"transformers.CamembertConfig.type_vocab_size",description:`<strong>type_vocab_size</strong> (<code>int</code>, <em>optional</em>, defaults to 2) &#x2014;
The vocabulary size of the <code>token_type_ids</code> passed when calling <a href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertModel">CamembertModel</a> or <a href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.TFCamembertModel">TFCamembertModel</a>.`,name:"type_vocab_size"},{anchor:"transformers.CamembertConfig.initializer_range",description:`<strong>initializer_range</strong> (<code>float</code>, <em>optional</em>, defaults to 0.02) &#x2014;
The standard deviation of the truncated_normal_initializer for initializing all weight matrices.`,name:"initializer_range"},{anchor:"transformers.CamembertConfig.layer_norm_eps",description:`<strong>layer_norm_eps</strong> (<code>float</code>, <em>optional</em>, defaults to 1e-12) &#x2014;
The epsilon used by the layer normalization layers.`,name:"layer_norm_eps"},{anchor:"transformers.CamembertConfig.position_embedding_type",description:`<strong>position_embedding_type</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;absolute&quot;</code>) &#x2014;
Type of position embedding. Choose one of <code>&quot;absolute&quot;</code>, <code>&quot;relative_key&quot;</code>, <code>&quot;relative_key_query&quot;</code>. For
positional embeddings use <code>&quot;absolute&quot;</code>. For more information on <code>&quot;relative_key&quot;</code>, please refer to
<a href="https://arxiv.org/abs/1803.02155" rel="nofollow">Self-Attention with Relative Position Representations (Shaw et al.)</a>.
For more information on <code>&quot;relative_key_query&quot;</code>, please refer to <em>Method 4</em> in <a href="https://arxiv.org/abs/2009.13658" rel="nofollow">Improve Transformer Models
with Better Relative Position Embeddings (Huang et al.)</a>.`,name:"position_embedding_type"},{anchor:"transformers.CamembertConfig.is_decoder",description:`<strong>is_decoder</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether the model is used as a decoder or not. If <code>False</code>, the model is used as an encoder.`,name:"is_decoder"},{anchor:"transformers.CamembertConfig.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether or not the model should return the last key/values attentions (not used by all models). Only
relevant if <code>config.is_decoder=True</code>.`,name:"use_cache"},{anchor:"transformers.CamembertConfig.classifier_dropout",description:`<strong>classifier_dropout</strong> (<code>float</code>, <em>optional</em>) &#x2014;
The dropout ratio for the classification head.`,name:"classifier_dropout"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/configuration_camembert.py#L39"}}),So=new Ge({props:{anchor:"transformers.CamembertConfig.example",$$slots:{default:[pv]},$$scope:{ctx:x}}}),ss=new et({}),as=new se({props:{name:"class transformers.CamembertTokenizer",anchor:"transformers.CamembertTokenizer",parameters:[{name:"vocab_file",val:""},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"additional_special_tokens",val:" = ['<s>NOTUSED', '</s>NOTUSED']"},{name:"sp_model_kwargs",val:": typing.Union[typing.Dict[str, typing.Any], NoneType] = None"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.CamembertTokenizer.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.CamembertTokenizer.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.CamembertTokenizer.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.CamembertTokenizer.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.CamembertTokenizer.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.CamembertTokenizer.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.CamembertTokenizer.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.CamembertTokenizer.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.CamembertTokenizer.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>, defaults to <code>[&quot;&lt;s&gt;NOTUSED&quot;, &quot;&lt;/s&gt;NOTUSED&quot;]</code>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"},{anchor:"transformers.CamembertTokenizer.sp_model_kwargs",description:`<strong>sp_model_kwargs</strong> (<code>dict</code>, <em>optional</em>) &#x2014;
Will be passed to the <code>SentencePieceProcessor.__init__()</code> method. The <a href="https://github.com/google/sentencepiece/tree/master/python" rel="nofollow">Python wrapper for
SentencePiece</a> can be used, among other things,
to set:</p>
<ul>
<li>
<p><code>enable_sampling</code>: Enable subword regularization.</p>
</li>
<li>
<p><code>nbest_size</code>: Sampling parameters for unigram. Invalid for BPE-Dropout.</p>
<ul>
<li><code>nbest_size = {0,1}</code>: No sampling is performed.</li>
<li><code>nbest_size &gt; 1</code>: samples from the nbest_size results.</li>
<li><code>nbest_size &lt; 0</code>: assuming that nbest_size is infinite and samples from the all hypothesis (lattice)
using forward-filtering-and-backward-sampling algorithm.</li>
</ul>
</li>
<li>
<p><code>alpha</code>: Smoothing parameter for unigram sampling, and dropout probability of merge operations for
BPE-dropout.</p>
</li>
</ul>`,name:"sp_model_kwargs"},{anchor:"transformers.CamembertTokenizer.sp_model",description:`<strong>sp_model</strong> (<code>SentencePieceProcessor</code>) &#x2014;
The <em>SentencePiece</em> processor that is used for every conversion (string, tokens and IDs).`,name:"sp_model"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/tokenization_camembert.py#L45"}}),ls=new se({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.CamembertTokenizer.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.CamembertTokenizer.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.CamembertTokenizer.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/tokenization_camembert.py#L161",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),cs=new se({props:{name:"get_special_tokens_mask",anchor:"transformers.CamembertTokenizer.get_special_tokens_mask",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"},{name:"already_has_special_tokens",val:": bool = False"}],parametersDescription:[{anchor:"transformers.CamembertTokenizer.get_special_tokens_mask.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.CamembertTokenizer.get_special_tokens_mask.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"},{anchor:"transformers.CamembertTokenizer.get_special_tokens_mask.already_has_special_tokens",description:`<strong>already_has_special_tokens</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not the token list is already formatted with special tokens for the model.`,name:"already_has_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/tokenization_camembert.py#L187",returnDescription:`
<p>A list of integers in the range [0, 1]: 1 for a special token, 0 for a sequence token.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ps=new se({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.CamembertTokenizer.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.CamembertTokenizer.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.CamembertTokenizer.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/tokenization_camembert.py#L214",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),hs=new se({props:{name:"save_vocabulary",anchor:"transformers.CamembertTokenizer.save_vocabulary",parameters:[{name:"save_directory",val:": str"},{name:"filename_prefix",val:": typing.Optional[str] = None"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/tokenization_camembert.py#L298"}}),us=new et({}),fs=new se({props:{name:"class transformers.CamembertTokenizerFast",anchor:"transformers.CamembertTokenizerFast",parameters:[{name:"vocab_file",val:" = None"},{name:"tokenizer_file",val:" = None"},{name:"bos_token",val:" = '<s>'"},{name:"eos_token",val:" = '</s>'"},{name:"sep_token",val:" = '</s>'"},{name:"cls_token",val:" = '<s>'"},{name:"unk_token",val:" = '<unk>'"},{name:"pad_token",val:" = '<pad>'"},{name:"mask_token",val:" = '<mask>'"},{name:"additional_special_tokens",val:" = ['<s>NOTUSED', '</s>NOTUSED']"},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.CamembertTokenizerFast.vocab_file",description:`<strong>vocab_file</strong> (<code>str</code>) &#x2014;
<a href="https://github.com/google/sentencepiece" rel="nofollow">SentencePiece</a> file (generally has a <em>.spm</em> extension) that
contains the vocabulary necessary to instantiate a tokenizer.`,name:"vocab_file"},{anchor:"transformers.CamembertTokenizerFast.bos_token",description:`<strong>bos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The beginning of sequence token that was used during pretraining. Can be used a sequence classifier token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the beginning of
sequence. The token used is the <code>cls_token</code>.</p>

					</div>`,name:"bos_token"},{anchor:"transformers.CamembertTokenizerFast.eos_token",description:`<strong>eos_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The end of sequence token.</p>
<div class="course-tip  bg-gradient-to-br dark:bg-gradient-to-r before:border-green-500 dark:before:border-green-800 from-green-50 dark:from-gray-900 to-white dark:to-gray-950 border border-green-50 text-green-700 dark:text-gray-400">
						
<p>When building a sequence using special tokens, this is not the token that is used for the end of sequence.
The token used is the <code>sep_token</code>.</p>

					</div>`,name:"eos_token"},{anchor:"transformers.CamembertTokenizerFast.sep_token",description:`<strong>sep_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;/s&gt;&quot;</code>) &#x2014;
The separator token, which is used when building a sequence from multiple sequences, e.g. two sequences for
sequence classification or for a text and a question for question answering. It is also used as the last
token of a sequence built with special tokens.`,name:"sep_token"},{anchor:"transformers.CamembertTokenizerFast.cls_token",description:`<strong>cls_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;s&gt;&quot;</code>) &#x2014;
The classifier token which is used when doing sequence classification (classification of the whole sequence
instead of per-token classification). It is the first token of the sequence when built with special tokens.`,name:"cls_token"},{anchor:"transformers.CamembertTokenizerFast.unk_token",description:`<strong>unk_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;unk&gt;&quot;</code>) &#x2014;
The unknown token. A token that is not in the vocabulary cannot be converted to an ID and is set to be this
token instead.`,name:"unk_token"},{anchor:"transformers.CamembertTokenizerFast.pad_token",description:`<strong>pad_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;pad&gt;&quot;</code>) &#x2014;
The token used for padding, for example when batching sequences of different lengths.`,name:"pad_token"},{anchor:"transformers.CamembertTokenizerFast.mask_token",description:`<strong>mask_token</strong> (<code>str</code>, <em>optional</em>, defaults to <code>&quot;&lt;mask&gt;&quot;</code>) &#x2014;
The token used for masking values. This is the token used when training this model with masked language
modeling. This is the token which the model will try to predict.`,name:"mask_token"},{anchor:"transformers.CamembertTokenizerFast.additional_special_tokens",description:`<strong>additional_special_tokens</strong> (<code>List[str]</code>, <em>optional</em>, defaults to <code>[&quot;&lt;s&gt;NOTUSED&quot;, &quot;&lt;/s&gt;NOTUSED&quot;]</code>) &#x2014;
Additional special tokens used by the tokenizer.`,name:"additional_special_tokens"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/tokenization_camembert_fast.py#L53"}}),bs=new se({props:{name:"build_inputs_with_special_tokens",anchor:"transformers.CamembertTokenizerFast.build_inputs_with_special_tokens",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.CamembertTokenizerFast.build_inputs_with_special_tokens.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs to which the special tokens will be added.`,name:"token_ids_0"},{anchor:"transformers.CamembertTokenizerFast.build_inputs_with_special_tokens.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/tokenization_camembert_fast.py#L145",returnDescription:`
<p>List of <a href="../glossary#input-ids">input IDs</a> with the appropriate special tokens.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),ys=new se({props:{name:"create_token_type_ids_from_sequences",anchor:"transformers.CamembertTokenizerFast.create_token_type_ids_from_sequences",parameters:[{name:"token_ids_0",val:": typing.List[int]"},{name:"token_ids_1",val:": typing.Optional[typing.List[int]] = None"}],parametersDescription:[{anchor:"transformers.CamembertTokenizerFast.create_token_type_ids_from_sequences.token_ids_0",description:`<strong>token_ids_0</strong> (<code>List[int]</code>) &#x2014;
List of IDs.`,name:"token_ids_0"},{anchor:"transformers.CamembertTokenizerFast.create_token_type_ids_from_sequences.token_ids_1",description:`<strong>token_ids_1</strong> (<code>List[int]</code>, <em>optional</em>) &#x2014;
Optional second list of IDs for sequence pairs.`,name:"token_ids_1"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/tokenization_camembert_fast.py#L171",returnDescription:`
<p>List of zeros.</p>
`,returnType:`
<p><code>List[int]</code></p>
`}}),vs=new et({}),Ts=new se({props:{name:"class transformers.CamembertModel",anchor:"transformers.CamembertModel",parameters:[{name:"config",val:""},{name:"add_pooling_layer",val:" = True"}],parametersDescription:[{anchor:"transformers.CamembertModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig">CamembertConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_camembert.py#L748"}}),Ms=new se({props:{name:"forward",anchor:"transformers.CamembertModel.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"position_ids",val:": typing.Optional[torch.Tensor] = None"},{name:"head_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.Tensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.Tensor] = None"},{name:"past_key_values",val:": typing.Optional[typing.List[torch.FloatTensor]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.CamembertModel.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.CamembertModel.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.CamembertModel.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.CamembertModel.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.CamembertModel.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.CamembertModel.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.CamembertModel.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.CamembertModel.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.CamembertModel.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.CamembertModel.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.CamembertModel.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.CamembertModel.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.CamembertModel.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_camembert.py#L794",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig"
>CamembertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) after further processing
through the layers used for the auxiliary pretraining task. E.g. for BERT-family of models, this returns
the classification token after processing through a linear layer and a tanh activation function. The linear
layer weights are trained from the next sentence prediction (classification) objective during pretraining.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> and <code>config.add_cross_attention=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>tuple(torch.FloatTensor)</code> of length <code>config.n_layers</code>, with each tuple having 2 tensors of shape
<code>(batch_size, num_heads, sequence_length, embed_size_per_head)</code>) and optionally if
<code>config.is_encoder_decoder=True</code> 2 additional tensors of shape <code>(batch_size, num_heads, encoder_sequence_length, embed_size_per_head)</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the self-attention blocks and optionally if
<code>config.is_encoder_decoder=True</code> in the cross-attention blocks) that can be used (see <code>past_key_values</code>
input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_outputs.BaseModelOutputWithPoolingAndCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Vo=new Je({props:{$$slots:{default:[hv]},$$scope:{ctx:x}}}),Jo=new Ge({props:{anchor:"transformers.CamembertModel.forward.example",$$slots:{default:[uv]},$$scope:{ctx:x}}}),zs=new et({}),qs=new se({props:{name:"class transformers.CamembertForCausalLM",anchor:"transformers.CamembertForCausalLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.CamembertForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig">CamembertConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_camembert.py#L1423"}}),Ls=new se({props:{name:"forward",anchor:"transformers.CamembertForCausalLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"past_key_values",val:": typing.Tuple[typing.Tuple[torch.FloatTensor]] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.CamembertForCausalLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.CamembertForCausalLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.CamembertForCausalLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.CamembertForCausalLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.CamembertForCausalLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.CamembertForCausalLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.CamembertForCausalLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.CamembertForCausalLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.CamembertForCausalLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.CamembertForCausalLM.forward.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.CamembertForCausalLM.forward.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.CamembertForCausalLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the left-to-right language modeling loss (next word prediction). Indices should be in
<code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are
ignored (masked), the loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"},{anchor:"transformers.CamembertForCausalLM.forward.past_key_values",description:`<strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code> of length <code>config.n_layers</code> with each tuple having 4 tensors of shape <code>(batch_size, num_heads, sequence_length - 1, embed_size_per_head)</code>) &#x2014;
Contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.</p>
<p>If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.CamembertForCausalLM.forward.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>).`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_camembert.py#L1449",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig"
>CamembertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Cross attentions weights after the attention softmax, used to compute the weighted average in the
cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>tuple(tuple(torch.FloatTensor))</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> tuples of length <code>config.n_layers</code>, with each tuple containing the cached key,
value states of the self-attention and the cross-attention layers if model is used in encoder-decoder
setting. Only relevant if <code>config.is_decoder = True</code>.</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.CausalLMOutputWithCrossAttentions"
>transformers.modeling_outputs.CausalLMOutputWithCrossAttentions</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),Xo=new Je({props:{$$slots:{default:[fv]},$$scope:{ctx:x}}}),Yo=new Ge({props:{anchor:"transformers.CamembertForCausalLM.forward.example",$$slots:{default:[gv]},$$scope:{ctx:x}}}),Os=new et({}),Ns=new se({props:{name:"class transformers.CamembertForMaskedLM",anchor:"transformers.CamembertForMaskedLM",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.CamembertForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig">CamembertConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_camembert.py#L936"}}),Ws=new se({props:{name:"forward",anchor:"transformers.CamembertForMaskedLM.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_hidden_states",val:": typing.Optional[torch.FloatTensor] = None"},{name:"encoder_attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.CamembertForMaskedLM.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.CamembertForMaskedLM.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.CamembertForMaskedLM.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.CamembertForMaskedLM.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.CamembertForMaskedLM.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.CamembertForMaskedLM.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.CamembertForMaskedLM.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.CamembertForMaskedLM.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.CamembertForMaskedLM.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.CamembertForMaskedLM.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"},{anchor:"transformers.CamembertForMaskedLM.forward.kwargs",description:`<strong>kwargs</strong> (<code>Dict[str, any]</code>, optional, defaults to <em>{}</em>) &#x2014;
Used to hide legacy arguments that have been deprecated.`,name:"kwargs"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_camembert.py#L965",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig"
>CamembertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.MaskedLMOutput"
>transformers.modeling_outputs.MaskedLMOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),en=new Je({props:{$$slots:{default:[_v]},$$scope:{ctx:x}}}),tn=new Ge({props:{anchor:"transformers.CamembertForMaskedLM.forward.example",$$slots:{default:[bv]},$$scope:{ctx:x}}}),Rs=new et({}),Us=new se({props:{name:"class transformers.CamembertForSequenceClassification",anchor:"transformers.CamembertForSequenceClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.CamembertForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig">CamembertConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_camembert.py#L1040"}}),Vs=new se({props:{name:"forward",anchor:"transformers.CamembertForSequenceClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.CamembertForSequenceClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.CamembertForSequenceClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.CamembertForSequenceClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.CamembertForSequenceClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.CamembertForSequenceClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.CamembertForSequenceClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.CamembertForSequenceClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.CamembertForSequenceClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.CamembertForSequenceClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.CamembertForSequenceClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_camembert.py#L1054",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig"
>CamembertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.SequenceClassifierOutput"
>transformers.modeling_outputs.SequenceClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),nn=new Je({props:{$$slots:{default:[kv]},$$scope:{ctx:x}}}),sn=new Ge({props:{anchor:"transformers.CamembertForSequenceClassification.forward.example",$$slots:{default:[yv]},$$scope:{ctx:x}}}),an=new Ge({props:{anchor:"transformers.CamembertForSequenceClassification.forward.example-2",$$slots:{default:[vv]},$$scope:{ctx:x}}}),Js=new et({}),Gs=new se({props:{name:"class transformers.CamembertForMultipleChoice",anchor:"transformers.CamembertForMultipleChoice",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.CamembertForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig">CamembertConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_camembert.py#L1140"}}),ea=new se({props:{name:"forward",anchor:"transformers.CamembertForMultipleChoice.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.CamembertForMultipleChoice.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.CamembertForMultipleChoice.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.CamembertForMultipleChoice.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.CamembertForMultipleChoice.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.CamembertForMultipleChoice.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.CamembertForMultipleChoice.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.CamembertForMultipleChoice.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.CamembertForMultipleChoice.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.CamembertForMultipleChoice.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.CamembertForMultipleChoice.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices-1]</code> where <code>num_choices</code> is the size of the second dimension of the input tensors. (See
<code>input_ids</code> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_camembert.py#L1153",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig"
>CamembertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <em>(1,)</em>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.MultipleChoiceModelOutput"
>transformers.modeling_outputs.MultipleChoiceModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),ln=new Je({props:{$$slots:{default:[Tv]},$$scope:{ctx:x}}}),dn=new Ge({props:{anchor:"transformers.CamembertForMultipleChoice.forward.example",$$slots:{default:[wv]},$$scope:{ctx:x}}}),ta=new et({}),oa=new se({props:{name:"class transformers.CamembertForTokenClassification",anchor:"transformers.CamembertForTokenClassification",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.CamembertForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig">CamembertConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_camembert.py#L1235"}}),ra=new se({props:{name:"forward",anchor:"transformers.CamembertForTokenClassification.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"labels",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.CamembertForTokenClassification.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.CamembertForTokenClassification.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.CamembertForTokenClassification.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.CamembertForTokenClassification.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.CamembertForTokenClassification.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.CamembertForTokenClassification.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.CamembertForTokenClassification.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.CamembertForTokenClassification.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.CamembertForTokenClassification.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.CamembertForTokenClassification.forward.labels",description:`<strong>labels</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_camembert.py#L1253",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig"
>CamembertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.TokenClassifierOutput"
>transformers.modeling_outputs.TokenClassifierOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),mn=new Je({props:{$$slots:{default:[Cv]},$$scope:{ctx:x}}}),pn=new Ge({props:{anchor:"transformers.CamembertForTokenClassification.forward.example",$$slots:{default:[$v]},$$scope:{ctx:x}}}),ia=new et({}),la=new se({props:{name:"class transformers.CamembertForQuestionAnswering",anchor:"transformers.CamembertForQuestionAnswering",parameters:[{name:"config",val:""}],parametersDescription:[{anchor:"transformers.CamembertForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig">CamembertConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_camembert.py#L1322"}}),pa=new se({props:{name:"forward",anchor:"transformers.CamembertForQuestionAnswering.forward",parameters:[{name:"input_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"attention_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"token_type_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"position_ids",val:": typing.Optional[torch.LongTensor] = None"},{name:"head_mask",val:": typing.Optional[torch.FloatTensor] = None"},{name:"inputs_embeds",val:": typing.Optional[torch.FloatTensor] = None"},{name:"start_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"end_positions",val:": typing.Optional[torch.LongTensor] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"}],parametersDescription:[{anchor:"transformers.CamembertForQuestionAnswering.forward.input_ids",description:`<strong>input_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.CamembertForQuestionAnswering.forward.attention_mask",description:`<strong>attention_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.CamembertForQuestionAnswering.forward.token_type_ids",description:`<strong>token_type_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.CamembertForQuestionAnswering.forward.position_ids",description:`<strong>position_ids</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.CamembertForQuestionAnswering.forward.head_mask",description:`<strong>head_mask</strong> (<code>torch.FloatTensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.CamembertForQuestionAnswering.forward.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.CamembertForQuestionAnswering.forward.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail.`,name:"output_attentions"},{anchor:"transformers.CamembertForQuestionAnswering.forward.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail.`,name:"output_hidden_states"},{anchor:"transformers.CamembertForQuestionAnswering.forward.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple.`,name:"return_dict"},{anchor:"transformers.CamembertForQuestionAnswering.forward.start_positions",description:`<strong>start_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.CamembertForQuestionAnswering.forward.end_positions",description:`<strong>end_positions</strong> (<code>torch.LongTensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_camembert.py#L1336",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or a tuple of
<code>torch.FloatTensor</code> (if <code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various
elements depending on the configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig"
>CamembertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>torch.FloatTensor</code> of shape <code>(1,)</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>torch.FloatTensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for the output of the embeddings, if the model has an embedding layer, +
one for the output of each layer) of shape <code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the optional initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(torch.FloatTensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>torch.FloatTensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_outputs.QuestionAnsweringModelOutput"
>transformers.modeling_outputs.QuestionAnsweringModelOutput</a> or <code>tuple(torch.FloatTensor)</code></p>
`}}),fn=new Je({props:{$$slots:{default:[Fv]},$$scope:{ctx:x}}}),gn=new Ge({props:{anchor:"transformers.CamembertForQuestionAnswering.forward.example",$$slots:{default:[Ev]},$$scope:{ctx:x}}}),ha=new et({}),ua=new se({props:{name:"class transformers.TFCamembertModel",anchor:"transformers.TFCamembertModel",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFCamembertModel.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig">CamembertConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_tf_camembert.py#L921"}}),bn=new Je({props:{$$slots:{default:[Mv]},$$scope:{ctx:x}}}),ba=new se({props:{name:"call",anchor:"transformers.TFCamembertModel.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_hidden_states",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFCamembertModel.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFCamembertModel.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFCamembertModel.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFCamembertModel.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFCamembertModel.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFCamembertModel.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFCamembertModel.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFCamembertModel.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFCamembertModel.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFCamembertModel.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFCamembertModel.call.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.TFCamembertModel.call.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.TFCamembertModel.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFCamembertModel.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_tf_camembert.py#L926",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig"
>CamembertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>last_hidden_state</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>) \u2014 Sequence of hidden-states at the output of the last layer of the model.</p>
</li>
<li>
<p><strong>pooler_output</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, hidden_size)</code>) \u2014 Last layer hidden-state of the first token of the sequence (classification token) further processed by a
Linear layer and a Tanh activation function. The Linear layer weights are trained from the next sentence
prediction (classification) objective during pretraining.</p>
<p>This output is usually <em>not</em> a good summary of the semantic content of the input, you\u2019re often better with
averaging or pooling the sequence of hidden-states for the whole input sequence.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions"
>transformers.modeling_tf_outputs.TFBaseModelOutputWithPoolingAndCrossAttentions</a> or <code>tuple(tf.Tensor)</code></p>
`}}),kn=new Je({props:{$$slots:{default:[zv]},$$scope:{ctx:x}}}),yn=new Ge({props:{anchor:"transformers.TFCamembertModel.call.example",$$slots:{default:[qv]},$$scope:{ctx:x}}}),ka=new et({}),ya=new se({props:{name:"class transformers.TFCamembertForCausalLM",anchor:"transformers.TFCamembertForCausalLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFCamembertForCausalLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig">CamembertConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_tf_camembert.py#L1586"}}),Tn=new Je({props:{$$slots:{default:[xv]},$$scope:{ctx:x}}}),$a=new se({props:{name:"call",anchor:"transformers.TFCamembertForCausalLM.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_hidden_states",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"encoder_attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"past_key_values",val:": typing.Union[typing.Tuple[typing.Tuple[typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor]]], NoneType] = None"},{name:"use_cache",val:": typing.Optional[bool] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFCamembertForCausalLM.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFCamembertForCausalLM.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFCamembertForCausalLM.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFCamembertForCausalLM.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFCamembertForCausalLM.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFCamembertForCausalLM.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFCamembertForCausalLM.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFCamembertForCausalLM.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFCamembertForCausalLM.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFCamembertForCausalLM.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFCamembertForCausalLM.call.encoder_hidden_states",description:`<strong>encoder_hidden_states</strong>  (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Sequence of hidden-states at the output of the last layer of the encoder. Used in the cross-attention if
the model is configured as a decoder.`,name:"encoder_hidden_states"},{anchor:"transformers.TFCamembertForCausalLM.call.encoder_attention_mask",description:`<strong>encoder_attention_mask</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on the padding token indices of the encoder input. This mask is used in
the cross-attention if the model is configured as a decoder. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>`,name:"encoder_attention_mask"},{anchor:"transformers.TFCamembertForCausalLM.call.past_key_values",description:`<strong>past_key_values</strong> (<code>Tuple[Tuple[tf.Tensor]]</code> of length <code>config.n_layers</code>) &#x2014;
contains precomputed key and value hidden states of the attention blocks. Can be used to speed up decoding.
If <code>past_key_values</code> are used, the user can optionally input only the last <code>decoder_input_ids</code> (those that
don&#x2019;t have their past key value states given to this model) of shape <code>(batch_size, 1)</code> instead of all
<code>decoder_input_ids</code> of shape <code>(batch_size, sequence_length)</code>.`,name:"past_key_values"},{anchor:"transformers.TFCamembertForCausalLM.call.use_cache",description:`<strong>use_cache</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
If set to <code>True</code>, <code>past_key_values</code> key value states are returned and can be used to speed up decoding (see
<code>past_key_values</code>). Set to <code>False</code> during training, <code>True</code> during generation`,name:"use_cache"},{anchor:"transformers.TFCamembertForCausalLM.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> or <code>np.ndarray</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the cross entropy classification loss. Indices should be in <code>[0, ..., config.vocab_size - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_tf_camembert.py#L1619",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig"
>CamembertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Language modeling loss (for next-token prediction).</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
<li>
<p><strong>cross_attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights of the decoder\u2019s cross-attention layer, after the attention softmax, used to compute the
weighted average in the cross-attention heads.</p>
</li>
<li>
<p><strong>past_key_values</strong> (<code>List[tf.Tensor]</code>, <em>optional</em>, returned when <code>use_cache=True</code> is passed or when <code>config.use_cache=True</code>) \u2014 List of <code>tf.Tensor</code> of length <code>config.n_layers</code>, with each tensor of shape <code>(2, batch_size, num_heads, sequence_length, embed_size_per_head)</code>).</p>
<p>Contains pre-computed hidden-states (key and values in the attention blocks) that can be used (see
<code>past_key_values</code> input) to speed up sequential decoding.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions"
>transformers.modeling_tf_outputs.TFCausalLMOutputWithCrossAttentions</a> or <code>tuple(tf.Tensor)</code></p>
`}}),wn=new Je({props:{$$slots:{default:[jv]},$$scope:{ctx:x}}}),Cn=new Ge({props:{anchor:"transformers.TFCamembertForCausalLM.call.example",$$slots:{default:[Av]},$$scope:{ctx:x}}}),Fa=new et({}),Ea=new se({props:{name:"class transformers.TFCamembertForMaskedLM",anchor:"transformers.TFCamembertForMaskedLM",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFCamembertForMaskedLM.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig">CamembertConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_tf_camembert.py#L1069"}}),Fn=new Je({props:{$$slots:{default:[Pv]},$$scope:{ctx:x}}}),ja=new se({props:{name:"call",anchor:"transformers.TFCamembertForMaskedLM.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFCamembertForMaskedLM.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFCamembertForMaskedLM.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFCamembertForMaskedLM.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFCamembertForMaskedLM.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFCamembertForMaskedLM.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFCamembertForMaskedLM.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFCamembertForMaskedLM.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFCamembertForMaskedLM.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFCamembertForMaskedLM.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFCamembertForMaskedLM.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFCamembertForMaskedLM.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the masked language modeling loss. Indices should be in <code>[-100, 0, ..., config.vocab_size]</code> (see <code>input_ids</code> docstring) Tokens with indices set to <code>-100</code> are ignored (masked), the
loss is only computed for the tokens with labels in <code>[0, ..., config.vocab_size]</code>`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_tf_camembert.py#L1086",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig"
>CamembertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of non-masked labels, returned when <code>labels</code> is provided) \u2014 Masked language modeling (MLM) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.vocab_size)</code>) \u2014 Prediction scores of the language modeling head (scores for each vocabulary token before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFMaskedLMOutput"
>transformers.modeling_tf_outputs.TFMaskedLMOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),En=new Je({props:{$$slots:{default:[Lv]},$$scope:{ctx:x}}}),Mn=new Ge({props:{anchor:"transformers.TFCamembertForMaskedLM.call.example",$$slots:{default:[Ov]},$$scope:{ctx:x}}}),zn=new Ge({props:{anchor:"transformers.TFCamembertForMaskedLM.call.example-2",$$slots:{default:[Nv]},$$scope:{ctx:x}}}),Aa=new et({}),Pa=new se({props:{name:"class transformers.TFCamembertForSequenceClassification",anchor:"transformers.TFCamembertForSequenceClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFCamembertForSequenceClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig">CamembertConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_tf_camembert.py#L1190"}}),xn=new Je({props:{$$slots:{default:[Dv]},$$scope:{ctx:x}}}),Da=new se({props:{name:"call",anchor:"transformers.TFCamembertForSequenceClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFCamembertForSequenceClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFCamembertForSequenceClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFCamembertForSequenceClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFCamembertForSequenceClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFCamembertForSequenceClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFCamembertForSequenceClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFCamembertForSequenceClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFCamembertForSequenceClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFCamembertForSequenceClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFCamembertForSequenceClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFCamembertForSequenceClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the sequence classification/regression loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>. If <code>config.num_labels == 1</code> a regression loss is computed (Mean-Square loss), If
<code>config.num_labels &gt; 1</code> a classification loss is computed (Cross-Entropy).`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_tf_camembert.py#L1201",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig"
>CamembertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification (or regression if config.num_labels==1) loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, config.num_labels)</code>) \u2014 Classification (or regression if config.num_labels==1) scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFSequenceClassifierOutput"
>transformers.modeling_tf_outputs.TFSequenceClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),jn=new Je({props:{$$slots:{default:[Iv]},$$scope:{ctx:x}}}),An=new Ge({props:{anchor:"transformers.TFCamembertForSequenceClassification.call.example",$$slots:{default:[Sv]},$$scope:{ctx:x}}}),Pn=new Ge({props:{anchor:"transformers.TFCamembertForSequenceClassification.call.example-2",$$slots:{default:[Bv]},$$scope:{ctx:x}}}),Ia=new et({}),Sa=new se({props:{name:"class transformers.TFCamembertForMultipleChoice",anchor:"transformers.TFCamembertForMultipleChoice",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFCamembertForMultipleChoice.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig">CamembertConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_tf_camembert.py#L1365"}}),On=new Je({props:{$$slots:{default:[Wv]},$$scope:{ctx:x}}}),Ua=new se({props:{name:"call",anchor:"transformers.TFCamembertForMultipleChoice.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFCamembertForMultipleChoice.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFCamembertForMultipleChoice.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFCamembertForMultipleChoice.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFCamembertForMultipleChoice.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFCamembertForMultipleChoice.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFCamembertForMultipleChoice.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_choices, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFCamembertForMultipleChoice.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFCamembertForMultipleChoice.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFCamembertForMultipleChoice.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFCamembertForMultipleChoice.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFCamembertForMultipleChoice.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for computing the multiple choice classification loss. Indices should be in <code>[0, ..., num_choices]</code>
where <code>num_choices</code> is the size of the second dimension of the input tensors. (See <code>input_ids</code> above)`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_tf_camembert.py#L1389",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput"
>transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig"
>CamembertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <em>(batch_size, )</em>, <em>optional</em>, returned when <code>labels</code> is provided) \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, num_choices)</code>) \u2014 <em>num_choices</em> is the second dimension of the input tensors. (see <em>input_ids</em> above).</p>
<p>Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput"
>transformers.modeling_tf_outputs.TFMultipleChoiceModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Nn=new Je({props:{$$slots:{default:[Rv]},$$scope:{ctx:x}}}),Dn=new Ge({props:{anchor:"transformers.TFCamembertForMultipleChoice.call.example",$$slots:{default:[Uv]},$$scope:{ctx:x}}}),Ka=new et({}),Ha=new se({props:{name:"class transformers.TFCamembertForTokenClassification",anchor:"transformers.TFCamembertForTokenClassification",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFCamembertForTokenClassification.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig">CamembertConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_tf_camembert.py#L1274"}}),Sn=new Je({props:{$$slots:{default:[Kv]},$$scope:{ctx:x}}}),Ga=new se({props:{name:"call",anchor:"transformers.TFCamembertForTokenClassification.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"labels",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFCamembertForTokenClassification.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFCamembertForTokenClassification.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFCamembertForTokenClassification.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFCamembertForTokenClassification.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFCamembertForTokenClassification.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFCamembertForTokenClassification.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFCamembertForTokenClassification.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFCamembertForTokenClassification.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFCamembertForTokenClassification.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFCamembertForTokenClassification.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFCamembertForTokenClassification.call.labels",description:`<strong>labels</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Labels for computing the token classification loss. Indices should be in <code>[0, ..., config.num_labels - 1]</code>.`,name:"labels"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_tf_camembert.py#L1292",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFTokenClassifierOutput"
>transformers.modeling_tf_outputs.TFTokenClassifierOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig"
>CamembertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(n,)</code>, <em>optional</em>, where n is the number of unmasked labels, returned when <code>labels</code> is provided)  \u2014 Classification loss.</p>
</li>
<li>
<p><strong>logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, config.num_labels)</code>) \u2014 Classification scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFTokenClassifierOutput"
>transformers.modeling_tf_outputs.TFTokenClassifierOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Bn=new Je({props:{$$slots:{default:[Hv]},$$scope:{ctx:x}}}),Wn=new Ge({props:{anchor:"transformers.TFCamembertForTokenClassification.call.example",$$slots:{default:[Qv]},$$scope:{ctx:x}}}),Rn=new Ge({props:{anchor:"transformers.TFCamembertForTokenClassification.call.example-2",$$slots:{default:[Vv]},$$scope:{ctx:x}}}),Xa=new et({}),Ya=new se({props:{name:"class transformers.TFCamembertForQuestionAnswering",anchor:"transformers.TFCamembertForQuestionAnswering",parameters:[{name:"*args",val:""},{name:"**kwargs",val:""}],parametersDescription:[{anchor:"transformers.TFCamembertForQuestionAnswering.config",description:`<strong>config</strong> (<a href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig">CamembertConfig</a>) &#x2014; Model configuration class with all the parameters of the
model. Initializing with a config file does not load the weights associated with the model, only the
configuration. Check out the <a href="/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel.from_pretrained">from_pretrained()</a> method to load the model weights.`,name:"config"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_tf_camembert.py#L1488"}}),Kn=new Je({props:{$$slots:{default:[Jv]},$$scope:{ctx:x}}}),or=new se({props:{name:"call",anchor:"transformers.TFCamembertForQuestionAnswering.call",parameters:[{name:"input_ids",val:": typing.Union[typing.List[tensorflow.python.framework.ops.Tensor], typing.List[numpy.ndarray], typing.List[keras.engine.keras_tensor.KerasTensor], typing.Dict[str, tensorflow.python.framework.ops.Tensor], typing.Dict[str, numpy.ndarray], typing.Dict[str, keras.engine.keras_tensor.KerasTensor], tensorflow.python.framework.ops.Tensor, numpy.ndarray, keras.engine.keras_tensor.KerasTensor, NoneType] = None"},{name:"attention_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"token_type_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"position_ids",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"head_mask",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"inputs_embeds",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"output_attentions",val:": typing.Optional[bool] = None"},{name:"output_hidden_states",val:": typing.Optional[bool] = None"},{name:"return_dict",val:": typing.Optional[bool] = None"},{name:"start_positions",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"end_positions",val:": typing.Union[numpy.ndarray, tensorflow.python.framework.ops.Tensor, NoneType] = None"},{name:"training",val:": typing.Optional[bool] = False"}],parametersDescription:[{anchor:"transformers.TFCamembertForQuestionAnswering.call.input_ids",description:`<strong>input_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) &#x2014;
Indices of input sequence tokens in the vocabulary.</p>
<p>Indices can be obtained using <a href="/docs/transformers/v4.26.0/en/model_doc/auto#transformers.AutoTokenizer">AutoTokenizer</a>. See <a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.__call__">PreTrainedTokenizer.<strong>call</strong>()</a> and
<a href="/docs/transformers/v4.26.0/en/internal/tokenization_utils#transformers.PreTrainedTokenizerBase.encode">PreTrainedTokenizer.encode()</a> for details.</p>
<p><a href="../glossary#input-ids">What are input IDs?</a>`,name:"input_ids"},{anchor:"transformers.TFCamembertForQuestionAnswering.call.attention_mask",description:`<strong>attention_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Mask to avoid performing attention on padding token indices. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 for tokens that are <strong>not masked</strong>,</li>
<li>0 for tokens that are <strong>masked</strong>.</li>
</ul>
<p><a href="../glossary#attention-mask">What are attention masks?</a>`,name:"attention_mask"},{anchor:"transformers.TFCamembertForQuestionAnswering.call.token_type_ids",description:`<strong>token_type_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Segment token indices to indicate first and second portions of the inputs. Indices are selected in <code>[0, 1]</code>:</p>
<ul>
<li>0 corresponds to a <em>sentence A</em> token,</li>
<li>1 corresponds to a <em>sentence B</em> token.</li>
</ul>
<p><a href="../glossary#token-type-ids">What are token type IDs?</a>`,name:"token_type_ids"},{anchor:"transformers.TFCamembertForQuestionAnswering.call.position_ids",description:`<strong>position_ids</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>, <em>optional</em>) &#x2014;
Indices of positions of each input sequence tokens in the position embeddings. Selected in the range <code>[0, config.max_position_embeddings - 1]</code>.</p>
<p><a href="../glossary#position-ids">What are position IDs?</a>`,name:"position_ids"},{anchor:"transformers.TFCamembertForQuestionAnswering.call.head_mask",description:`<strong>head_mask</strong> (<code>Numpy array</code> or <code>tf.Tensor</code> of shape <code>(num_heads,)</code> or <code>(num_layers, num_heads)</code>, <em>optional</em>) &#x2014;
Mask to nullify selected heads of the self-attention modules. Mask values selected in <code>[0, 1]</code>:</p>
<ul>
<li>1 indicates the head is <strong>not masked</strong>,</li>
<li>0 indicates the head is <strong>masked</strong>.</li>
</ul>`,name:"head_mask"},{anchor:"transformers.TFCamembertForQuestionAnswering.call.inputs_embeds",description:`<strong>inputs_embeds</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length, hidden_size)</code>, <em>optional</em>) &#x2014;
Optionally, instead of passing <code>input_ids</code> you can choose to directly pass an embedded representation. This
is useful if you want more control over how to convert <code>input_ids</code> indices into associated vectors than the
model&#x2019;s internal embedding lookup matrix.`,name:"inputs_embeds"},{anchor:"transformers.TFCamembertForQuestionAnswering.call.output_attentions",description:`<strong>output_attentions</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the attentions tensors of all attention layers. See <code>attentions</code> under returned
tensors for more detail. This argument can be used only in eager mode, in graph mode the value in the
config will be used instead.`,name:"output_attentions"},{anchor:"transformers.TFCamembertForQuestionAnswering.call.output_hidden_states",description:`<strong>output_hidden_states</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return the hidden states of all layers. See <code>hidden_states</code> under returned tensors for
more detail. This argument can be used only in eager mode, in graph mode the value in the config will be
used instead.`,name:"output_hidden_states"},{anchor:"transformers.TFCamembertForQuestionAnswering.call.return_dict",description:`<strong>return_dict</strong> (<code>bool</code>, <em>optional</em>) &#x2014;
Whether or not to return a <a href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.utils.ModelOutput">ModelOutput</a> instead of a plain tuple. This argument can be used in
eager mode, in graph mode the value will always be set to True.`,name:"return_dict"},{anchor:"transformers.TFCamembertForQuestionAnswering.call.training",description:`<strong>training</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>False</code>) &#x2014;
Whether or not to use the model in training mode (some modules like dropout modules have different
behaviors between training and evaluation).`,name:"training"},{anchor:"transformers.TFCamembertForQuestionAnswering.call.start_positions",description:`<strong>start_positions</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the start of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"start_positions"},{anchor:"transformers.TFCamembertForQuestionAnswering.call.end_positions",description:`<strong>end_positions</strong> (<code>tf.Tensor</code> of shape <code>(batch_size,)</code>, <em>optional</em>) &#x2014;
Labels for position (index) of the end of the labelled span for computing the token classification loss.
Positions are clamped to the length of the sequence (<code>sequence_length</code>). Position outside of the sequence
are not taken into account for computing the loss.`,name:"end_positions"}],source:"https://github.com/huggingface/transformers/blob/v4.26.0/src/transformers/models/camembert/modeling_tf_camembert.py#L1501",returnDescription:`
<p>A <a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput"
>transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput</a> or a tuple of <code>tf.Tensor</code> (if
<code>return_dict=False</code> is passed or when <code>config.return_dict=False</code>) comprising various elements depending on the
configuration (<a
  href="/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertConfig"
>CamembertConfig</a>) and inputs.</p>
<ul>
<li>
<p><strong>loss</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, )</code>, <em>optional</em>, returned when <code>start_positions</code> and <code>end_positions</code> are provided) \u2014 Total span extraction loss is the sum of a Cross-Entropy for the start and end positions.</p>
</li>
<li>
<p><strong>start_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-start scores (before SoftMax).</p>
</li>
<li>
<p><strong>end_logits</strong> (<code>tf.Tensor</code> of shape <code>(batch_size, sequence_length)</code>) \u2014 Span-end scores (before SoftMax).</p>
</li>
<li>
<p><strong>hidden_states</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_hidden_states=True</code> is passed or when <code>config.output_hidden_states=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for the output of the embeddings + one for the output of each layer) of shape
<code>(batch_size, sequence_length, hidden_size)</code>.</p>
<p>Hidden-states of the model at the output of each layer plus the initial embedding outputs.</p>
</li>
<li>
<p><strong>attentions</strong> (<code>tuple(tf.Tensor)</code>, <em>optional</em>, returned when <code>output_attentions=True</code> is passed or when <code>config.output_attentions=True</code>) \u2014 Tuple of <code>tf.Tensor</code> (one for each layer) of shape <code>(batch_size, num_heads, sequence_length, sequence_length)</code>.</p>
<p>Attentions weights after the attention softmax, used to compute the weighted average in the self-attention
heads.</p>
</li>
</ul>
`,returnType:`
<p><a
  href="/docs/transformers/v4.26.0/en/main_classes/output#transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput"
>transformers.modeling_tf_outputs.TFQuestionAnsweringModelOutput</a> or <code>tuple(tf.Tensor)</code></p>
`}}),Hn=new Je({props:{$$slots:{default:[Gv]},$$scope:{ctx:x}}}),Qn=new Ge({props:{anchor:"transformers.TFCamembertForQuestionAnswering.call.example",$$slots:{default:[Xv]},$$scope:{ctx:x}}}),Vn=new Ge({props:{anchor:"transformers.TFCamembertForQuestionAnswering.call.example-2",$$slots:{default:[Yv]},$$scope:{ctx:x}}}),{c(){d=a("meta"),b=m(),h=a("h1"),u=a("a"),y=a("span"),T(l.$$.fragment),c=m(),q=a("span"),ke=o("CamemBERT"),pe=m(),I=a("h2"),ae=a("a"),Z=a("span"),T(v.$$.fragment),ye=m(),H=a("span"),ve=o("Overview"),he=m(),B=a("p"),Te=o("The CamemBERT model was proposed in "),ie=a("a"),V=o("CamemBERT: a Tasty French Language Model"),we=o(` by
Louis Martin, Benjamin Muller, Pedro Javier Ortiz Su\xE1rez, Yoann Dupont, Laurent Romary, \xC9ric Villemonte de la
Clergerie, Djam\xE9 Seddah, and Beno\xEEt Sagot. It is based on Facebook\u2019s RoBERTa model released in 2019. It is a model
trained on 138GB of French text.`),ue=m(),W=a("p"),Ce=o("The abstract from the paper is the following:"),fe=m(),R=a("p"),me=a("em"),$e=o(`Pretrained language models are now ubiquitous in Natural Language Processing. Despite their success, most available
models have either been trained on English data or on the concatenation of data in multiple languages. This makes
practical use of such models \u2014in all languages except English\u2014 very limited. Aiming to address this issue for French,
we release CamemBERT, a French version of the Bi-directional Encoders for Transformers (BERT). We measure the
performance of CamemBERT compared to multilingual models in multiple downstream tasks, namely part-of-speech tagging,
dependency parsing, named-entity recognition, and natural language inference. CamemBERT improves the state of the art
for most of the tasks considered. We release the pretrained model for CamemBERT hoping to foster research and
downstream applications for French NLP.`),te=m(),j=a("p"),L=o("Tips:"),ge=m(),U=a("ul"),le=a("li"),Fe=o("This implementation is the same as RoBERTa. Refer to the "),K=a("a"),Ee=o("documentation of RoBERTa"),Me=o(` for usage examples
as well as the information relative to the inputs and outputs.`),P=m(),oe=a("p"),J=o("This model was contributed by "),de=a("a"),ze=o("camembert"),G=o(". The original code can be found "),ce=a("a"),qe=o("here"),N=o("."),_e=m(),S=a("h2"),re=a("a"),ee=a("span"),T(A.$$.fragment),xe=m(),O=a("span"),je=o("CamembertConfig"),be=m(),f=a("div"),T(M.$$.fragment),Se=m(),Q=a("p"),Be=o("This is the configuration class to store the configuration of a "),Oe=a("a"),z=o("CamembertModel"),We=o(" or a "),Ne=a("a"),Re=o("TFCamembertModel"),Ue=o(`. It is
used to instantiate a Camembert model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the Camembert
`),Le=a("a"),D=o("camembert-base"),X=o(" architecture."),Ke=m(),Pe=a("p"),Y=o("Configuration objects inherit from "),De=a("a"),He=o("PretrainedConfig"),Ae=o(` and can be used to control the model outputs. Read the
documentation from `),Ie=a("a"),ne=o("PretrainedConfig"),Qe=o(" for more information."),Jc=m(),T(So.$$.fragment),ud=m(),ro=a("h2"),Bo=a("a"),mi=a("span"),T(ss.$$.fragment),Gc=m(),pi=a("span"),Xc=o("CamembertTokenizer"),fd=m(),Ze=a("div"),T(as.$$.fragment),Yc=m(),Bt=a("p"),Zc=o("Adapted from "),dr=a("a"),em=o("RobertaTokenizer"),tm=o(" and "),cr=a("a"),om=o("XLNetTokenizer"),nm=o(`. Construct a CamemBERT tokenizer. Based on
`),rs=a("a"),sm=o("SentencePiece"),am=o("."),rm=m(),is=a("p"),im=o("This tokenizer inherits from "),mr=a("a"),lm=o("PreTrainedTokenizer"),dm=o(` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),cm=m(),Kt=a("div"),T(ls.$$.fragment),mm=m(),hi=a("p"),pm=o(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An CamemBERT sequence has the following format:`),hm=m(),ds=a("ul"),pr=a("li"),um=o("single sequence: "),ui=a("code"),fm=o("<s> X </s>"),gm=m(),hr=a("li"),_m=o("pair of sequences: "),fi=a("code"),bm=o("<s> A </s></s> B </s>"),km=m(),Wo=a("div"),T(cs.$$.fragment),ym=m(),ms=a("p"),vm=o(`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),gi=a("code"),Tm=o("prepare_for_model"),wm=o(" method."),Cm=m(),Ro=a("div"),T(ps.$$.fragment),$m=m(),_i=a("p"),Fm=o(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. CamemBERT, like
RoBERTa, does not make use of token type ids, therefore a list of zeros is returned.`),Em=m(),ur=a("div"),T(hs.$$.fragment),gd=m(),io=a("h2"),Uo=a("a"),bi=a("span"),T(us.$$.fragment),Mm=m(),ki=a("span"),zm=o("CamembertTokenizerFast"),_d=m(),mt=a("div"),T(fs.$$.fragment),qm=m(),Ct=a("p"),xm=o("Construct a \u201Cfast\u201D CamemBERT tokenizer (backed by HuggingFace\u2019s "),yi=a("em"),jm=o("tokenizers"),Am=o(` library). Adapted from
`),fr=a("a"),Pm=o("RobertaTokenizer"),Lm=o(" and "),gr=a("a"),Om=o("XLNetTokenizer"),Nm=o(`. Based on
`),gs=a("a"),Dm=o("BPE"),Im=o("."),Sm=m(),_s=a("p"),Bm=o("This tokenizer inherits from "),_r=a("a"),Wm=o("PreTrainedTokenizerFast"),Rm=o(` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Um=m(),Ht=a("div"),T(bs.$$.fragment),Km=m(),vi=a("p"),Hm=o(`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An CamemBERT sequence has the following format:`),Qm=m(),ks=a("ul"),br=a("li"),Vm=o("single sequence: "),Ti=a("code"),Jm=o("<s> X </s>"),Gm=m(),kr=a("li"),Xm=o("pair of sequences: "),wi=a("code"),Ym=o("<s> A </s></s> B </s>"),Zm=m(),Ko=a("div"),T(ys.$$.fragment),ep=m(),Ci=a("p"),tp=o(`Create a mask from the two sequences passed to be used in a sequence-pair classification task. CamemBERT, like
RoBERTa, does not make use of token type ids, therefore a list of zeros is returned.`),bd=m(),lo=a("h2"),Ho=a("a"),$i=a("span"),T(vs.$$.fragment),op=m(),Fi=a("span"),np=o("CamembertModel"),kd=m(),Ve=a("div"),T(Ts.$$.fragment),sp=m(),Ei=a("p"),ap=o("The bare CamemBERT Model transformer outputting raw hidden-states without any specific head on top."),rp=m(),ws=a("p"),ip=o("This model inherits from "),yr=a("a"),lp=o("PreTrainedModel"),dp=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),cp=m(),Cs=a("p"),mp=o("This model is also a PyTorch "),$s=a("a"),pp=o("torch.nn.Module"),hp=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),up=m(),Fs=a("p"),fp=o(`The model can behave as an encoder (with only self-attention) as well as a decoder, in which case a layer of
cross-attention is added between the self-attention layers, following the architecture described in `),Mi=a("em"),gp=o(`Attention is
all you need`),_p=o(`_ by Ashish Vaswani, Noam Shazeer, Niki Parmar, Jakob Uszkoreit, Llion Jones, Aidan N. Gomez, Lukasz
Kaiser and Illia Polosukhin.`),bp=m(),tt=a("p"),kp=o("To behave as a decoder the model needs to be initialized with the "),zi=a("code"),yp=o("is_decoder"),vp=o(` argument of the configuration set to
`),qi=a("code"),Tp=o("True"),wp=o(". To be used in a Seq2Seq model, the model needs to initialized with both "),xi=a("code"),Cp=o("is_decoder"),$p=o(` argument and
`),ji=a("code"),Fp=o("add_cross_attention"),Ep=o(" set to "),Ai=a("code"),Mp=o("True"),zp=o("; an "),Pi=a("code"),qp=o("encoder_hidden_states"),xp=o(" is then expected as an input to the forward pass."),jp=m(),Qo=a("p"),Ap=o(".. _"),Li=a("em"),Pp=o("Attention is all you need"),Lp=o(": "),Es=a("a"),Op=o("https://arxiv.org/abs/1706.03762"),Np=m(),$t=a("div"),T(Ms.$$.fragment),Dp=m(),co=a("p"),Ip=o("The "),vr=a("a"),Sp=o("CamembertModel"),Bp=o(" forward method, overrides the "),Oi=a("code"),Wp=o("__call__"),Rp=o(" special method."),Up=m(),T(Vo.$$.fragment),Kp=m(),T(Jo.$$.fragment),yd=m(),mo=a("h2"),Go=a("a"),Ni=a("span"),T(zs.$$.fragment),Hp=m(),Di=a("span"),Qp=o("CamembertForCausalLM"),vd=m(),pt=a("div"),T(qs.$$.fragment),Vp=m(),xs=a("p"),Jp=o("CamemBERT Model with a "),Ii=a("code"),Gp=o("language modeling"),Xp=o(" head on top for CLM fine-tuning."),Yp=m(),js=a("p"),Zp=o("This model inherits from "),Tr=a("a"),eh=o("PreTrainedModel"),th=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),oh=m(),As=a("p"),nh=o("This model is also a PyTorch "),Ps=a("a"),sh=o("torch.nn.Module"),ah=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),rh=m(),Ft=a("div"),T(Ls.$$.fragment),ih=m(),po=a("p"),lh=o("The "),wr=a("a"),dh=o("CamembertForCausalLM"),ch=o(" forward method, overrides the "),Si=a("code"),mh=o("__call__"),ph=o(" special method."),hh=m(),T(Xo.$$.fragment),uh=m(),T(Yo.$$.fragment),Td=m(),ho=a("h2"),Zo=a("a"),Bi=a("span"),T(Os.$$.fragment),fh=m(),Wi=a("span"),gh=o("CamembertForMaskedLM"),wd=m(),ht=a("div"),T(Ns.$$.fragment),_h=m(),Ds=a("p"),bh=o("CamemBERT Model with a "),Ri=a("code"),kh=o("language modeling"),yh=o(" head on top."),vh=m(),Is=a("p"),Th=o("This model inherits from "),Cr=a("a"),wh=o("PreTrainedModel"),Ch=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),$h=m(),Ss=a("p"),Fh=o("This model is also a PyTorch "),Bs=a("a"),Eh=o("torch.nn.Module"),Mh=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),zh=m(),Et=a("div"),T(Ws.$$.fragment),qh=m(),uo=a("p"),xh=o("The "),$r=a("a"),jh=o("CamembertForMaskedLM"),Ah=o(" forward method, overrides the "),Ui=a("code"),Ph=o("__call__"),Lh=o(" special method."),Oh=m(),T(en.$$.fragment),Nh=m(),T(tn.$$.fragment),Cd=m(),fo=a("h2"),on=a("a"),Ki=a("span"),T(Rs.$$.fragment),Dh=m(),Hi=a("span"),Ih=o("CamembertForSequenceClassification"),$d=m(),ut=a("div"),T(Us.$$.fragment),Sh=m(),Qi=a("p"),Bh=o(`CamemBERT Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),Wh=m(),Ks=a("p"),Rh=o("This model inherits from "),Fr=a("a"),Uh=o("PreTrainedModel"),Kh=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Hh=m(),Hs=a("p"),Qh=o("This model is also a PyTorch "),Qs=a("a"),Vh=o("torch.nn.Module"),Jh=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Gh=m(),bt=a("div"),T(Vs.$$.fragment),Xh=m(),go=a("p"),Yh=o("The "),Er=a("a"),Zh=o("CamembertForSequenceClassification"),eu=o(" forward method, overrides the "),Vi=a("code"),tu=o("__call__"),ou=o(" special method."),nu=m(),T(nn.$$.fragment),su=m(),T(sn.$$.fragment),au=m(),T(an.$$.fragment),Fd=m(),_o=a("h2"),rn=a("a"),Ji=a("span"),T(Js.$$.fragment),ru=m(),Gi=a("span"),iu=o("CamembertForMultipleChoice"),Ed=m(),ft=a("div"),T(Gs.$$.fragment),lu=m(),Xi=a("p"),du=o(`CamemBERT Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),cu=m(),Xs=a("p"),mu=o("This model inherits from "),Mr=a("a"),pu=o("PreTrainedModel"),hu=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),uu=m(),Ys=a("p"),fu=o("This model is also a PyTorch "),Zs=a("a"),gu=o("torch.nn.Module"),_u=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),bu=m(),Mt=a("div"),T(ea.$$.fragment),ku=m(),bo=a("p"),yu=o("The "),zr=a("a"),vu=o("CamembertForMultipleChoice"),Tu=o(" forward method, overrides the "),Yi=a("code"),wu=o("__call__"),Cu=o(" special method."),$u=m(),T(ln.$$.fragment),Fu=m(),T(dn.$$.fragment),Md=m(),ko=a("h2"),cn=a("a"),Zi=a("span"),T(ta.$$.fragment),Eu=m(),el=a("span"),Mu=o("CamembertForTokenClassification"),zd=m(),gt=a("div"),T(oa.$$.fragment),zu=m(),tl=a("p"),qu=o(`CamemBERT Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),xu=m(),na=a("p"),ju=o("This model inherits from "),qr=a("a"),Au=o("PreTrainedModel"),Pu=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Lu=m(),sa=a("p"),Ou=o("This model is also a PyTorch "),aa=a("a"),Nu=o("torch.nn.Module"),Du=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Iu=m(),zt=a("div"),T(ra.$$.fragment),Su=m(),yo=a("p"),Bu=o("The "),xr=a("a"),Wu=o("CamembertForTokenClassification"),Ru=o(" forward method, overrides the "),ol=a("code"),Uu=o("__call__"),Ku=o(" special method."),Hu=m(),T(mn.$$.fragment),Qu=m(),T(pn.$$.fragment),qd=m(),vo=a("h2"),hn=a("a"),nl=a("span"),T(ia.$$.fragment),Vu=m(),sl=a("span"),Ju=o("CamembertForQuestionAnswering"),xd=m(),_t=a("div"),T(la.$$.fragment),Gu=m(),un=a("p"),Xu=o(`CamemBERT Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),al=a("code"),Yu=o("span start logits"),Zu=o(" and "),rl=a("code"),ef=o("span end logits"),tf=m(),da=a("p"),of=o("This model inherits from "),jr=a("a"),nf=o("PreTrainedModel"),sf=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),af=m(),ca=a("p"),rf=o("This model is also a PyTorch "),ma=a("a"),lf=o("torch.nn.Module"),df=o(` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),cf=m(),qt=a("div"),T(pa.$$.fragment),mf=m(),To=a("p"),pf=o("The "),Ar=a("a"),hf=o("CamembertForQuestionAnswering"),uf=o(" forward method, overrides the "),il=a("code"),ff=o("__call__"),gf=o(" special method."),_f=m(),T(fn.$$.fragment),bf=m(),T(gn.$$.fragment),jd=m(),wo=a("h2"),_n=a("a"),ll=a("span"),T(ha.$$.fragment),kf=m(),dl=a("span"),yf=o("TFCamembertModel"),Ad=m(),ot=a("div"),T(ua.$$.fragment),vf=m(),cl=a("p"),Tf=o("The bare CamemBERT Model transformer outputting raw hidden-states without any specific head on top."),wf=m(),fa=a("p"),Cf=o("This model inherits from "),Pr=a("a"),$f=o("TFPreTrainedModel"),Ff=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ef=m(),ga=a("p"),Mf=o("This model is also a "),_a=a("a"),zf=o("tf.keras.Model"),qf=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),xf=m(),T(bn.$$.fragment),jf=m(),xt=a("div"),T(ba.$$.fragment),Af=m(),Co=a("p"),Pf=o("The "),Lr=a("a"),Lf=o("TFCamembertModel"),Of=o(" forward method, overrides the "),ml=a("code"),Nf=o("__call__"),Df=o(" special method."),If=m(),T(kn.$$.fragment),Sf=m(),T(yn.$$.fragment),Pd=m(),$o=a("h2"),vn=a("a"),pl=a("span"),T(ka.$$.fragment),Bf=m(),hl=a("span"),Wf=o("TFCamembertForCasualLM"),Ld=m(),nt=a("div"),T(ya.$$.fragment),Rf=m(),va=a("p"),Uf=o("CamemBERT Model with a "),ul=a("code"),Kf=o("language modeling"),Hf=o(" head on top for CLM fine-tuning."),Qf=m(),Ta=a("p"),Vf=o("This model inherits from "),Or=a("a"),Jf=o("TFPreTrainedModel"),Gf=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Xf=m(),wa=a("p"),Yf=o("This model is also a "),Ca=a("a"),Zf=o("tf.keras.Model"),eg=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),tg=m(),T(Tn.$$.fragment),og=m(),jt=a("div"),T($a.$$.fragment),ng=m(),Fo=a("p"),sg=o("The "),Nr=a("a"),ag=o("TFCamembertForCausalLM"),rg=o(" forward method, overrides the "),fl=a("code"),ig=o("__call__"),lg=o(" special method."),dg=m(),T(wn.$$.fragment),cg=m(),T(Cn.$$.fragment),Od=m(),Eo=a("h2"),$n=a("a"),gl=a("span"),T(Fa.$$.fragment),mg=m(),_l=a("span"),pg=o("TFCamembertForMaskedLM"),Nd=m(),st=a("div"),T(Ea.$$.fragment),hg=m(),Ma=a("p"),ug=o("CamemBERT Model with a "),bl=a("code"),fg=o("language modeling"),gg=o(" head on top."),_g=m(),za=a("p"),bg=o("This model inherits from "),Dr=a("a"),kg=o("TFPreTrainedModel"),yg=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),vg=m(),qa=a("p"),Tg=o("This model is also a "),xa=a("a"),wg=o("tf.keras.Model"),Cg=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),$g=m(),T(Fn.$$.fragment),Fg=m(),kt=a("div"),T(ja.$$.fragment),Eg=m(),Mo=a("p"),Mg=o("The "),Ir=a("a"),zg=o("TFCamembertForMaskedLM"),qg=o(" forward method, overrides the "),kl=a("code"),xg=o("__call__"),jg=o(" special method."),Ag=m(),T(En.$$.fragment),Pg=m(),T(Mn.$$.fragment),Lg=m(),T(zn.$$.fragment),Dd=m(),zo=a("h2"),qn=a("a"),yl=a("span"),T(Aa.$$.fragment),Og=m(),vl=a("span"),Ng=o("TFCamembertForSequenceClassification"),Id=m(),at=a("div"),T(Pa.$$.fragment),Dg=m(),Tl=a("p"),Ig=o(`CamemBERT Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),Sg=m(),La=a("p"),Bg=o("This model inherits from "),Sr=a("a"),Wg=o("TFPreTrainedModel"),Rg=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ug=m(),Oa=a("p"),Kg=o("This model is also a "),Na=a("a"),Hg=o("tf.keras.Model"),Qg=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Vg=m(),T(xn.$$.fragment),Jg=m(),yt=a("div"),T(Da.$$.fragment),Gg=m(),qo=a("p"),Xg=o("The "),Br=a("a"),Yg=o("TFCamembertForSequenceClassification"),Zg=o(" forward method, overrides the "),wl=a("code"),e_=o("__call__"),t_=o(" special method."),o_=m(),T(jn.$$.fragment),n_=m(),T(An.$$.fragment),s_=m(),T(Pn.$$.fragment),Sd=m(),xo=a("h2"),Ln=a("a"),Cl=a("span"),T(Ia.$$.fragment),a_=m(),$l=a("span"),r_=o("TFCamembertForMultipleChoice"),Bd=m(),rt=a("div"),T(Sa.$$.fragment),i_=m(),Fl=a("p"),l_=o(`CamemBERT Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),d_=m(),Ba=a("p"),c_=o("This model inherits from "),Wr=a("a"),m_=o("TFPreTrainedModel"),p_=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),h_=m(),Wa=a("p"),u_=o("This model is also a "),Ra=a("a"),f_=o("tf.keras.Model"),g_=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),__=m(),T(On.$$.fragment),b_=m(),At=a("div"),T(Ua.$$.fragment),k_=m(),jo=a("p"),y_=o("The "),Rr=a("a"),v_=o("TFCamembertForMultipleChoice"),T_=o(" forward method, overrides the "),El=a("code"),w_=o("__call__"),C_=o(" special method."),$_=m(),T(Nn.$$.fragment),F_=m(),T(Dn.$$.fragment),Wd=m(),Ao=a("h2"),In=a("a"),Ml=a("span"),T(Ka.$$.fragment),E_=m(),zl=a("span"),M_=o("TFCamembertForTokenClassification"),Rd=m(),it=a("div"),T(Ha.$$.fragment),z_=m(),ql=a("p"),q_=o(`CamemBERT Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),x_=m(),Qa=a("p"),j_=o("This model inherits from "),Ur=a("a"),A_=o("TFPreTrainedModel"),P_=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),L_=m(),Va=a("p"),O_=o("This model is also a "),Ja=a("a"),N_=o("tf.keras.Model"),D_=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),I_=m(),T(Sn.$$.fragment),S_=m(),vt=a("div"),T(Ga.$$.fragment),B_=m(),Po=a("p"),W_=o("The "),Kr=a("a"),R_=o("TFCamembertForTokenClassification"),U_=o(" forward method, overrides the "),xl=a("code"),K_=o("__call__"),H_=o(" special method."),Q_=m(),T(Bn.$$.fragment),V_=m(),T(Wn.$$.fragment),J_=m(),T(Rn.$$.fragment),Ud=m(),Lo=a("h2"),Un=a("a"),jl=a("span"),T(Xa.$$.fragment),G_=m(),Al=a("span"),X_=o("TFCamembertForQuestionAnswering"),Kd=m(),lt=a("div"),T(Ya.$$.fragment),Y_=m(),Oo=a("p"),Z_=o(`CamemBERT Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),Pl=a("code"),eb=o("span start logits"),tb=o(" and "),Ll=a("code"),ob=o("span end logits"),nb=o(")."),sb=m(),Za=a("p"),ab=o("This model inherits from "),Hr=a("a"),rb=o("TFPreTrainedModel"),ib=o(`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),lb=m(),er=a("p"),db=o("This model is also a "),tr=a("a"),cb=o("tf.keras.Model"),mb=o(` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),pb=m(),T(Kn.$$.fragment),hb=m(),Tt=a("div"),T(or.$$.fragment),ub=m(),No=a("p"),fb=o("The "),Qr=a("a"),gb=o("TFCamembertForQuestionAnswering"),_b=o(" forward method, overrides the "),Ol=a("code"),bb=o("__call__"),kb=o(" special method."),yb=m(),T(Hn.$$.fragment),vb=m(),T(Qn.$$.fragment),Tb=m(),T(Vn.$$.fragment),this.h()},l(s){const k=cv('[data-svelte="svelte-1phssyn"]',document.head);d=r(k,"META",{name:!0,content:!0}),k.forEach(t),b=p(s),h=r(s,"H1",{class:!0});var nr=i(h);u=r(nr,"A",{id:!0,class:!0,href:!0});var Nl=i(u);y=r(Nl,"SPAN",{});var Dl=i(y);w(l.$$.fragment,Dl),Dl.forEach(t),Nl.forEach(t),c=p(nr),q=r(nr,"SPAN",{});var Il=i(q);ke=n(Il,"CamemBERT"),Il.forEach(t),nr.forEach(t),pe=p(s),I=r(s,"H2",{class:!0});var sr=i(I);ae=r(sr,"A",{id:!0,class:!0,href:!0});var Sl=i(ae);Z=r(Sl,"SPAN",{});var Bl=i(Z);w(v.$$.fragment,Bl),Bl.forEach(t),Sl.forEach(t),ye=p(sr),H=r(sr,"SPAN",{});var Wl=i(H);ve=n(Wl,"Overview"),Wl.forEach(t),sr.forEach(t),he=p(s),B=r(s,"P",{});var ar=i(B);Te=n(ar,"The CamemBERT model was proposed in "),ie=r(ar,"A",{href:!0,rel:!0});var Rl=i(ie);V=n(Rl,"CamemBERT: a Tasty French Language Model"),Rl.forEach(t),we=n(ar,` by
Louis Martin, Benjamin Muller, Pedro Javier Ortiz Su\xE1rez, Yoann Dupont, Laurent Romary, \xC9ric Villemonte de la
Clergerie, Djam\xE9 Seddah, and Beno\xEEt Sagot. It is based on Facebook\u2019s RoBERTa model released in 2019. It is a model
trained on 138GB of French text.`),ar.forEach(t),ue=p(s),W=r(s,"P",{});var Ul=i(W);Ce=n(Ul,"The abstract from the paper is the following:"),Ul.forEach(t),fe=p(s),R=r(s,"P",{});var Kl=i(R);me=r(Kl,"EM",{});var Hl=i(me);$e=n(Hl,`Pretrained language models are now ubiquitous in Natural Language Processing. Despite their success, most available
models have either been trained on English data or on the concatenation of data in multiple languages. This makes
practical use of such models \u2014in all languages except English\u2014 very limited. Aiming to address this issue for French,
we release CamemBERT, a French version of the Bi-directional Encoders for Transformers (BERT). We measure the
performance of CamemBERT compared to multilingual models in multiple downstream tasks, namely part-of-speech tagging,
dependency parsing, named-entity recognition, and natural language inference. CamemBERT improves the state of the art
for most of the tasks considered. We release the pretrained model for CamemBERT hoping to foster research and
downstream applications for French NLP.`),Hl.forEach(t),Kl.forEach(t),te=p(s),j=r(s,"P",{});var Ql=i(j);L=n(Ql,"Tips:"),Ql.forEach(t),ge=p(s),U=r(s,"UL",{});var Vl=i(U);le=r(Vl,"LI",{});var rr=i(le);Fe=n(rr,"This implementation is the same as RoBERTa. Refer to the "),K=r(rr,"A",{href:!0});var Jl=i(K);Ee=n(Jl,"documentation of RoBERTa"),Jl.forEach(t),Me=n(rr,` for usage examples
as well as the information relative to the inputs and outputs.`),rr.forEach(t),Vl.forEach(t),P=p(s),oe=r(s,"P",{});var Do=i(oe);J=n(Do,"This model was contributed by "),de=r(Do,"A",{href:!0,rel:!0});var Gl=i(de);ze=n(Gl,"camembert"),Gl.forEach(t),G=n(Do,". The original code can be found "),ce=r(Do,"A",{href:!0,rel:!0});var Xl=i(ce);qe=n(Xl,"here"),Xl.forEach(t),N=n(Do,"."),Do.forEach(t),_e=p(s),S=r(s,"H2",{class:!0});var ir=i(S);re=r(ir,"A",{id:!0,class:!0,href:!0});var Yl=i(re);ee=r(Yl,"SPAN",{});var Zl=i(ee);w(A.$$.fragment,Zl),Zl.forEach(t),Yl.forEach(t),xe=p(ir),O=r(ir,"SPAN",{});var ed=i(O);je=n(ed,"CamembertConfig"),ed.forEach(t),ir.forEach(t),be=p(s),f=r(s,"DIV",{class:!0});var Wt=i(f);w(M.$$.fragment,Wt),Se=p(Wt),Q=r(Wt,"P",{});var Rt=i(Q);Be=n(Rt,"This is the configuration class to store the configuration of a "),Oe=r(Rt,"A",{href:!0});var td=i(Oe);z=n(td,"CamembertModel"),td.forEach(t),We=n(Rt," or a "),Ne=r(Rt,"A",{href:!0});var od=i(Ne);Re=n(od,"TFCamembertModel"),od.forEach(t),Ue=n(Rt,`. It is
used to instantiate a Camembert model according to the specified arguments, defining the model architecture.
Instantiating a configuration with the defaults will yield a similar configuration to that of the Camembert
`),Le=r(Rt,"A",{href:!0,rel:!0});var nd=i(Le);D=n(nd,"camembert-base"),nd.forEach(t),X=n(Rt," architecture."),Rt.forEach(t),Ke=p(Wt),Pe=r(Wt,"P",{});var Io=i(Pe);Y=n(Io,"Configuration objects inherit from "),De=r(Io,"A",{href:!0});var sd=i(De);He=n(sd,"PretrainedConfig"),sd.forEach(t),Ae=n(Io,` and can be used to control the model outputs. Read the
documentation from `),Ie=r(Io,"A",{href:!0});var ad=i(Ie);ne=n(ad,"PretrainedConfig"),ad.forEach(t),Qe=n(Io," for more information."),Io.forEach(t),Jc=p(Wt),w(So.$$.fragment,Wt),Wt.forEach(t),ud=p(s),ro=r(s,"H2",{class:!0});var lr=i(ro);Bo=r(lr,"A",{id:!0,class:!0,href:!0});var rd=i(Bo);mi=r(rd,"SPAN",{});var id=i(mi);w(ss.$$.fragment,id),id.forEach(t),rd.forEach(t),Gc=p(lr),pi=r(lr,"SPAN",{});var ld=i(pi);Xc=n(ld,"CamembertTokenizer"),ld.forEach(t),lr.forEach(t),fd=p(s),Ze=r(s,"DIV",{class:!0});var dt=i(Ze);w(as.$$.fragment,dt),Yc=p(dt),Bt=r(dt,"P",{});var Ut=i(Bt);Zc=n(Ut,"Adapted from "),dr=r(Ut,"A",{href:!0});var dd=i(dr);em=n(dd,"RobertaTokenizer"),dd.forEach(t),tm=n(Ut," and "),cr=r(Ut,"A",{href:!0});var cd=i(cr);om=n(cd,"XLNetTokenizer"),cd.forEach(t),nm=n(Ut,`. Construct a CamemBERT tokenizer. Based on
`),rs=r(Ut,"A",{href:!0,rel:!0});var md=i(rs);sm=n(md,"SentencePiece"),md.forEach(t),am=n(Ut,"."),Ut.forEach(t),rm=p(dt),is=r(dt,"P",{});var Qd=i(is);im=n(Qd,"This tokenizer inherits from "),mr=r(Qd,"A",{href:!0});var Eb=i(mr);lm=n(Eb,"PreTrainedTokenizer"),Eb.forEach(t),dm=n(Qd,` which contains most of the main methods. Users should refer to
this superclass for more information regarding those methods.`),Qd.forEach(t),cm=p(dt),Kt=r(dt,"DIV",{class:!0});var Vr=i(Kt);w(ls.$$.fragment,Vr),mm=p(Vr),hi=r(Vr,"P",{});var Mb=i(hi);pm=n(Mb,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An CamemBERT sequence has the following format:`),Mb.forEach(t),hm=p(Vr),ds=r(Vr,"UL",{});var Vd=i(ds);pr=r(Vd,"LI",{});var wb=i(pr);um=n(wb,"single sequence: "),ui=r(wb,"CODE",{});var zb=i(ui);fm=n(zb,"<s> X </s>"),zb.forEach(t),wb.forEach(t),gm=p(Vd),hr=r(Vd,"LI",{});var Cb=i(hr);_m=n(Cb,"pair of sequences: "),fi=r(Cb,"CODE",{});var qb=i(fi);bm=n(qb,"<s> A </s></s> B </s>"),qb.forEach(t),Cb.forEach(t),Vd.forEach(t),Vr.forEach(t),km=p(dt),Wo=r(dt,"DIV",{class:!0});var Jd=i(Wo);w(cs.$$.fragment,Jd),ym=p(Jd),ms=r(Jd,"P",{});var Gd=i(ms);vm=n(Gd,`Retrieve sequence ids from a token list that has no special tokens added. This method is called when adding
special tokens using the tokenizer `),gi=r(Gd,"CODE",{});var xb=i(gi);Tm=n(xb,"prepare_for_model"),xb.forEach(t),wm=n(Gd," method."),Gd.forEach(t),Jd.forEach(t),Cm=p(dt),Ro=r(dt,"DIV",{class:!0});var Xd=i(Ro);w(ps.$$.fragment,Xd),$m=p(Xd),_i=r(Xd,"P",{});var jb=i(_i);Fm=n(jb,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. CamemBERT, like
RoBERTa, does not make use of token type ids, therefore a list of zeros is returned.`),jb.forEach(t),Xd.forEach(t),Em=p(dt),ur=r(dt,"DIV",{class:!0});var Ab=i(ur);w(hs.$$.fragment,Ab),Ab.forEach(t),dt.forEach(t),gd=p(s),io=r(s,"H2",{class:!0});var Yd=i(io);Uo=r(Yd,"A",{id:!0,class:!0,href:!0});var Pb=i(Uo);bi=r(Pb,"SPAN",{});var Lb=i(bi);w(us.$$.fragment,Lb),Lb.forEach(t),Pb.forEach(t),Mm=p(Yd),ki=r(Yd,"SPAN",{});var Ob=i(ki);zm=n(Ob,"CamembertTokenizerFast"),Ob.forEach(t),Yd.forEach(t),_d=p(s),mt=r(s,"DIV",{class:!0});var Qt=i(mt);w(fs.$$.fragment,Qt),qm=p(Qt),Ct=r(Qt,"P",{});var Vt=i(Ct);xm=n(Vt,"Construct a \u201Cfast\u201D CamemBERT tokenizer (backed by HuggingFace\u2019s "),yi=r(Vt,"EM",{});var Nb=i(yi);jm=n(Nb,"tokenizers"),Nb.forEach(t),Am=n(Vt,` library). Adapted from
`),fr=r(Vt,"A",{href:!0});var Db=i(fr);Pm=n(Db,"RobertaTokenizer"),Db.forEach(t),Lm=n(Vt," and "),gr=r(Vt,"A",{href:!0});var Ib=i(gr);Om=n(Ib,"XLNetTokenizer"),Ib.forEach(t),Nm=n(Vt,`. Based on
`),gs=r(Vt,"A",{href:!0,rel:!0});var Sb=i(gs);Dm=n(Sb,"BPE"),Sb.forEach(t),Im=n(Vt,"."),Vt.forEach(t),Sm=p(Qt),_s=r(Qt,"P",{});var Zd=i(_s);Bm=n(Zd,"This tokenizer inherits from "),_r=r(Zd,"A",{href:!0});var Bb=i(_r);Wm=n(Bb,"PreTrainedTokenizerFast"),Bb.forEach(t),Rm=n(Zd,` which contains most of the main methods. Users should
refer to this superclass for more information regarding those methods.`),Zd.forEach(t),Um=p(Qt),Ht=r(Qt,"DIV",{class:!0});var Jr=i(Ht);w(bs.$$.fragment,Jr),Km=p(Jr),vi=r(Jr,"P",{});var Wb=i(vi);Hm=n(Wb,`Build model inputs from a sequence or a pair of sequence for sequence classification tasks by concatenating and
adding special tokens. An CamemBERT sequence has the following format:`),Wb.forEach(t),Qm=p(Jr),ks=r(Jr,"UL",{});var ec=i(ks);br=r(ec,"LI",{});var $b=i(br);Vm=n($b,"single sequence: "),Ti=r($b,"CODE",{});var Rb=i(Ti);Jm=n(Rb,"<s> X </s>"),Rb.forEach(t),$b.forEach(t),Gm=p(ec),kr=r(ec,"LI",{});var Fb=i(kr);Xm=n(Fb,"pair of sequences: "),wi=r(Fb,"CODE",{});var Ub=i(wi);Ym=n(Ub,"<s> A </s></s> B </s>"),Ub.forEach(t),Fb.forEach(t),ec.forEach(t),Jr.forEach(t),Zm=p(Qt),Ko=r(Qt,"DIV",{class:!0});var tc=i(Ko);w(ys.$$.fragment,tc),ep=p(tc),Ci=r(tc,"P",{});var Kb=i(Ci);tp=n(Kb,`Create a mask from the two sequences passed to be used in a sequence-pair classification task. CamemBERT, like
RoBERTa, does not make use of token type ids, therefore a list of zeros is returned.`),Kb.forEach(t),tc.forEach(t),Qt.forEach(t),bd=p(s),lo=r(s,"H2",{class:!0});var oc=i(lo);Ho=r(oc,"A",{id:!0,class:!0,href:!0});var Hb=i(Ho);$i=r(Hb,"SPAN",{});var Qb=i($i);w(vs.$$.fragment,Qb),Qb.forEach(t),Hb.forEach(t),op=p(oc),Fi=r(oc,"SPAN",{});var Vb=i(Fi);np=n(Vb,"CamembertModel"),Vb.forEach(t),oc.forEach(t),kd=p(s),Ve=r(s,"DIV",{class:!0});var ct=i(Ve);w(Ts.$$.fragment,ct),sp=p(ct),Ei=r(ct,"P",{});var Jb=i(Ei);ap=n(Jb,"The bare CamemBERT Model transformer outputting raw hidden-states without any specific head on top."),Jb.forEach(t),rp=p(ct),ws=r(ct,"P",{});var nc=i(ws);ip=n(nc,"This model inherits from "),yr=r(nc,"A",{href:!0});var Gb=i(yr);lp=n(Gb,"PreTrainedModel"),Gb.forEach(t),dp=n(nc,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),nc.forEach(t),cp=p(ct),Cs=r(ct,"P",{});var sc=i(Cs);mp=n(sc,"This model is also a PyTorch "),$s=r(sc,"A",{href:!0,rel:!0});var Xb=i($s);pp=n(Xb,"torch.nn.Module"),Xb.forEach(t),hp=n(sc,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),sc.forEach(t),up=p(ct),Fs=r(ct,"P",{});var ac=i(Fs);fp=n(ac,`The model can behave as an encoder (with only self-attention) as well as a decoder, in which case a layer of
cross-attention is added between the self-attention layers, following the architecture described in `),Mi=r(ac,"EM",{});var Yb=i(Mi);gp=n(Yb,`Attention is
all you need`),Yb.forEach(t),_p=n(ac,`_ by Ashish Vaswani, Noam Shazeer, Niki Parmar, Jakob Uszkoreit, Llion Jones, Aidan N. Gomez, Lukasz
Kaiser and Illia Polosukhin.`),ac.forEach(t),bp=p(ct),tt=r(ct,"P",{});var wt=i(tt);kp=n(wt,"To behave as a decoder the model needs to be initialized with the "),zi=r(wt,"CODE",{});var Zb=i(zi);yp=n(Zb,"is_decoder"),Zb.forEach(t),vp=n(wt,` argument of the configuration set to
`),qi=r(wt,"CODE",{});var ek=i(qi);Tp=n(ek,"True"),ek.forEach(t),wp=n(wt,". To be used in a Seq2Seq model, the model needs to initialized with both "),xi=r(wt,"CODE",{});var tk=i(xi);Cp=n(tk,"is_decoder"),tk.forEach(t),$p=n(wt,` argument and
`),ji=r(wt,"CODE",{});var ok=i(ji);Fp=n(ok,"add_cross_attention"),ok.forEach(t),Ep=n(wt," set to "),Ai=r(wt,"CODE",{});var nk=i(Ai);Mp=n(nk,"True"),nk.forEach(t),zp=n(wt,"; an "),Pi=r(wt,"CODE",{});var sk=i(Pi);qp=n(sk,"encoder_hidden_states"),sk.forEach(t),xp=n(wt," is then expected as an input to the forward pass."),wt.forEach(t),jp=p(ct),Qo=r(ct,"P",{});var pd=i(Qo);Ap=n(pd,".. _"),Li=r(pd,"EM",{});var ak=i(Li);Pp=n(ak,"Attention is all you need"),ak.forEach(t),Lp=n(pd,": "),Es=r(pd,"A",{href:!0,rel:!0});var rk=i(Es);Op=n(rk,"https://arxiv.org/abs/1706.03762"),rk.forEach(t),pd.forEach(t),Np=p(ct),$t=r(ct,"DIV",{class:!0});var Jn=i($t);w(Ms.$$.fragment,Jn),Dp=p(Jn),co=r(Jn,"P",{});var Gr=i(co);Ip=n(Gr,"The "),vr=r(Gr,"A",{href:!0});var ik=i(vr);Sp=n(ik,"CamembertModel"),ik.forEach(t),Bp=n(Gr," forward method, overrides the "),Oi=r(Gr,"CODE",{});var lk=i(Oi);Wp=n(lk,"__call__"),lk.forEach(t),Rp=n(Gr," special method."),Gr.forEach(t),Up=p(Jn),w(Vo.$$.fragment,Jn),Kp=p(Jn),w(Jo.$$.fragment,Jn),Jn.forEach(t),ct.forEach(t),yd=p(s),mo=r(s,"H2",{class:!0});var rc=i(mo);Go=r(rc,"A",{id:!0,class:!0,href:!0});var dk=i(Go);Ni=r(dk,"SPAN",{});var ck=i(Ni);w(zs.$$.fragment,ck),ck.forEach(t),dk.forEach(t),Hp=p(rc),Di=r(rc,"SPAN",{});var mk=i(Di);Qp=n(mk,"CamembertForCausalLM"),mk.forEach(t),rc.forEach(t),vd=p(s),pt=r(s,"DIV",{class:!0});var Jt=i(pt);w(qs.$$.fragment,Jt),Vp=p(Jt),xs=r(Jt,"P",{});var ic=i(xs);Jp=n(ic,"CamemBERT Model with a "),Ii=r(ic,"CODE",{});var pk=i(Ii);Gp=n(pk,"language modeling"),pk.forEach(t),Xp=n(ic," head on top for CLM fine-tuning."),ic.forEach(t),Yp=p(Jt),js=r(Jt,"P",{});var lc=i(js);Zp=n(lc,"This model inherits from "),Tr=r(lc,"A",{href:!0});var hk=i(Tr);eh=n(hk,"PreTrainedModel"),hk.forEach(t),th=n(lc,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),lc.forEach(t),oh=p(Jt),As=r(Jt,"P",{});var dc=i(As);nh=n(dc,"This model is also a PyTorch "),Ps=r(dc,"A",{href:!0,rel:!0});var uk=i(Ps);sh=n(uk,"torch.nn.Module"),uk.forEach(t),ah=n(dc,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),dc.forEach(t),rh=p(Jt),Ft=r(Jt,"DIV",{class:!0});var Gn=i(Ft);w(Ls.$$.fragment,Gn),ih=p(Gn),po=r(Gn,"P",{});var Xr=i(po);lh=n(Xr,"The "),wr=r(Xr,"A",{href:!0});var fk=i(wr);dh=n(fk,"CamembertForCausalLM"),fk.forEach(t),ch=n(Xr," forward method, overrides the "),Si=r(Xr,"CODE",{});var gk=i(Si);mh=n(gk,"__call__"),gk.forEach(t),ph=n(Xr," special method."),Xr.forEach(t),hh=p(Gn),w(Xo.$$.fragment,Gn),uh=p(Gn),w(Yo.$$.fragment,Gn),Gn.forEach(t),Jt.forEach(t),Td=p(s),ho=r(s,"H2",{class:!0});var cc=i(ho);Zo=r(cc,"A",{id:!0,class:!0,href:!0});var _k=i(Zo);Bi=r(_k,"SPAN",{});var bk=i(Bi);w(Os.$$.fragment,bk),bk.forEach(t),_k.forEach(t),fh=p(cc),Wi=r(cc,"SPAN",{});var kk=i(Wi);gh=n(kk,"CamembertForMaskedLM"),kk.forEach(t),cc.forEach(t),wd=p(s),ht=r(s,"DIV",{class:!0});var Gt=i(ht);w(Ns.$$.fragment,Gt),_h=p(Gt),Ds=r(Gt,"P",{});var mc=i(Ds);bh=n(mc,"CamemBERT Model with a "),Ri=r(mc,"CODE",{});var yk=i(Ri);kh=n(yk,"language modeling"),yk.forEach(t),yh=n(mc," head on top."),mc.forEach(t),vh=p(Gt),Is=r(Gt,"P",{});var pc=i(Is);Th=n(pc,"This model inherits from "),Cr=r(pc,"A",{href:!0});var vk=i(Cr);wh=n(vk,"PreTrainedModel"),vk.forEach(t),Ch=n(pc,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),pc.forEach(t),$h=p(Gt),Ss=r(Gt,"P",{});var hc=i(Ss);Fh=n(hc,"This model is also a PyTorch "),Bs=r(hc,"A",{href:!0,rel:!0});var Tk=i(Bs);Eh=n(Tk,"torch.nn.Module"),Tk.forEach(t),Mh=n(hc,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),hc.forEach(t),zh=p(Gt),Et=r(Gt,"DIV",{class:!0});var Xn=i(Et);w(Ws.$$.fragment,Xn),qh=p(Xn),uo=r(Xn,"P",{});var Yr=i(uo);xh=n(Yr,"The "),$r=r(Yr,"A",{href:!0});var wk=i($r);jh=n(wk,"CamembertForMaskedLM"),wk.forEach(t),Ah=n(Yr," forward method, overrides the "),Ui=r(Yr,"CODE",{});var Ck=i(Ui);Ph=n(Ck,"__call__"),Ck.forEach(t),Lh=n(Yr," special method."),Yr.forEach(t),Oh=p(Xn),w(en.$$.fragment,Xn),Nh=p(Xn),w(tn.$$.fragment,Xn),Xn.forEach(t),Gt.forEach(t),Cd=p(s),fo=r(s,"H2",{class:!0});var uc=i(fo);on=r(uc,"A",{id:!0,class:!0,href:!0});var $k=i(on);Ki=r($k,"SPAN",{});var Fk=i(Ki);w(Rs.$$.fragment,Fk),Fk.forEach(t),$k.forEach(t),Dh=p(uc),Hi=r(uc,"SPAN",{});var Ek=i(Hi);Ih=n(Ek,"CamembertForSequenceClassification"),Ek.forEach(t),uc.forEach(t),$d=p(s),ut=r(s,"DIV",{class:!0});var Xt=i(ut);w(Us.$$.fragment,Xt),Sh=p(Xt),Qi=r(Xt,"P",{});var Mk=i(Qi);Bh=n(Mk,`CamemBERT Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),Mk.forEach(t),Wh=p(Xt),Ks=r(Xt,"P",{});var fc=i(Ks);Rh=n(fc,"This model inherits from "),Fr=r(fc,"A",{href:!0});var zk=i(Fr);Uh=n(zk,"PreTrainedModel"),zk.forEach(t),Kh=n(fc,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),fc.forEach(t),Hh=p(Xt),Hs=r(Xt,"P",{});var gc=i(Hs);Qh=n(gc,"This model is also a PyTorch "),Qs=r(gc,"A",{href:!0,rel:!0});var qk=i(Qs);Vh=n(qk,"torch.nn.Module"),qk.forEach(t),Jh=n(gc,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),gc.forEach(t),Gh=p(Xt),bt=r(Xt,"DIV",{class:!0});var Yt=i(bt);w(Vs.$$.fragment,Yt),Xh=p(Yt),go=r(Yt,"P",{});var Zr=i(go);Yh=n(Zr,"The "),Er=r(Zr,"A",{href:!0});var xk=i(Er);Zh=n(xk,"CamembertForSequenceClassification"),xk.forEach(t),eu=n(Zr," forward method, overrides the "),Vi=r(Zr,"CODE",{});var jk=i(Vi);tu=n(jk,"__call__"),jk.forEach(t),ou=n(Zr," special method."),Zr.forEach(t),nu=p(Yt),w(nn.$$.fragment,Yt),su=p(Yt),w(sn.$$.fragment,Yt),au=p(Yt),w(an.$$.fragment,Yt),Yt.forEach(t),Xt.forEach(t),Fd=p(s),_o=r(s,"H2",{class:!0});var _c=i(_o);rn=r(_c,"A",{id:!0,class:!0,href:!0});var Ak=i(rn);Ji=r(Ak,"SPAN",{});var Pk=i(Ji);w(Js.$$.fragment,Pk),Pk.forEach(t),Ak.forEach(t),ru=p(_c),Gi=r(_c,"SPAN",{});var Lk=i(Gi);iu=n(Lk,"CamembertForMultipleChoice"),Lk.forEach(t),_c.forEach(t),Ed=p(s),ft=r(s,"DIV",{class:!0});var Zt=i(ft);w(Gs.$$.fragment,Zt),lu=p(Zt),Xi=r(Zt,"P",{});var Ok=i(Xi);du=n(Ok,`CamemBERT Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),Ok.forEach(t),cu=p(Zt),Xs=r(Zt,"P",{});var bc=i(Xs);mu=n(bc,"This model inherits from "),Mr=r(bc,"A",{href:!0});var Nk=i(Mr);pu=n(Nk,"PreTrainedModel"),Nk.forEach(t),hu=n(bc,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),bc.forEach(t),uu=p(Zt),Ys=r(Zt,"P",{});var kc=i(Ys);fu=n(kc,"This model is also a PyTorch "),Zs=r(kc,"A",{href:!0,rel:!0});var Dk=i(Zs);gu=n(Dk,"torch.nn.Module"),Dk.forEach(t),_u=n(kc,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),kc.forEach(t),bu=p(Zt),Mt=r(Zt,"DIV",{class:!0});var Yn=i(Mt);w(ea.$$.fragment,Yn),ku=p(Yn),bo=r(Yn,"P",{});var ei=i(bo);yu=n(ei,"The "),zr=r(ei,"A",{href:!0});var Ik=i(zr);vu=n(Ik,"CamembertForMultipleChoice"),Ik.forEach(t),Tu=n(ei," forward method, overrides the "),Yi=r(ei,"CODE",{});var Sk=i(Yi);wu=n(Sk,"__call__"),Sk.forEach(t),Cu=n(ei," special method."),ei.forEach(t),$u=p(Yn),w(ln.$$.fragment,Yn),Fu=p(Yn),w(dn.$$.fragment,Yn),Yn.forEach(t),Zt.forEach(t),Md=p(s),ko=r(s,"H2",{class:!0});var yc=i(ko);cn=r(yc,"A",{id:!0,class:!0,href:!0});var Bk=i(cn);Zi=r(Bk,"SPAN",{});var Wk=i(Zi);w(ta.$$.fragment,Wk),Wk.forEach(t),Bk.forEach(t),Eu=p(yc),el=r(yc,"SPAN",{});var Rk=i(el);Mu=n(Rk,"CamembertForTokenClassification"),Rk.forEach(t),yc.forEach(t),zd=p(s),gt=r(s,"DIV",{class:!0});var eo=i(gt);w(oa.$$.fragment,eo),zu=p(eo),tl=r(eo,"P",{});var Uk=i(tl);qu=n(Uk,`CamemBERT Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Uk.forEach(t),xu=p(eo),na=r(eo,"P",{});var vc=i(na);ju=n(vc,"This model inherits from "),qr=r(vc,"A",{href:!0});var Kk=i(qr);Au=n(Kk,"PreTrainedModel"),Kk.forEach(t),Pu=n(vc,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),vc.forEach(t),Lu=p(eo),sa=r(eo,"P",{});var Tc=i(sa);Ou=n(Tc,"This model is also a PyTorch "),aa=r(Tc,"A",{href:!0,rel:!0});var Hk=i(aa);Nu=n(Hk,"torch.nn.Module"),Hk.forEach(t),Du=n(Tc,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),Tc.forEach(t),Iu=p(eo),zt=r(eo,"DIV",{class:!0});var Zn=i(zt);w(ra.$$.fragment,Zn),Su=p(Zn),yo=r(Zn,"P",{});var ti=i(yo);Bu=n(ti,"The "),xr=r(ti,"A",{href:!0});var Qk=i(xr);Wu=n(Qk,"CamembertForTokenClassification"),Qk.forEach(t),Ru=n(ti," forward method, overrides the "),ol=r(ti,"CODE",{});var Vk=i(ol);Uu=n(Vk,"__call__"),Vk.forEach(t),Ku=n(ti," special method."),ti.forEach(t),Hu=p(Zn),w(mn.$$.fragment,Zn),Qu=p(Zn),w(pn.$$.fragment,Zn),Zn.forEach(t),eo.forEach(t),qd=p(s),vo=r(s,"H2",{class:!0});var wc=i(vo);hn=r(wc,"A",{id:!0,class:!0,href:!0});var Jk=i(hn);nl=r(Jk,"SPAN",{});var Gk=i(nl);w(ia.$$.fragment,Gk),Gk.forEach(t),Jk.forEach(t),Vu=p(wc),sl=r(wc,"SPAN",{});var Xk=i(sl);Ju=n(Xk,"CamembertForQuestionAnswering"),Xk.forEach(t),wc.forEach(t),xd=p(s),_t=r(s,"DIV",{class:!0});var to=i(_t);w(la.$$.fragment,to),Gu=p(to),un=r(to,"P",{});var hd=i(un);Xu=n(hd,`CamemBERT Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),al=r(hd,"CODE",{});var Yk=i(al);Yu=n(Yk,"span start logits"),Yk.forEach(t),Zu=n(hd," and "),rl=r(hd,"CODE",{});var Zk=i(rl);ef=n(Zk,"span end logits"),Zk.forEach(t),hd.forEach(t),tf=p(to),da=r(to,"P",{});var Cc=i(da);of=n(Cc,"This model inherits from "),jr=r(Cc,"A",{href:!0});var ey=i(jr);nf=n(ey,"PreTrainedModel"),ey.forEach(t),sf=n(Cc,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Cc.forEach(t),af=p(to),ca=r(to,"P",{});var $c=i(ca);rf=n($c,"This model is also a PyTorch "),ma=r($c,"A",{href:!0,rel:!0});var ty=i(ma);lf=n(ty,"torch.nn.Module"),ty.forEach(t),df=n($c,` subclass.
Use it as a regular PyTorch Module and refer to the PyTorch documentation for all matter related to general usage
and behavior.`),$c.forEach(t),cf=p(to),qt=r(to,"DIV",{class:!0});var es=i(qt);w(pa.$$.fragment,es),mf=p(es),To=r(es,"P",{});var oi=i(To);pf=n(oi,"The "),Ar=r(oi,"A",{href:!0});var oy=i(Ar);hf=n(oy,"CamembertForQuestionAnswering"),oy.forEach(t),uf=n(oi," forward method, overrides the "),il=r(oi,"CODE",{});var ny=i(il);ff=n(ny,"__call__"),ny.forEach(t),gf=n(oi," special method."),oi.forEach(t),_f=p(es),w(fn.$$.fragment,es),bf=p(es),w(gn.$$.fragment,es),es.forEach(t),to.forEach(t),jd=p(s),wo=r(s,"H2",{class:!0});var Fc=i(wo);_n=r(Fc,"A",{id:!0,class:!0,href:!0});var sy=i(_n);ll=r(sy,"SPAN",{});var ay=i(ll);w(ha.$$.fragment,ay),ay.forEach(t),sy.forEach(t),kf=p(Fc),dl=r(Fc,"SPAN",{});var ry=i(dl);yf=n(ry,"TFCamembertModel"),ry.forEach(t),Fc.forEach(t),Ad=p(s),ot=r(s,"DIV",{class:!0});var Pt=i(ot);w(ua.$$.fragment,Pt),vf=p(Pt),cl=r(Pt,"P",{});var iy=i(cl);Tf=n(iy,"The bare CamemBERT Model transformer outputting raw hidden-states without any specific head on top."),iy.forEach(t),wf=p(Pt),fa=r(Pt,"P",{});var Ec=i(fa);Cf=n(Ec,"This model inherits from "),Pr=r(Ec,"A",{href:!0});var ly=i(Pr);$f=n(ly,"TFPreTrainedModel"),ly.forEach(t),Ff=n(Ec,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Ec.forEach(t),Ef=p(Pt),ga=r(Pt,"P",{});var Mc=i(ga);Mf=n(Mc,"This model is also a "),_a=r(Mc,"A",{href:!0,rel:!0});var dy=i(_a);zf=n(dy,"tf.keras.Model"),dy.forEach(t),qf=n(Mc,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Mc.forEach(t),xf=p(Pt),w(bn.$$.fragment,Pt),jf=p(Pt),xt=r(Pt,"DIV",{class:!0});var ts=i(xt);w(ba.$$.fragment,ts),Af=p(ts),Co=r(ts,"P",{});var ni=i(Co);Pf=n(ni,"The "),Lr=r(ni,"A",{href:!0});var cy=i(Lr);Lf=n(cy,"TFCamembertModel"),cy.forEach(t),Of=n(ni," forward method, overrides the "),ml=r(ni,"CODE",{});var my=i(ml);Nf=n(my,"__call__"),my.forEach(t),Df=n(ni," special method."),ni.forEach(t),If=p(ts),w(kn.$$.fragment,ts),Sf=p(ts),w(yn.$$.fragment,ts),ts.forEach(t),Pt.forEach(t),Pd=p(s),$o=r(s,"H2",{class:!0});var zc=i($o);vn=r(zc,"A",{id:!0,class:!0,href:!0});var py=i(vn);pl=r(py,"SPAN",{});var hy=i(pl);w(ka.$$.fragment,hy),hy.forEach(t),py.forEach(t),Bf=p(zc),hl=r(zc,"SPAN",{});var uy=i(hl);Wf=n(uy,"TFCamembertForCasualLM"),uy.forEach(t),zc.forEach(t),Ld=p(s),nt=r(s,"DIV",{class:!0});var Lt=i(nt);w(ya.$$.fragment,Lt),Rf=p(Lt),va=r(Lt,"P",{});var qc=i(va);Uf=n(qc,"CamemBERT Model with a "),ul=r(qc,"CODE",{});var fy=i(ul);Kf=n(fy,"language modeling"),fy.forEach(t),Hf=n(qc," head on top for CLM fine-tuning."),qc.forEach(t),Qf=p(Lt),Ta=r(Lt,"P",{});var xc=i(Ta);Vf=n(xc,"This model inherits from "),Or=r(xc,"A",{href:!0});var gy=i(Or);Jf=n(gy,"TFPreTrainedModel"),gy.forEach(t),Gf=n(xc,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),xc.forEach(t),Xf=p(Lt),wa=r(Lt,"P",{});var jc=i(wa);Yf=n(jc,"This model is also a "),Ca=r(jc,"A",{href:!0,rel:!0});var _y=i(Ca);Zf=n(_y,"tf.keras.Model"),_y.forEach(t),eg=n(jc,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),jc.forEach(t),tg=p(Lt),w(Tn.$$.fragment,Lt),og=p(Lt),jt=r(Lt,"DIV",{class:!0});var os=i(jt);w($a.$$.fragment,os),ng=p(os),Fo=r(os,"P",{});var si=i(Fo);sg=n(si,"The "),Nr=r(si,"A",{href:!0});var by=i(Nr);ag=n(by,"TFCamembertForCausalLM"),by.forEach(t),rg=n(si," forward method, overrides the "),fl=r(si,"CODE",{});var ky=i(fl);ig=n(ky,"__call__"),ky.forEach(t),lg=n(si," special method."),si.forEach(t),dg=p(os),w(wn.$$.fragment,os),cg=p(os),w(Cn.$$.fragment,os),os.forEach(t),Lt.forEach(t),Od=p(s),Eo=r(s,"H2",{class:!0});var Ac=i(Eo);$n=r(Ac,"A",{id:!0,class:!0,href:!0});var yy=i($n);gl=r(yy,"SPAN",{});var vy=i(gl);w(Fa.$$.fragment,vy),vy.forEach(t),yy.forEach(t),mg=p(Ac),_l=r(Ac,"SPAN",{});var Ty=i(_l);pg=n(Ty,"TFCamembertForMaskedLM"),Ty.forEach(t),Ac.forEach(t),Nd=p(s),st=r(s,"DIV",{class:!0});var Ot=i(st);w(Ea.$$.fragment,Ot),hg=p(Ot),Ma=r(Ot,"P",{});var Pc=i(Ma);ug=n(Pc,"CamemBERT Model with a "),bl=r(Pc,"CODE",{});var wy=i(bl);fg=n(wy,"language modeling"),wy.forEach(t),gg=n(Pc," head on top."),Pc.forEach(t),_g=p(Ot),za=r(Ot,"P",{});var Lc=i(za);bg=n(Lc,"This model inherits from "),Dr=r(Lc,"A",{href:!0});var Cy=i(Dr);kg=n(Cy,"TFPreTrainedModel"),Cy.forEach(t),yg=n(Lc,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Lc.forEach(t),vg=p(Ot),qa=r(Ot,"P",{});var Oc=i(qa);Tg=n(Oc,"This model is also a "),xa=r(Oc,"A",{href:!0,rel:!0});var $y=i(xa);wg=n($y,"tf.keras.Model"),$y.forEach(t),Cg=n(Oc,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Oc.forEach(t),$g=p(Ot),w(Fn.$$.fragment,Ot),Fg=p(Ot),kt=r(Ot,"DIV",{class:!0});var oo=i(kt);w(ja.$$.fragment,oo),Eg=p(oo),Mo=r(oo,"P",{});var ai=i(Mo);Mg=n(ai,"The "),Ir=r(ai,"A",{href:!0});var Fy=i(Ir);zg=n(Fy,"TFCamembertForMaskedLM"),Fy.forEach(t),qg=n(ai," forward method, overrides the "),kl=r(ai,"CODE",{});var Ey=i(kl);xg=n(Ey,"__call__"),Ey.forEach(t),jg=n(ai," special method."),ai.forEach(t),Ag=p(oo),w(En.$$.fragment,oo),Pg=p(oo),w(Mn.$$.fragment,oo),Lg=p(oo),w(zn.$$.fragment,oo),oo.forEach(t),Ot.forEach(t),Dd=p(s),zo=r(s,"H2",{class:!0});var Nc=i(zo);qn=r(Nc,"A",{id:!0,class:!0,href:!0});var My=i(qn);yl=r(My,"SPAN",{});var zy=i(yl);w(Aa.$$.fragment,zy),zy.forEach(t),My.forEach(t),Og=p(Nc),vl=r(Nc,"SPAN",{});var qy=i(vl);Ng=n(qy,"TFCamembertForSequenceClassification"),qy.forEach(t),Nc.forEach(t),Id=p(s),at=r(s,"DIV",{class:!0});var Nt=i(at);w(Pa.$$.fragment,Nt),Dg=p(Nt),Tl=r(Nt,"P",{});var xy=i(Tl);Ig=n(xy,`CamemBERT Model transformer with a sequence classification/regression head on top (a linear layer on top of the
pooled output) e.g. for GLUE tasks.`),xy.forEach(t),Sg=p(Nt),La=r(Nt,"P",{});var Dc=i(La);Bg=n(Dc,"This model inherits from "),Sr=r(Dc,"A",{href:!0});var jy=i(Sr);Wg=n(jy,"TFPreTrainedModel"),jy.forEach(t),Rg=n(Dc,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Dc.forEach(t),Ug=p(Nt),Oa=r(Nt,"P",{});var Ic=i(Oa);Kg=n(Ic,"This model is also a "),Na=r(Ic,"A",{href:!0,rel:!0});var Ay=i(Na);Hg=n(Ay,"tf.keras.Model"),Ay.forEach(t),Qg=n(Ic,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Ic.forEach(t),Vg=p(Nt),w(xn.$$.fragment,Nt),Jg=p(Nt),yt=r(Nt,"DIV",{class:!0});var no=i(yt);w(Da.$$.fragment,no),Gg=p(no),qo=r(no,"P",{});var ri=i(qo);Xg=n(ri,"The "),Br=r(ri,"A",{href:!0});var Py=i(Br);Yg=n(Py,"TFCamembertForSequenceClassification"),Py.forEach(t),Zg=n(ri," forward method, overrides the "),wl=r(ri,"CODE",{});var Ly=i(wl);e_=n(Ly,"__call__"),Ly.forEach(t),t_=n(ri," special method."),ri.forEach(t),o_=p(no),w(jn.$$.fragment,no),n_=p(no),w(An.$$.fragment,no),s_=p(no),w(Pn.$$.fragment,no),no.forEach(t),Nt.forEach(t),Sd=p(s),xo=r(s,"H2",{class:!0});var Sc=i(xo);Ln=r(Sc,"A",{id:!0,class:!0,href:!0});var Oy=i(Ln);Cl=r(Oy,"SPAN",{});var Ny=i(Cl);w(Ia.$$.fragment,Ny),Ny.forEach(t),Oy.forEach(t),a_=p(Sc),$l=r(Sc,"SPAN",{});var Dy=i($l);r_=n(Dy,"TFCamembertForMultipleChoice"),Dy.forEach(t),Sc.forEach(t),Bd=p(s),rt=r(s,"DIV",{class:!0});var Dt=i(rt);w(Sa.$$.fragment,Dt),i_=p(Dt),Fl=r(Dt,"P",{});var Iy=i(Fl);l_=n(Iy,`CamemBERT Model with a multiple choice classification head on top (a linear layer on top of the pooled output and a
softmax) e.g. for RocStories/SWAG tasks.`),Iy.forEach(t),d_=p(Dt),Ba=r(Dt,"P",{});var Bc=i(Ba);c_=n(Bc,"This model inherits from "),Wr=r(Bc,"A",{href:!0});var Sy=i(Wr);m_=n(Sy,"TFPreTrainedModel"),Sy.forEach(t),p_=n(Bc,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Bc.forEach(t),h_=p(Dt),Wa=r(Dt,"P",{});var Wc=i(Wa);u_=n(Wc,"This model is also a "),Ra=r(Wc,"A",{href:!0,rel:!0});var By=i(Ra);f_=n(By,"tf.keras.Model"),By.forEach(t),g_=n(Wc,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Wc.forEach(t),__=p(Dt),w(On.$$.fragment,Dt),b_=p(Dt),At=r(Dt,"DIV",{class:!0});var ns=i(At);w(Ua.$$.fragment,ns),k_=p(ns),jo=r(ns,"P",{});var ii=i(jo);y_=n(ii,"The "),Rr=r(ii,"A",{href:!0});var Wy=i(Rr);v_=n(Wy,"TFCamembertForMultipleChoice"),Wy.forEach(t),T_=n(ii," forward method, overrides the "),El=r(ii,"CODE",{});var Ry=i(El);w_=n(Ry,"__call__"),Ry.forEach(t),C_=n(ii," special method."),ii.forEach(t),$_=p(ns),w(Nn.$$.fragment,ns),F_=p(ns),w(Dn.$$.fragment,ns),ns.forEach(t),Dt.forEach(t),Wd=p(s),Ao=r(s,"H2",{class:!0});var Rc=i(Ao);In=r(Rc,"A",{id:!0,class:!0,href:!0});var Uy=i(In);Ml=r(Uy,"SPAN",{});var Ky=i(Ml);w(Ka.$$.fragment,Ky),Ky.forEach(t),Uy.forEach(t),E_=p(Rc),zl=r(Rc,"SPAN",{});var Hy=i(zl);M_=n(Hy,"TFCamembertForTokenClassification"),Hy.forEach(t),Rc.forEach(t),Rd=p(s),it=r(s,"DIV",{class:!0});var It=i(it);w(Ha.$$.fragment,It),z_=p(It),ql=r(It,"P",{});var Qy=i(ql);q_=n(Qy,`CamemBERT Model with a token classification head on top (a linear layer on top of the hidden-states output) e.g.
for Named-Entity-Recognition (NER) tasks.`),Qy.forEach(t),x_=p(It),Qa=r(It,"P",{});var Uc=i(Qa);j_=n(Uc,"This model inherits from "),Ur=r(Uc,"A",{href:!0});var Vy=i(Ur);A_=n(Vy,"TFPreTrainedModel"),Vy.forEach(t),P_=n(Uc,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Uc.forEach(t),L_=p(It),Va=r(It,"P",{});var Kc=i(Va);O_=n(Kc,"This model is also a "),Ja=r(Kc,"A",{href:!0,rel:!0});var Jy=i(Ja);N_=n(Jy,"tf.keras.Model"),Jy.forEach(t),D_=n(Kc,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Kc.forEach(t),I_=p(It),w(Sn.$$.fragment,It),S_=p(It),vt=r(It,"DIV",{class:!0});var so=i(vt);w(Ga.$$.fragment,so),B_=p(so),Po=r(so,"P",{});var li=i(Po);W_=n(li,"The "),Kr=r(li,"A",{href:!0});var Gy=i(Kr);R_=n(Gy,"TFCamembertForTokenClassification"),Gy.forEach(t),U_=n(li," forward method, overrides the "),xl=r(li,"CODE",{});var Xy=i(xl);K_=n(Xy,"__call__"),Xy.forEach(t),H_=n(li," special method."),li.forEach(t),Q_=p(so),w(Bn.$$.fragment,so),V_=p(so),w(Wn.$$.fragment,so),J_=p(so),w(Rn.$$.fragment,so),so.forEach(t),It.forEach(t),Ud=p(s),Lo=r(s,"H2",{class:!0});var Hc=i(Lo);Un=r(Hc,"A",{id:!0,class:!0,href:!0});var Yy=i(Un);jl=r(Yy,"SPAN",{});var Zy=i(jl);w(Xa.$$.fragment,Zy),Zy.forEach(t),Yy.forEach(t),G_=p(Hc),Al=r(Hc,"SPAN",{});var ev=i(Al);X_=n(ev,"TFCamembertForQuestionAnswering"),ev.forEach(t),Hc.forEach(t),Kd=p(s),lt=r(s,"DIV",{class:!0});var St=i(lt);w(Ya.$$.fragment,St),Y_=p(St),Oo=r(St,"P",{});var di=i(Oo);Z_=n(di,`CamemBERT Model with a span classification head on top for extractive question-answering tasks like SQuAD (a linear
layers on top of the hidden-states output to compute `),Pl=r(di,"CODE",{});var tv=i(Pl);eb=n(tv,"span start logits"),tv.forEach(t),tb=n(di," and "),Ll=r(di,"CODE",{});var ov=i(Ll);ob=n(ov,"span end logits"),ov.forEach(t),nb=n(di,")."),di.forEach(t),sb=p(St),Za=r(St,"P",{});var Qc=i(Za);ab=n(Qc,"This model inherits from "),Hr=r(Qc,"A",{href:!0});var nv=i(Hr);rb=n(nv,"TFPreTrainedModel"),nv.forEach(t),ib=n(Qc,`. Check the superclass documentation for the generic methods the
library implements for all its model (such as downloading or saving, resizing the input embeddings, pruning heads
etc.)`),Qc.forEach(t),lb=p(St),er=r(St,"P",{});var Vc=i(er);db=n(Vc,"This model is also a "),tr=r(Vc,"A",{href:!0,rel:!0});var sv=i(tr);cb=n(sv,"tf.keras.Model"),sv.forEach(t),mb=n(Vc,` subclass. Use it
as a regular TF 2.0 Keras Model and refer to the TF 2.0 documentation for all matter related to general usage and
behavior.`),Vc.forEach(t),pb=p(St),w(Kn.$$.fragment,St),hb=p(St),Tt=r(St,"DIV",{class:!0});var ao=i(Tt);w(or.$$.fragment,ao),ub=p(ao),No=r(ao,"P",{});var ci=i(No);fb=n(ci,"The "),Qr=r(ci,"A",{href:!0});var av=i(Qr);gb=n(av,"TFCamembertForQuestionAnswering"),av.forEach(t),_b=n(ci," forward method, overrides the "),Ol=r(ci,"CODE",{});var rv=i(Ol);bb=n(rv,"__call__"),rv.forEach(t),kb=n(ci," special method."),ci.forEach(t),yb=p(ao),w(Hn.$$.fragment,ao),vb=p(ao),w(Qn.$$.fragment,ao),Tb=p(ao),w(Vn.$$.fragment,ao),ao.forEach(t),St.forEach(t),this.h()},h(){g(d,"name","hf:doc:metadata"),g(d,"content",JSON.stringify(eT)),g(u,"id","camembert"),g(u,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),g(u,"href","#camembert"),g(h,"class","relative group"),g(ae,"id","overview"),g(ae,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),g(ae,"href","#overview"),g(I,"class","relative group"),g(ie,"href","https://arxiv.org/abs/1911.03894"),g(ie,"rel","nofollow"),g(K,"href","roberta"),g(de,"href","https://huggingface.co/camembert"),g(de,"rel","nofollow"),g(ce,"href","https://camembert-model.fr/"),g(ce,"rel","nofollow"),g(re,"id","transformers.CamembertConfig"),g(re,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),g(re,"href","#transformers.CamembertConfig"),g(S,"class","relative group"),g(Oe,"href","/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertModel"),g(Ne,"href","/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.TFCamembertModel"),g(Le,"href","https://huggingface.co/camembert-base"),g(Le,"rel","nofollow"),g(De,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),g(Ie,"href","/docs/transformers/v4.26.0/en/main_classes/configuration#transformers.PretrainedConfig"),g(f,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Bo,"id","transformers.CamembertTokenizer"),g(Bo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),g(Bo,"href","#transformers.CamembertTokenizer"),g(ro,"class","relative group"),g(dr,"href","/docs/transformers/v4.26.0/en/model_doc/roberta#transformers.RobertaTokenizer"),g(cr,"href","/docs/transformers/v4.26.0/en/model_doc/xlnet#transformers.XLNetTokenizer"),g(rs,"href","https://github.com/google/sentencepiece"),g(rs,"rel","nofollow"),g(mr,"href","/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizer"),g(Kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Wo,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Ro,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ur,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Ze,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Uo,"id","transformers.CamembertTokenizerFast"),g(Uo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),g(Uo,"href","#transformers.CamembertTokenizerFast"),g(io,"class","relative group"),g(fr,"href","/docs/transformers/v4.26.0/en/model_doc/roberta#transformers.RobertaTokenizer"),g(gr,"href","/docs/transformers/v4.26.0/en/model_doc/xlnet#transformers.XLNetTokenizer"),g(gs,"href","https://huggingface.co/docs/tokenizers/python/latest/components.html?highlight=BPE#models"),g(gs,"rel","nofollow"),g(_r,"href","/docs/transformers/v4.26.0/en/main_classes/tokenizer#transformers.PreTrainedTokenizerFast"),g(Ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Ko,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Ho,"id","transformers.CamembertModel"),g(Ho,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),g(Ho,"href","#transformers.CamembertModel"),g(lo,"class","relative group"),g(yr,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),g($s,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),g($s,"rel","nofollow"),g(Es,"href","https://arxiv.org/abs/1706.03762"),g(Es,"rel","nofollow"),g(vr,"href","/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertModel"),g($t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Ve,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Go,"id","transformers.CamembertForCausalLM"),g(Go,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),g(Go,"href","#transformers.CamembertForCausalLM"),g(mo,"class","relative group"),g(Tr,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),g(Ps,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),g(Ps,"rel","nofollow"),g(wr,"href","/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertForCausalLM"),g(Ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(pt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Zo,"id","transformers.CamembertForMaskedLM"),g(Zo,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),g(Zo,"href","#transformers.CamembertForMaskedLM"),g(ho,"class","relative group"),g(Cr,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),g(Bs,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),g(Bs,"rel","nofollow"),g($r,"href","/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertForMaskedLM"),g(Et,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ht,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(on,"id","transformers.CamembertForSequenceClassification"),g(on,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),g(on,"href","#transformers.CamembertForSequenceClassification"),g(fo,"class","relative group"),g(Fr,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),g(Qs,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),g(Qs,"rel","nofollow"),g(Er,"href","/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertForSequenceClassification"),g(bt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ut,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(rn,"id","transformers.CamembertForMultipleChoice"),g(rn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),g(rn,"href","#transformers.CamembertForMultipleChoice"),g(_o,"class","relative group"),g(Mr,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),g(Zs,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),g(Zs,"rel","nofollow"),g(zr,"href","/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertForMultipleChoice"),g(Mt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ft,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(cn,"id","transformers.CamembertForTokenClassification"),g(cn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),g(cn,"href","#transformers.CamembertForTokenClassification"),g(ko,"class","relative group"),g(qr,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),g(aa,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),g(aa,"rel","nofollow"),g(xr,"href","/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertForTokenClassification"),g(zt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(gt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(hn,"id","transformers.CamembertForQuestionAnswering"),g(hn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),g(hn,"href","#transformers.CamembertForQuestionAnswering"),g(vo,"class","relative group"),g(jr,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.PreTrainedModel"),g(ma,"href","https://pytorch.org/docs/stable/nn.html#torch.nn.Module"),g(ma,"rel","nofollow"),g(Ar,"href","/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.CamembertForQuestionAnswering"),g(qt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(_t,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(_n,"id","transformers.TFCamembertModel"),g(_n,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),g(_n,"href","#transformers.TFCamembertModel"),g(wo,"class","relative group"),g(Pr,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),g(_a,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),g(_a,"rel","nofollow"),g(Lr,"href","/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.TFCamembertModel"),g(xt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(ot,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(vn,"id","transformers.TFCamembertForCausalLM"),g(vn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),g(vn,"href","#transformers.TFCamembertForCausalLM"),g($o,"class","relative group"),g(Or,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),g(Ca,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),g(Ca,"rel","nofollow"),g(Nr,"href","/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.TFCamembertForCausalLM"),g(jt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(nt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g($n,"id","transformers.TFCamembertForMaskedLM"),g($n,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),g($n,"href","#transformers.TFCamembertForMaskedLM"),g(Eo,"class","relative group"),g(Dr,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),g(xa,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),g(xa,"rel","nofollow"),g(Ir,"href","/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.TFCamembertForMaskedLM"),g(kt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(st,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(qn,"id","transformers.TFCamembertForSequenceClassification"),g(qn,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),g(qn,"href","#transformers.TFCamembertForSequenceClassification"),g(zo,"class","relative group"),g(Sr,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),g(Na,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),g(Na,"rel","nofollow"),g(Br,"href","/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.TFCamembertForSequenceClassification"),g(yt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(at,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Ln,"id","transformers.TFCamembertForMultipleChoice"),g(Ln,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),g(Ln,"href","#transformers.TFCamembertForMultipleChoice"),g(xo,"class","relative group"),g(Wr,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),g(Ra,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),g(Ra,"rel","nofollow"),g(Rr,"href","/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.TFCamembertForMultipleChoice"),g(At,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(rt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(In,"id","transformers.TFCamembertForTokenClassification"),g(In,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),g(In,"href","#transformers.TFCamembertForTokenClassification"),g(Ao,"class","relative group"),g(Ur,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),g(Ja,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),g(Ja,"rel","nofollow"),g(Kr,"href","/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.TFCamembertForTokenClassification"),g(vt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(it,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(Un,"id","transformers.TFCamembertForQuestionAnswering"),g(Un,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),g(Un,"href","#transformers.TFCamembertForQuestionAnswering"),g(Lo,"class","relative group"),g(Hr,"href","/docs/transformers/v4.26.0/en/main_classes/model#transformers.TFPreTrainedModel"),g(tr,"href","https://www.tensorflow.org/api_docs/python/tf/keras/Model"),g(tr,"rel","nofollow"),g(Qr,"href","/docs/transformers/v4.26.0/en/model_doc/camembert#transformers.TFCamembertForQuestionAnswering"),g(Tt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),g(lt,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(s,k){e(document.head,d),_(s,b,k),_(s,h,k),e(h,u),e(u,y),C(l,y,null),e(h,c),e(h,q),e(q,ke),_(s,pe,k),_(s,I,k),e(I,ae),e(ae,Z),C(v,Z,null),e(I,ye),e(I,H),e(H,ve),_(s,he,k),_(s,B,k),e(B,Te),e(B,ie),e(ie,V),e(B,we),_(s,ue,k),_(s,W,k),e(W,Ce),_(s,fe,k),_(s,R,k),e(R,me),e(me,$e),_(s,te,k),_(s,j,k),e(j,L),_(s,ge,k),_(s,U,k),e(U,le),e(le,Fe),e(le,K),e(K,Ee),e(le,Me),_(s,P,k),_(s,oe,k),e(oe,J),e(oe,de),e(de,ze),e(oe,G),e(oe,ce),e(ce,qe),e(oe,N),_(s,_e,k),_(s,S,k),e(S,re),e(re,ee),C(A,ee,null),e(S,xe),e(S,O),e(O,je),_(s,be,k),_(s,f,k),C(M,f,null),e(f,Se),e(f,Q),e(Q,Be),e(Q,Oe),e(Oe,z),e(Q,We),e(Q,Ne),e(Ne,Re),e(Q,Ue),e(Q,Le),e(Le,D),e(Q,X),e(f,Ke),e(f,Pe),e(Pe,Y),e(Pe,De),e(De,He),e(Pe,Ae),e(Pe,Ie),e(Ie,ne),e(Pe,Qe),e(f,Jc),C(So,f,null),_(s,ud,k),_(s,ro,k),e(ro,Bo),e(Bo,mi),C(ss,mi,null),e(ro,Gc),e(ro,pi),e(pi,Xc),_(s,fd,k),_(s,Ze,k),C(as,Ze,null),e(Ze,Yc),e(Ze,Bt),e(Bt,Zc),e(Bt,dr),e(dr,em),e(Bt,tm),e(Bt,cr),e(cr,om),e(Bt,nm),e(Bt,rs),e(rs,sm),e(Bt,am),e(Ze,rm),e(Ze,is),e(is,im),e(is,mr),e(mr,lm),e(is,dm),e(Ze,cm),e(Ze,Kt),C(ls,Kt,null),e(Kt,mm),e(Kt,hi),e(hi,pm),e(Kt,hm),e(Kt,ds),e(ds,pr),e(pr,um),e(pr,ui),e(ui,fm),e(ds,gm),e(ds,hr),e(hr,_m),e(hr,fi),e(fi,bm),e(Ze,km),e(Ze,Wo),C(cs,Wo,null),e(Wo,ym),e(Wo,ms),e(ms,vm),e(ms,gi),e(gi,Tm),e(ms,wm),e(Ze,Cm),e(Ze,Ro),C(ps,Ro,null),e(Ro,$m),e(Ro,_i),e(_i,Fm),e(Ze,Em),e(Ze,ur),C(hs,ur,null),_(s,gd,k),_(s,io,k),e(io,Uo),e(Uo,bi),C(us,bi,null),e(io,Mm),e(io,ki),e(ki,zm),_(s,_d,k),_(s,mt,k),C(fs,mt,null),e(mt,qm),e(mt,Ct),e(Ct,xm),e(Ct,yi),e(yi,jm),e(Ct,Am),e(Ct,fr),e(fr,Pm),e(Ct,Lm),e(Ct,gr),e(gr,Om),e(Ct,Nm),e(Ct,gs),e(gs,Dm),e(Ct,Im),e(mt,Sm),e(mt,_s),e(_s,Bm),e(_s,_r),e(_r,Wm),e(_s,Rm),e(mt,Um),e(mt,Ht),C(bs,Ht,null),e(Ht,Km),e(Ht,vi),e(vi,Hm),e(Ht,Qm),e(Ht,ks),e(ks,br),e(br,Vm),e(br,Ti),e(Ti,Jm),e(ks,Gm),e(ks,kr),e(kr,Xm),e(kr,wi),e(wi,Ym),e(mt,Zm),e(mt,Ko),C(ys,Ko,null),e(Ko,ep),e(Ko,Ci),e(Ci,tp),_(s,bd,k),_(s,lo,k),e(lo,Ho),e(Ho,$i),C(vs,$i,null),e(lo,op),e(lo,Fi),e(Fi,np),_(s,kd,k),_(s,Ve,k),C(Ts,Ve,null),e(Ve,sp),e(Ve,Ei),e(Ei,ap),e(Ve,rp),e(Ve,ws),e(ws,ip),e(ws,yr),e(yr,lp),e(ws,dp),e(Ve,cp),e(Ve,Cs),e(Cs,mp),e(Cs,$s),e($s,pp),e(Cs,hp),e(Ve,up),e(Ve,Fs),e(Fs,fp),e(Fs,Mi),e(Mi,gp),e(Fs,_p),e(Ve,bp),e(Ve,tt),e(tt,kp),e(tt,zi),e(zi,yp),e(tt,vp),e(tt,qi),e(qi,Tp),e(tt,wp),e(tt,xi),e(xi,Cp),e(tt,$p),e(tt,ji),e(ji,Fp),e(tt,Ep),e(tt,Ai),e(Ai,Mp),e(tt,zp),e(tt,Pi),e(Pi,qp),e(tt,xp),e(Ve,jp),e(Ve,Qo),e(Qo,Ap),e(Qo,Li),e(Li,Pp),e(Qo,Lp),e(Qo,Es),e(Es,Op),e(Ve,Np),e(Ve,$t),C(Ms,$t,null),e($t,Dp),e($t,co),e(co,Ip),e(co,vr),e(vr,Sp),e(co,Bp),e(co,Oi),e(Oi,Wp),e(co,Rp),e($t,Up),C(Vo,$t,null),e($t,Kp),C(Jo,$t,null),_(s,yd,k),_(s,mo,k),e(mo,Go),e(Go,Ni),C(zs,Ni,null),e(mo,Hp),e(mo,Di),e(Di,Qp),_(s,vd,k),_(s,pt,k),C(qs,pt,null),e(pt,Vp),e(pt,xs),e(xs,Jp),e(xs,Ii),e(Ii,Gp),e(xs,Xp),e(pt,Yp),e(pt,js),e(js,Zp),e(js,Tr),e(Tr,eh),e(js,th),e(pt,oh),e(pt,As),e(As,nh),e(As,Ps),e(Ps,sh),e(As,ah),e(pt,rh),e(pt,Ft),C(Ls,Ft,null),e(Ft,ih),e(Ft,po),e(po,lh),e(po,wr),e(wr,dh),e(po,ch),e(po,Si),e(Si,mh),e(po,ph),e(Ft,hh),C(Xo,Ft,null),e(Ft,uh),C(Yo,Ft,null),_(s,Td,k),_(s,ho,k),e(ho,Zo),e(Zo,Bi),C(Os,Bi,null),e(ho,fh),e(ho,Wi),e(Wi,gh),_(s,wd,k),_(s,ht,k),C(Ns,ht,null),e(ht,_h),e(ht,Ds),e(Ds,bh),e(Ds,Ri),e(Ri,kh),e(Ds,yh),e(ht,vh),e(ht,Is),e(Is,Th),e(Is,Cr),e(Cr,wh),e(Is,Ch),e(ht,$h),e(ht,Ss),e(Ss,Fh),e(Ss,Bs),e(Bs,Eh),e(Ss,Mh),e(ht,zh),e(ht,Et),C(Ws,Et,null),e(Et,qh),e(Et,uo),e(uo,xh),e(uo,$r),e($r,jh),e(uo,Ah),e(uo,Ui),e(Ui,Ph),e(uo,Lh),e(Et,Oh),C(en,Et,null),e(Et,Nh),C(tn,Et,null),_(s,Cd,k),_(s,fo,k),e(fo,on),e(on,Ki),C(Rs,Ki,null),e(fo,Dh),e(fo,Hi),e(Hi,Ih),_(s,$d,k),_(s,ut,k),C(Us,ut,null),e(ut,Sh),e(ut,Qi),e(Qi,Bh),e(ut,Wh),e(ut,Ks),e(Ks,Rh),e(Ks,Fr),e(Fr,Uh),e(Ks,Kh),e(ut,Hh),e(ut,Hs),e(Hs,Qh),e(Hs,Qs),e(Qs,Vh),e(Hs,Jh),e(ut,Gh),e(ut,bt),C(Vs,bt,null),e(bt,Xh),e(bt,go),e(go,Yh),e(go,Er),e(Er,Zh),e(go,eu),e(go,Vi),e(Vi,tu),e(go,ou),e(bt,nu),C(nn,bt,null),e(bt,su),C(sn,bt,null),e(bt,au),C(an,bt,null),_(s,Fd,k),_(s,_o,k),e(_o,rn),e(rn,Ji),C(Js,Ji,null),e(_o,ru),e(_o,Gi),e(Gi,iu),_(s,Ed,k),_(s,ft,k),C(Gs,ft,null),e(ft,lu),e(ft,Xi),e(Xi,du),e(ft,cu),e(ft,Xs),e(Xs,mu),e(Xs,Mr),e(Mr,pu),e(Xs,hu),e(ft,uu),e(ft,Ys),e(Ys,fu),e(Ys,Zs),e(Zs,gu),e(Ys,_u),e(ft,bu),e(ft,Mt),C(ea,Mt,null),e(Mt,ku),e(Mt,bo),e(bo,yu),e(bo,zr),e(zr,vu),e(bo,Tu),e(bo,Yi),e(Yi,wu),e(bo,Cu),e(Mt,$u),C(ln,Mt,null),e(Mt,Fu),C(dn,Mt,null),_(s,Md,k),_(s,ko,k),e(ko,cn),e(cn,Zi),C(ta,Zi,null),e(ko,Eu),e(ko,el),e(el,Mu),_(s,zd,k),_(s,gt,k),C(oa,gt,null),e(gt,zu),e(gt,tl),e(tl,qu),e(gt,xu),e(gt,na),e(na,ju),e(na,qr),e(qr,Au),e(na,Pu),e(gt,Lu),e(gt,sa),e(sa,Ou),e(sa,aa),e(aa,Nu),e(sa,Du),e(gt,Iu),e(gt,zt),C(ra,zt,null),e(zt,Su),e(zt,yo),e(yo,Bu),e(yo,xr),e(xr,Wu),e(yo,Ru),e(yo,ol),e(ol,Uu),e(yo,Ku),e(zt,Hu),C(mn,zt,null),e(zt,Qu),C(pn,zt,null),_(s,qd,k),_(s,vo,k),e(vo,hn),e(hn,nl),C(ia,nl,null),e(vo,Vu),e(vo,sl),e(sl,Ju),_(s,xd,k),_(s,_t,k),C(la,_t,null),e(_t,Gu),e(_t,un),e(un,Xu),e(un,al),e(al,Yu),e(un,Zu),e(un,rl),e(rl,ef),e(_t,tf),e(_t,da),e(da,of),e(da,jr),e(jr,nf),e(da,sf),e(_t,af),e(_t,ca),e(ca,rf),e(ca,ma),e(ma,lf),e(ca,df),e(_t,cf),e(_t,qt),C(pa,qt,null),e(qt,mf),e(qt,To),e(To,pf),e(To,Ar),e(Ar,hf),e(To,uf),e(To,il),e(il,ff),e(To,gf),e(qt,_f),C(fn,qt,null),e(qt,bf),C(gn,qt,null),_(s,jd,k),_(s,wo,k),e(wo,_n),e(_n,ll),C(ha,ll,null),e(wo,kf),e(wo,dl),e(dl,yf),_(s,Ad,k),_(s,ot,k),C(ua,ot,null),e(ot,vf),e(ot,cl),e(cl,Tf),e(ot,wf),e(ot,fa),e(fa,Cf),e(fa,Pr),e(Pr,$f),e(fa,Ff),e(ot,Ef),e(ot,ga),e(ga,Mf),e(ga,_a),e(_a,zf),e(ga,qf),e(ot,xf),C(bn,ot,null),e(ot,jf),e(ot,xt),C(ba,xt,null),e(xt,Af),e(xt,Co),e(Co,Pf),e(Co,Lr),e(Lr,Lf),e(Co,Of),e(Co,ml),e(ml,Nf),e(Co,Df),e(xt,If),C(kn,xt,null),e(xt,Sf),C(yn,xt,null),_(s,Pd,k),_(s,$o,k),e($o,vn),e(vn,pl),C(ka,pl,null),e($o,Bf),e($o,hl),e(hl,Wf),_(s,Ld,k),_(s,nt,k),C(ya,nt,null),e(nt,Rf),e(nt,va),e(va,Uf),e(va,ul),e(ul,Kf),e(va,Hf),e(nt,Qf),e(nt,Ta),e(Ta,Vf),e(Ta,Or),e(Or,Jf),e(Ta,Gf),e(nt,Xf),e(nt,wa),e(wa,Yf),e(wa,Ca),e(Ca,Zf),e(wa,eg),e(nt,tg),C(Tn,nt,null),e(nt,og),e(nt,jt),C($a,jt,null),e(jt,ng),e(jt,Fo),e(Fo,sg),e(Fo,Nr),e(Nr,ag),e(Fo,rg),e(Fo,fl),e(fl,ig),e(Fo,lg),e(jt,dg),C(wn,jt,null),e(jt,cg),C(Cn,jt,null),_(s,Od,k),_(s,Eo,k),e(Eo,$n),e($n,gl),C(Fa,gl,null),e(Eo,mg),e(Eo,_l),e(_l,pg),_(s,Nd,k),_(s,st,k),C(Ea,st,null),e(st,hg),e(st,Ma),e(Ma,ug),e(Ma,bl),e(bl,fg),e(Ma,gg),e(st,_g),e(st,za),e(za,bg),e(za,Dr),e(Dr,kg),e(za,yg),e(st,vg),e(st,qa),e(qa,Tg),e(qa,xa),e(xa,wg),e(qa,Cg),e(st,$g),C(Fn,st,null),e(st,Fg),e(st,kt),C(ja,kt,null),e(kt,Eg),e(kt,Mo),e(Mo,Mg),e(Mo,Ir),e(Ir,zg),e(Mo,qg),e(Mo,kl),e(kl,xg),e(Mo,jg),e(kt,Ag),C(En,kt,null),e(kt,Pg),C(Mn,kt,null),e(kt,Lg),C(zn,kt,null),_(s,Dd,k),_(s,zo,k),e(zo,qn),e(qn,yl),C(Aa,yl,null),e(zo,Og),e(zo,vl),e(vl,Ng),_(s,Id,k),_(s,at,k),C(Pa,at,null),e(at,Dg),e(at,Tl),e(Tl,Ig),e(at,Sg),e(at,La),e(La,Bg),e(La,Sr),e(Sr,Wg),e(La,Rg),e(at,Ug),e(at,Oa),e(Oa,Kg),e(Oa,Na),e(Na,Hg),e(Oa,Qg),e(at,Vg),C(xn,at,null),e(at,Jg),e(at,yt),C(Da,yt,null),e(yt,Gg),e(yt,qo),e(qo,Xg),e(qo,Br),e(Br,Yg),e(qo,Zg),e(qo,wl),e(wl,e_),e(qo,t_),e(yt,o_),C(jn,yt,null),e(yt,n_),C(An,yt,null),e(yt,s_),C(Pn,yt,null),_(s,Sd,k),_(s,xo,k),e(xo,Ln),e(Ln,Cl),C(Ia,Cl,null),e(xo,a_),e(xo,$l),e($l,r_),_(s,Bd,k),_(s,rt,k),C(Sa,rt,null),e(rt,i_),e(rt,Fl),e(Fl,l_),e(rt,d_),e(rt,Ba),e(Ba,c_),e(Ba,Wr),e(Wr,m_),e(Ba,p_),e(rt,h_),e(rt,Wa),e(Wa,u_),e(Wa,Ra),e(Ra,f_),e(Wa,g_),e(rt,__),C(On,rt,null),e(rt,b_),e(rt,At),C(Ua,At,null),e(At,k_),e(At,jo),e(jo,y_),e(jo,Rr),e(Rr,v_),e(jo,T_),e(jo,El),e(El,w_),e(jo,C_),e(At,$_),C(Nn,At,null),e(At,F_),C(Dn,At,null),_(s,Wd,k),_(s,Ao,k),e(Ao,In),e(In,Ml),C(Ka,Ml,null),e(Ao,E_),e(Ao,zl),e(zl,M_),_(s,Rd,k),_(s,it,k),C(Ha,it,null),e(it,z_),e(it,ql),e(ql,q_),e(it,x_),e(it,Qa),e(Qa,j_),e(Qa,Ur),e(Ur,A_),e(Qa,P_),e(it,L_),e(it,Va),e(Va,O_),e(Va,Ja),e(Ja,N_),e(Va,D_),e(it,I_),C(Sn,it,null),e(it,S_),e(it,vt),C(Ga,vt,null),e(vt,B_),e(vt,Po),e(Po,W_),e(Po,Kr),e(Kr,R_),e(Po,U_),e(Po,xl),e(xl,K_),e(Po,H_),e(vt,Q_),C(Bn,vt,null),e(vt,V_),C(Wn,vt,null),e(vt,J_),C(Rn,vt,null),_(s,Ud,k),_(s,Lo,k),e(Lo,Un),e(Un,jl),C(Xa,jl,null),e(Lo,G_),e(Lo,Al),e(Al,X_),_(s,Kd,k),_(s,lt,k),C(Ya,lt,null),e(lt,Y_),e(lt,Oo),e(Oo,Z_),e(Oo,Pl),e(Pl,eb),e(Oo,tb),e(Oo,Ll),e(Ll,ob),e(Oo,nb),e(lt,sb),e(lt,Za),e(Za,ab),e(Za,Hr),e(Hr,rb),e(Za,ib),e(lt,lb),e(lt,er),e(er,db),e(er,tr),e(tr,cb),e(er,mb),e(lt,pb),C(Kn,lt,null),e(lt,hb),e(lt,Tt),C(or,Tt,null),e(Tt,ub),e(Tt,No),e(No,fb),e(No,Qr),e(Qr,gb),e(No,_b),e(No,Ol),e(Ol,bb),e(No,kb),e(Tt,yb),C(Hn,Tt,null),e(Tt,vb),C(Qn,Tt,null),e(Tt,Tb),C(Vn,Tt,null),Hd=!0},p(s,[k]){const nr={};k&2&&(nr.$$scope={dirty:k,ctx:s}),So.$set(nr);const Nl={};k&2&&(Nl.$$scope={dirty:k,ctx:s}),Vo.$set(Nl);const Dl={};k&2&&(Dl.$$scope={dirty:k,ctx:s}),Jo.$set(Dl);const Il={};k&2&&(Il.$$scope={dirty:k,ctx:s}),Xo.$set(Il);const sr={};k&2&&(sr.$$scope={dirty:k,ctx:s}),Yo.$set(sr);const Sl={};k&2&&(Sl.$$scope={dirty:k,ctx:s}),en.$set(Sl);const Bl={};k&2&&(Bl.$$scope={dirty:k,ctx:s}),tn.$set(Bl);const Wl={};k&2&&(Wl.$$scope={dirty:k,ctx:s}),nn.$set(Wl);const ar={};k&2&&(ar.$$scope={dirty:k,ctx:s}),sn.$set(ar);const Rl={};k&2&&(Rl.$$scope={dirty:k,ctx:s}),an.$set(Rl);const Ul={};k&2&&(Ul.$$scope={dirty:k,ctx:s}),ln.$set(Ul);const Kl={};k&2&&(Kl.$$scope={dirty:k,ctx:s}),dn.$set(Kl);const Hl={};k&2&&(Hl.$$scope={dirty:k,ctx:s}),mn.$set(Hl);const Ql={};k&2&&(Ql.$$scope={dirty:k,ctx:s}),pn.$set(Ql);const Vl={};k&2&&(Vl.$$scope={dirty:k,ctx:s}),fn.$set(Vl);const rr={};k&2&&(rr.$$scope={dirty:k,ctx:s}),gn.$set(rr);const Jl={};k&2&&(Jl.$$scope={dirty:k,ctx:s}),bn.$set(Jl);const Do={};k&2&&(Do.$$scope={dirty:k,ctx:s}),kn.$set(Do);const Gl={};k&2&&(Gl.$$scope={dirty:k,ctx:s}),yn.$set(Gl);const Xl={};k&2&&(Xl.$$scope={dirty:k,ctx:s}),Tn.$set(Xl);const ir={};k&2&&(ir.$$scope={dirty:k,ctx:s}),wn.$set(ir);const Yl={};k&2&&(Yl.$$scope={dirty:k,ctx:s}),Cn.$set(Yl);const Zl={};k&2&&(Zl.$$scope={dirty:k,ctx:s}),Fn.$set(Zl);const ed={};k&2&&(ed.$$scope={dirty:k,ctx:s}),En.$set(ed);const Wt={};k&2&&(Wt.$$scope={dirty:k,ctx:s}),Mn.$set(Wt);const Rt={};k&2&&(Rt.$$scope={dirty:k,ctx:s}),zn.$set(Rt);const td={};k&2&&(td.$$scope={dirty:k,ctx:s}),xn.$set(td);const od={};k&2&&(od.$$scope={dirty:k,ctx:s}),jn.$set(od);const nd={};k&2&&(nd.$$scope={dirty:k,ctx:s}),An.$set(nd);const Io={};k&2&&(Io.$$scope={dirty:k,ctx:s}),Pn.$set(Io);const sd={};k&2&&(sd.$$scope={dirty:k,ctx:s}),On.$set(sd);const ad={};k&2&&(ad.$$scope={dirty:k,ctx:s}),Nn.$set(ad);const lr={};k&2&&(lr.$$scope={dirty:k,ctx:s}),Dn.$set(lr);const rd={};k&2&&(rd.$$scope={dirty:k,ctx:s}),Sn.$set(rd);const id={};k&2&&(id.$$scope={dirty:k,ctx:s}),Bn.$set(id);const ld={};k&2&&(ld.$$scope={dirty:k,ctx:s}),Wn.$set(ld);const dt={};k&2&&(dt.$$scope={dirty:k,ctx:s}),Rn.$set(dt);const Ut={};k&2&&(Ut.$$scope={dirty:k,ctx:s}),Kn.$set(Ut);const dd={};k&2&&(dd.$$scope={dirty:k,ctx:s}),Hn.$set(dd);const cd={};k&2&&(cd.$$scope={dirty:k,ctx:s}),Qn.$set(cd);const md={};k&2&&(md.$$scope={dirty:k,ctx:s}),Vn.$set(md)},i(s){Hd||($(l.$$.fragment,s),$(v.$$.fragment,s),$(A.$$.fragment,s),$(M.$$.fragment,s),$(So.$$.fragment,s),$(ss.$$.fragment,s),$(as.$$.fragment,s),$(ls.$$.fragment,s),$(cs.$$.fragment,s),$(ps.$$.fragment,s),$(hs.$$.fragment,s),$(us.$$.fragment,s),$(fs.$$.fragment,s),$(bs.$$.fragment,s),$(ys.$$.fragment,s),$(vs.$$.fragment,s),$(Ts.$$.fragment,s),$(Ms.$$.fragment,s),$(Vo.$$.fragment,s),$(Jo.$$.fragment,s),$(zs.$$.fragment,s),$(qs.$$.fragment,s),$(Ls.$$.fragment,s),$(Xo.$$.fragment,s),$(Yo.$$.fragment,s),$(Os.$$.fragment,s),$(Ns.$$.fragment,s),$(Ws.$$.fragment,s),$(en.$$.fragment,s),$(tn.$$.fragment,s),$(Rs.$$.fragment,s),$(Us.$$.fragment,s),$(Vs.$$.fragment,s),$(nn.$$.fragment,s),$(sn.$$.fragment,s),$(an.$$.fragment,s),$(Js.$$.fragment,s),$(Gs.$$.fragment,s),$(ea.$$.fragment,s),$(ln.$$.fragment,s),$(dn.$$.fragment,s),$(ta.$$.fragment,s),$(oa.$$.fragment,s),$(ra.$$.fragment,s),$(mn.$$.fragment,s),$(pn.$$.fragment,s),$(ia.$$.fragment,s),$(la.$$.fragment,s),$(pa.$$.fragment,s),$(fn.$$.fragment,s),$(gn.$$.fragment,s),$(ha.$$.fragment,s),$(ua.$$.fragment,s),$(bn.$$.fragment,s),$(ba.$$.fragment,s),$(kn.$$.fragment,s),$(yn.$$.fragment,s),$(ka.$$.fragment,s),$(ya.$$.fragment,s),$(Tn.$$.fragment,s),$($a.$$.fragment,s),$(wn.$$.fragment,s),$(Cn.$$.fragment,s),$(Fa.$$.fragment,s),$(Ea.$$.fragment,s),$(Fn.$$.fragment,s),$(ja.$$.fragment,s),$(En.$$.fragment,s),$(Mn.$$.fragment,s),$(zn.$$.fragment,s),$(Aa.$$.fragment,s),$(Pa.$$.fragment,s),$(xn.$$.fragment,s),$(Da.$$.fragment,s),$(jn.$$.fragment,s),$(An.$$.fragment,s),$(Pn.$$.fragment,s),$(Ia.$$.fragment,s),$(Sa.$$.fragment,s),$(On.$$.fragment,s),$(Ua.$$.fragment,s),$(Nn.$$.fragment,s),$(Dn.$$.fragment,s),$(Ka.$$.fragment,s),$(Ha.$$.fragment,s),$(Sn.$$.fragment,s),$(Ga.$$.fragment,s),$(Bn.$$.fragment,s),$(Wn.$$.fragment,s),$(Rn.$$.fragment,s),$(Xa.$$.fragment,s),$(Ya.$$.fragment,s),$(Kn.$$.fragment,s),$(or.$$.fragment,s),$(Hn.$$.fragment,s),$(Qn.$$.fragment,s),$(Vn.$$.fragment,s),Hd=!0)},o(s){F(l.$$.fragment,s),F(v.$$.fragment,s),F(A.$$.fragment,s),F(M.$$.fragment,s),F(So.$$.fragment,s),F(ss.$$.fragment,s),F(as.$$.fragment,s),F(ls.$$.fragment,s),F(cs.$$.fragment,s),F(ps.$$.fragment,s),F(hs.$$.fragment,s),F(us.$$.fragment,s),F(fs.$$.fragment,s),F(bs.$$.fragment,s),F(ys.$$.fragment,s),F(vs.$$.fragment,s),F(Ts.$$.fragment,s),F(Ms.$$.fragment,s),F(Vo.$$.fragment,s),F(Jo.$$.fragment,s),F(zs.$$.fragment,s),F(qs.$$.fragment,s),F(Ls.$$.fragment,s),F(Xo.$$.fragment,s),F(Yo.$$.fragment,s),F(Os.$$.fragment,s),F(Ns.$$.fragment,s),F(Ws.$$.fragment,s),F(en.$$.fragment,s),F(tn.$$.fragment,s),F(Rs.$$.fragment,s),F(Us.$$.fragment,s),F(Vs.$$.fragment,s),F(nn.$$.fragment,s),F(sn.$$.fragment,s),F(an.$$.fragment,s),F(Js.$$.fragment,s),F(Gs.$$.fragment,s),F(ea.$$.fragment,s),F(ln.$$.fragment,s),F(dn.$$.fragment,s),F(ta.$$.fragment,s),F(oa.$$.fragment,s),F(ra.$$.fragment,s),F(mn.$$.fragment,s),F(pn.$$.fragment,s),F(ia.$$.fragment,s),F(la.$$.fragment,s),F(pa.$$.fragment,s),F(fn.$$.fragment,s),F(gn.$$.fragment,s),F(ha.$$.fragment,s),F(ua.$$.fragment,s),F(bn.$$.fragment,s),F(ba.$$.fragment,s),F(kn.$$.fragment,s),F(yn.$$.fragment,s),F(ka.$$.fragment,s),F(ya.$$.fragment,s),F(Tn.$$.fragment,s),F($a.$$.fragment,s),F(wn.$$.fragment,s),F(Cn.$$.fragment,s),F(Fa.$$.fragment,s),F(Ea.$$.fragment,s),F(Fn.$$.fragment,s),F(ja.$$.fragment,s),F(En.$$.fragment,s),F(Mn.$$.fragment,s),F(zn.$$.fragment,s),F(Aa.$$.fragment,s),F(Pa.$$.fragment,s),F(xn.$$.fragment,s),F(Da.$$.fragment,s),F(jn.$$.fragment,s),F(An.$$.fragment,s),F(Pn.$$.fragment,s),F(Ia.$$.fragment,s),F(Sa.$$.fragment,s),F(On.$$.fragment,s),F(Ua.$$.fragment,s),F(Nn.$$.fragment,s),F(Dn.$$.fragment,s),F(Ka.$$.fragment,s),F(Ha.$$.fragment,s),F(Sn.$$.fragment,s),F(Ga.$$.fragment,s),F(Bn.$$.fragment,s),F(Wn.$$.fragment,s),F(Rn.$$.fragment,s),F(Xa.$$.fragment,s),F(Ya.$$.fragment,s),F(Kn.$$.fragment,s),F(or.$$.fragment,s),F(Hn.$$.fragment,s),F(Qn.$$.fragment,s),F(Vn.$$.fragment,s),Hd=!1},d(s){t(d),s&&t(b),s&&t(h),E(l),s&&t(pe),s&&t(I),E(v),s&&t(he),s&&t(B),s&&t(ue),s&&t(W),s&&t(fe),s&&t(R),s&&t(te),s&&t(j),s&&t(ge),s&&t(U),s&&t(P),s&&t(oe),s&&t(_e),s&&t(S),E(A),s&&t(be),s&&t(f),E(M),E(So),s&&t(ud),s&&t(ro),E(ss),s&&t(fd),s&&t(Ze),E(as),E(ls),E(cs),E(ps),E(hs),s&&t(gd),s&&t(io),E(us),s&&t(_d),s&&t(mt),E(fs),E(bs),E(ys),s&&t(bd),s&&t(lo),E(vs),s&&t(kd),s&&t(Ve),E(Ts),E(Ms),E(Vo),E(Jo),s&&t(yd),s&&t(mo),E(zs),s&&t(vd),s&&t(pt),E(qs),E(Ls),E(Xo),E(Yo),s&&t(Td),s&&t(ho),E(Os),s&&t(wd),s&&t(ht),E(Ns),E(Ws),E(en),E(tn),s&&t(Cd),s&&t(fo),E(Rs),s&&t($d),s&&t(ut),E(Us),E(Vs),E(nn),E(sn),E(an),s&&t(Fd),s&&t(_o),E(Js),s&&t(Ed),s&&t(ft),E(Gs),E(ea),E(ln),E(dn),s&&t(Md),s&&t(ko),E(ta),s&&t(zd),s&&t(gt),E(oa),E(ra),E(mn),E(pn),s&&t(qd),s&&t(vo),E(ia),s&&t(xd),s&&t(_t),E(la),E(pa),E(fn),E(gn),s&&t(jd),s&&t(wo),E(ha),s&&t(Ad),s&&t(ot),E(ua),E(bn),E(ba),E(kn),E(yn),s&&t(Pd),s&&t($o),E(ka),s&&t(Ld),s&&t(nt),E(ya),E(Tn),E($a),E(wn),E(Cn),s&&t(Od),s&&t(Eo),E(Fa),s&&t(Nd),s&&t(st),E(Ea),E(Fn),E(ja),E(En),E(Mn),E(zn),s&&t(Dd),s&&t(zo),E(Aa),s&&t(Id),s&&t(at),E(Pa),E(xn),E(Da),E(jn),E(An),E(Pn),s&&t(Sd),s&&t(xo),E(Ia),s&&t(Bd),s&&t(rt),E(Sa),E(On),E(Ua),E(Nn),E(Dn),s&&t(Wd),s&&t(Ao),E(Ka),s&&t(Rd),s&&t(it),E(Ha),E(Sn),E(Ga),E(Bn),E(Wn),E(Rn),s&&t(Ud),s&&t(Lo),E(Xa),s&&t(Kd),s&&t(lt),E(Ya),E(Kn),E(or),E(Hn),E(Qn),E(Vn)}}}const eT={local:"camembert",sections:[{local:"overview",title:"Overview"},{local:"transformers.CamembertConfig",title:"CamembertConfig"},{local:"transformers.CamembertTokenizer",title:"CamembertTokenizer"},{local:"transformers.CamembertTokenizerFast",title:"CamembertTokenizerFast"},{local:"transformers.CamembertModel",title:"CamembertModel"},{local:"transformers.CamembertForCausalLM",title:"CamembertForCausalLM"},{local:"transformers.CamembertForMaskedLM",title:"CamembertForMaskedLM"},{local:"transformers.CamembertForSequenceClassification",title:"CamembertForSequenceClassification"},{local:"transformers.CamembertForMultipleChoice",title:"CamembertForMultipleChoice"},{local:"transformers.CamembertForTokenClassification",title:"CamembertForTokenClassification"},{local:"transformers.CamembertForQuestionAnswering",title:"CamembertForQuestionAnswering"},{local:"transformers.TFCamembertModel",title:"TFCamembertModel"},{local:"transformers.TFCamembertForCausalLM",title:"TFCamembertForCasualLM"},{local:"transformers.TFCamembertForMaskedLM",title:"TFCamembertForMaskedLM"},{local:"transformers.TFCamembertForSequenceClassification",title:"TFCamembertForSequenceClassification"},{local:"transformers.TFCamembertForMultipleChoice",title:"TFCamembertForMultipleChoice"},{local:"transformers.TFCamembertForTokenClassification",title:"TFCamembertForTokenClassification"},{local:"transformers.TFCamembertForQuestionAnswering",title:"TFCamembertForQuestionAnswering"}],title:"CamemBERT"};function tT(x){return mv(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class lT extends iv{constructor(d){super();lv(this,d,tT,Zv,dv,{})}}export{lT as default,eT as metadata};
